<?php 
    // session_start(); 
    include_once("../helpers/session_check.php");
    include_once("../private/conexion.php");
    $rg = $mysqli->query("SELECT * FROM t_productos WHERE cantidad <= alerta_stock ORDER BY nombre ASC");
?>
<!-- Topbar header - style you can find in pages.scss -->
<!-- ============================================================== -->
<header class="topbar" data-navbarbg="skin6">
    <nav class="navbar top-navbar navbar-expand-md">
        <div class="navbar-header" data-logobg="skin6">
            <!-- This is for the sidebar toggle which is visible on mobile only -->
            <a class="nav-toggler waves-effect waves-light d-block d-md-none" href="javascript:void(0)"><i
                    class="ti-menu ti-close"></i></a>
            <!-- ============================================================== -->
            <!-- Logo -->
            <!-- ============================================================== -->
            <div class="navbar-brand">
                <!-- Logo icon -->
                <a href="index.php">
                    <b class="logo-icon">
                        <!-- Dark Logo icon -->
                        <img src="../assets/images/logo-taka.png" alt="homepage" class="dark-logo" width="100" />
                    </b>
                    <!--End Logo icon -->
                    <!-- Logo text -->
                    <span class="logo-text">
                    </span>
                </a>
            </div>
            <!-- ============================================================== -->
            <!-- End Logo -->
            <!-- ============================================================== -->
            <!-- ============================================================== -->
            <!-- Toggle which is visible on mobile only -->
            <!-- ============================================================== -->
            <a class="topbartoggler d-block d-md-none waves-effect waves-light" href="javascript:void(0)"
                data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><i
                    class="ti-more"></i></a>
        </div>
        <!-- ============================================================== -->
        <!-- End Logo -->
        <!-- ============================================================== -->
        <div class="navbar-collapse collapse" id="navbarSupportedContent">
            <!-- ============================================================== -->
            <!-- toggle and nav items -->
            <!-- ============================================================== -->
            <ul class="navbar-nav float-left mr-auto ml-3 pl-1">
                <!-- Notification -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle pl-md-3 position-relative" href="javascript:void(0)"
                        id="bell" role="button" data-toggle="dropdown" aria-haspopup="true"
                        aria-expanded="false">
                        <span><i data-feather="bell" class="svg-icon"></i></span>
                        <span class="badge badge-danger notify-no rounded-circle"><?php echo mysqli_num_rows($rg); ?></span>
                    </a>
                    <?php if (mysqli_num_rows($rg)>0) { ?>
                    <div class="dropdown-menu dropdown-menu-left mailbox animated bounceInDown">
                        <ul class="list-style-none">
                            <li>
                                <div class="message-center notifications position-relative">
<?php 
    if ($rg)
    {
    while($array = $rg->fetch_object())
        {
            $id             = $array->id;
            $nombre         = $array->nombre;
            $codigo         = $array->codigo;
            $cantidad       = $array->cantidad;
?>
                                    <?php if ($rol_i == 1) { ?>
                                    <a href="./edit-product.php?id=<?php echo $id; ?>"
                                        class="message-item d-flex align-items-center border-bottom px-3 py-2">
                                    <?php }else{ ?>
                                    <a href="javascript:void(0)">
                                    <?php } ?>
                                        <!-- <span class="btn btn-danger rounded-circle btn-circle"><i
                                                data-feather="box" class="text-white"></i></span> -->
                                        <div class="w-75 d-inline-block v-middle pl-2">
                                            <h4 class="message-title mb-0 mt-1">
                                                    (<?php echo $cantidad; ?>) <?php echo $nombre; ?>
                                            </h4>
                                                <button class="btn btn-block btn-secondary font-12 ">
                                                    Ver producto
                                                </button>
                                        </div>
                                    </a>
<?php 
        }
    }
?>
                                </div>
                            </li>
                            <!-- <li>
                                <a class="nav-link pt-3 text-center text-dark" href="javascript:void(0);">
                                    <strong>Check all notifications</strong>
                                    <i class="fa fa-angle-right"></i>
                                </a>
                            </li> -->
                        </ul>
                    </div>
                    <?php } ?>
                </li>
            </ul>
            <!-- ============================================================== -->
            <!-- Right side toggle and nav items -->
            <!-- ============================================================== -->
            <ul class="navbar-nav float-right">
                <!-- ============================================================== -->
                <!-- Search -->
                <!-- ============================================================== -->
                <li class="nav-item d-none d-md-block">
                    <a class="nav-link" href="javascript:void(0)">
                        <div class="customize-input">
                            <button class="btn btn-success" onclick="nueva_venta()">Nueva venta</button>
                        </div>
                    </a>
                </li>
                <!-- ============================================================== -->
                <!-- User profile and search -->
                <!-- ============================================================== -->
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="javascript:void(0)" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">
                        <img src="../assets/images/users/profile-pic.jpg" alt="user" class="rounded-circle"
                            width="40">
                        <span class="ml-2 d-none d-lg-inline-block"><span>Hola,</span> <span
                                class="text-dark"><?php echo $user_i; ?></span> <i data-feather="chevron-down"
                                class="svg-icon"></i></span>
                    </a>
                    <div class="dropdown-menu dropdown-menu-right user-dd animated flipInY">
                        <a class="dropdown-item" href="javascript:void(0)" onclick="close_session()">
                            <i data-feather="power" class="svg-icon mr-2 ml-1"></i>
                            Cerrar sesi&oacute;n
                        </a>
                        <div class="dropdown-divider"></div>
                    </div>
                </li>
                <!-- ============================================================== -->
                <!-- User profile and search -->
                <!-- ============================================================== -->
            </ul>
        </div>
    </nav>
</header>
<!-- ============================================================== -->
<!-- End Topbar header -->

<div class="loader" id="cargador" style="display: none;"></div>