<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
$cliente    = $_GET["cliente"];
$sucursal   = $_GET["sucursal"];
$sem1   = 0;
$sem2   = 0;
$sem3   = 0;
$sem4   = 0;

if ($sucursal == 'Todo') {
    if($cliente == 'Todo') {
        $rventas = $mysqli->query("SELECT * FROM venta ORDER BY fecha DESC");
    }else {
        $rventas = $mysqli->query("SELECT * FROM venta WHERE cliente='$cliente' ORDER BY fecha DESC");
    }
} else {
    if($cliente == 'Todo') {
        $rventas = $mysqli->query("SELECT * FROM venta WHERE sucursal='$sucursal' ORDER BY fecha DESC");
    } else {
        $rventas = $mysqli->query("SELECT * FROM venta WHERE sucursal='$sucursal' AND cliente='$cliente' ORDER BY fecha DESC");
    }
}

if ($rventas) {
    while ($array = $rventas->fetch_object()) {
        $fecha = $array->fecha;
        $total = $array->total;
        $dia = date("d", strtotime($fecha));
        $mes = date("m", strtotime($fecha));
        $anio = date("Y", strtotime($fecha));
        if (intval($dia) >= 1 && intval($dia) <= 7) {
            $sem1 += floatval($total);
        } else if (intval($dia) >= 8 && intval($dia) <= 14) {
            $sem2 += floatval($total);
        } else if (intval($dia) >= 15 && intval($dia) <= 21) {
            $sem3 += floatval($total);
        } else if (intval($dia) >= 22) {
            $sem4 += floatval($total);
        }
    }
}

$utilidad_total = 0;
$utilidad_unitaria = 0;
$rv = $mysqli->query("SELECT * FROM `venta` ORDER BY id DESC");
if ($rv) {
    while ($array = $rv->fetch_object()) {
        $refer = $array->refer;

        $rc = $mysqli->query("SELECT * FROM `car_order`WHERE identificador='$refer'");
        if ($rc) {
            while ($array = $rc->fetch_object()) {
                $id_tproducto = $array->id_tproducto;
                $cantidad = $array->cantidad;
                $precio_unitario = $array->precio_unitario;

                // UTILIDAD_total
                $precio_compra = 0;
                $rp = $mysqli->query("SELECT * FROM `t_productos` WHERE id='$id_tproducto'");
                if ($rp) {
                    if (mysqli_num_rows($rp) > 0) {
                        while ($array = $rp->fetch_object()) {
                            $precio_compra = $array->precio_compra;
                        }
                    } else {
                        $precio_compra = 0;
                    }
                }
                $utilidad_unitaria += ($precio_unitario * $cantidad) - ($precio_compra * $cantidad);
            }
        }
        $utilidad_total += $utilidad_unitaria;
        $utilidad_unitaria = 0;
    }
}

$rventasTodas = $mysqli->query("SELECT * FROM venta ORDER BY fecha DESC");
while ($array = $rventasTodas->fetch_object()) {
    $fecha = $array->fecha;
    if ($flagOrillasFechas) {
        $lastMonth = intval(date("m", strtotime($fecha)));
        $lastYear = intval(date("Y", strtotime($fecha)));
        $flagOrillasFechas = false;
    }
    $firstMonth = intval(date("m", strtotime($fecha)));
    $firstYear  = intval(date("Y", strtotime($fecha)));
}
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Véntas por cliente - Punto de venta</title>

    <?php include_once("../helpers/css.html"); ?>
</head>

<body>

    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>

    <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">

            <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-7 align-self-center">
                        <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Lista de ventas por cliente</h3>
                        <div class="d-flex align-items-center">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb m-0 p-0">
                                    <li class="breadcrumb-item"><a href="./list-clients.php">Clientes</a>
                                    </li>
                                </ol>
                            </nav>
                        </div>
                        <div class="row">
                            <div class="col-12 col-md-6 mt-5">
                                <p class="text-center">Sucursal</p>
                                <select class="form-control" name="sucursal_select" id="sucursal_select" onchange="sucursal_selected()" required>
                                    <?php
                                    if ($sucursal == 'Todo') {
                                        echo "<option value='Todo' selected>Todo</option>";
                                    } else {
                                        $rsucursales = $mysqli->query("SELECT * FROM sucursales WHERE id=$sucursal");
                                        if ($rsucursales) {
                                            while ($array = $rsucursales->fetch_object()) {
                                                $nombre = $array->nombre;
                                                $id = $array->id;
                                                echo "<option value='" . $id . "' selected disabled>" . $nombre . "</option>";
                                            }
                                        }
                                        echo "<option value='Todo'>Todo</option>";
                                    }
                                    ?>
                                    <?php
                                    try {
                                        $sucursales = $mysqli->query("SELECT * FROM sucursales");
                                        if ($sucursales) {
                                            // echo 'Total de Administradores: ' . mysqli_num_rows($r);
                                            while ($array = $sucursales->fetch_object()) {
                                                $nombre = $array->nombre;
                                                $id = $array->id;
                                                echo "<option value='" . $id . "'>" . $nombre . "</option>";
                                            }
                                        }
                                    } catch (Exception $e) {
                                        // echo 'Total de Proveedores: 0';
                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="col-12 col-md-6 mt-5">
                                <p class="text-center">Cliente</p>
                                <select class="form-control" name="cliente_select" id="cliente_select" onchange="cliente_selected()" required>
                                    <?php
                                    if ($cliente == 'Todo') {
                                        echo "<option value='Todo' selected>Todo</option>";
                                    } else {
                                        echo "<option value='$cliente' selected>$cliente</option>";
                                        echo "<option value='Todo'>Todo</option>";
                                    }
                                    echo "<option value='Venta rápida'>Venta rápida</option>";
                                    ?>
                                    <?php
                                    try {
                                        $clientes = $mysqli->query("SELECT * FROM clientes");
                                        if ($clientes) {
                                            // echo 'Total de Administradores: ' . mysqli_num_rows($r);
                                            while ($array = $clientes->fetch_object()) {
                                                $nombre = $array->nombre;
                                                echo "<option value='" . $nombre . "'>" . $nombre . "</option>";
                                            }
                                        }
                                    } catch (Exception $e) {
                                        // echo 'Total de Proveedores: 0';
                                    }
                                    ?>
                                </select>
                            </div>
                        </div>

                        <input type="hidden" id="sucursal" value="<?php echo $sucursal; ?>">
                        <input type="hidden" id="cliente" value="<?php echo $cliente; ?>">

                    </div>
                </div>
            </div>

            <div class="container-fluid">

                <!-- *************************************************************** -->
                <!-- End Sales Charts Section -->
                <!-- *************************************************************** -->
                <!-- *************************************************************** -->
                <!-- Start Location and Earnings Charts Section -->
                <!-- *************************************************************** -->
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex align-items-start">
                                    <h4 class="card-title mb-0">Estad&iacute;sticas de venta</h4>
                                </div>
                                <div class="pl-4 mb-5">
                                    <div class="stats ct-charts position-relative" style="height: 315px;"></div>
                                </div>
                                <ul class="list-inline text-center mt-4 mb-0">
                                    <li class="list-inline-item text-muted font-italic">Ventas por mes</li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="card">
                    <div class="card-body">
                        <div id="check">
                            <?php
                            if ($sucursal == 'Todo') {
                                if($cliente == 'Todo') {
                                    $rventas = $mysqli->query("SELECT * FROM venta ORDER BY fecha DESC");
                                }else {
                                    $rventas = $mysqli->query("SELECT * FROM venta WHERE cliente='$cliente' ORDER BY fecha DESC");
                                }
                            } else {
                                if($cliente == 'Todo') {
                                    $rventas = $mysqli->query("SELECT * FROM venta WHERE sucursal='$sucursal' ORDER BY fecha DESC");
                                } else {
                                    $rventas = $mysqli->query("SELECT * FROM venta WHERE sucursal='$sucursal' AND cliente='$cliente' ORDER BY fecha DESC");
                                }
                            }
                            if (mysqli_num_rows($rventas) > 0) {
                            ?>

                                <table class="table" id="tabla-ventas">
                                    <thead class="thead-dark">
                                        <tr>
                                            <th scope="col" class="table-especial"># folio</th>
                                            <th scope="col" class="table-especial">Total</th>
                                            <th scope="col" class="table-especial">Forma de pago</th>
                                            <th scope="col" class="table-especial">Estado</th>
                                            <th scope="col" class="table-especial">Fecha y hora</th>
                                            <th scope="col" class="table-especial">Acciones</th>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $cont = 0;
                                        if ($rventas) {
                                            while ($array = $rventas->fetch_object()) {
                                                $id             = $array->id;
                                                $total          = $array->total;
                                                $forma_pago     = $array->forma_pago;
                                                $estado         = $array->estado;
                                                $fecha_hora     = $array->fecha;
                                                $cont++;
                                        ?>
                                                <tr>
                                                    <th scope="row"><?php echo $cont; ?></th>
                                                    <td><?php echo $total; ?></td>
                                                    <td><?php echo $forma_pago; ?></td>
                                                    <td <?php if ($estado === "Pagado") {
                                                            echo "class='text-success'";
                                                        } else {
                                                            echo "class='text-danger'";
                                                        } ?>><?php echo $estado; ?></td>
                                                    <td><?php echo $fecha_hora; ?></td>
                                                    <td class="text-center">
                                                        <button class="btn btn-info" onclick="sell_option('<?php echo $id; ?>','show')"><i class="bi bi-eye"></i></button>
                                                        <button class="btn btn-outline-dark" onclick="reimprimir_ticket_venta('<?php echo $id; ?>','<?php echo $fecha; ?>','<?php echo $refer; ?>','<?php echo $total; ?>','<?php echo $cliente; ?>','<?php echo $estado; ?>','<?php echo $forma_pago; ?>')"><i class="bi bi-printer"></i></button>

                                                    </td>
                                                </tr>
                                        <?php
                                            }
                                        }
                                        ?>
                                    </tbody>
                                </table>

                            <?php } else { ?>
                                <h3>No hay registro de ventas</h3>
                            <?php } ?>
                        </div>
                    </div>
                </div>

            </div>

            <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>

    <!-- Modal SHOW -->
    <div class="modal fade bd-example-modal-lg" id="modalShow" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalCenterTitle">Informaci&oacute;n del producto</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <div id="info" class="container"></div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
                </div>
            </div>
        </div>
    </div>

    <?php include_once("../helpers/js.html"); ?>

    <script>
        function cliente_selected() {
            document.getElementById('cliente').value = document.getElementById('cliente_select').value;
            var cliente = document.getElementById('cliente').value;
            var sucursal = document.getElementById('sucursal').value;
            redirection("./client-sales.php?sucursal=" + sucursal + "&cliente=" + cliente);
        }

        function sucursal_selected() {
            document.getElementById('sucursal').value = document.getElementById('sucursal_select').value;
            var cliente = document.getElementById('cliente').value;
            var sucursal = document.getElementById('sucursal').value;
            redirection("./client-sales.php?sucursal=" + sucursal + "&cliente=" + cliente);
        }
    </script>

    <script type="text/javascript">
        $(function() {

            var chart = new Chartist.Line('.stats', {
                labels: ['Semana 1', 'Semana 2', 'Semana 3', 'Semana 4'],
                series: [
                    [<?php echo $sem1 ?>, <?php echo $sem2 ?>, <?php echo $sem3 ?>, <?php echo $sem4 ?>]
                ]
            }, {
                low: 0,
                high: 5000,
                showArea: true,
                fullWidth: true,
                plugins: [
                    Chartist.plugins.tooltip()
                ],
                axisY: {
                    onlyInteger: true,
                    scaleMinSpace: 40,
                    offset: 20,
                    labelInterpolationFnc: function(value) {
                        return (value / 1);
                    }
                },
            });

            // Offset x1 a tiny amount so that the straight stroke gets a bounding box
            chart.on('draw', function(ctx) {
                if (ctx.type === 'area') {
                    ctx.element.attr({
                        x1: ctx.x1 + 0.001
                    });
                }
            });

            // Create the gradient definition on created event (always after chart re-render)
            chart.on('created', function(ctx) {
                var defs = ctx.svg.elem('defs');
                defs.elem('linearGradient', {
                    id: 'gradient',
                    x1: 0,
                    y1: 1,
                    x2: 0,
                    y2: 0
                }).elem('stop', {
                    offset: 0,
                    'stop-color': 'rgba(255, 255, 255, 1)'
                }).parent().elem('stop', {
                    offset: 1,
                    'stop-color': 'rgba(80, 153, 255, 1)'
                });
            });

            $(window).on('resize', function() {
                chart.update();
            });

        })
    </script>

    <script type="text/javascript">
        $(document).ready(function() {
            $('#tabla-ventas').DataTable({
                language: {
                    search: "B&uacute;squeda:",
                    processing: "Traitement en cours...",
                    lengthMenu: "Filtrar _MENU_ registros",
                    info: "_START_ - _END_ de _TOTAL_ registros",
                    infoEmpty: "No hay resultados",
                    infoFiltered: "(filtro de _MAX_ registros)",
                    infoPostFix: "",
                    loadingRecords: "Chargement en cours...",
                    zeroRecords: "No se encontr&oacute; resultado de esta b&uacute;squeda",
                    emptyTable: "Aucune donnée disponible dans le tableau",
                    paginate: {
                        first: "Inicio",
                        previous: "Anterior",
                        next: "Siguiente",
                        last: "Final"
                    },
                    aria: {
                        sortAscending: ": activer pour trier la colonne par ordre croissant",
                        sortDescending: ": activer pour trier la colonne par ordre décroissant"
                    }
                }
            });
        });
    </script>

</body>

</html>