<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
if (!empty($_GET['id'])) {
    $id = $_GET['id'];

    $redit = $mysqli->query("SELECT * FROM clientes WHERE id=$id");
    if ($redit) {
        while ($array = $redit->fetch_object()) {
            $id_cliente                 = $array->id;
            $nombre_cliente             = $array->nombre;
            $razon_social_cliente       = $array->razon_social;
            $rfc_cliente                = $array->rfc;
            $encargado_cliente          = $array->encargado;
            $tipo_razon_social_cliente  = $array->tipo_razon_social;
            $telefono_cliente           = $array->telefono;
            $direccion_cliente          = $array->direccion;
            $sucursal_cliente           = $array->sucursal;
        }
        $rencargado = $mysqli->query("SELECT * FROM administradores WHERE id=$encargado_cliente");
        if ($rencargado) {
            while ($array = $rencargado->fetch_object()) {
                $nombre_encargado   = $array->nombre;
            }
        }
        $rsucursal = $mysqli->query("SELECT * FROM sucursales WHERE id=$sucursal_cliente");
        if ($rsucursal) {
            while ($array = $rsucursal->fetch_object()) {
                $nombre_sucursal   = $array->nombre;
            }
        }
    }
?>
    <!DOCTYPE html>
    <html dir="ltr" lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!-- Tell the browser to be responsive to screen width -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>Editar cliente - Punto de venta</title>

        <?php include_once("../helpers/css.html"); ?>
    </head>

    <body>

        <div class="preloader">
            <div class="lds-ripple">
                <div class="lds-pos"></div>
                <div class="lds-pos"></div>
            </div>
        </div>

        <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

            <?php include_once("../menu/header.php"); ?>

            <?php include_once("../menu/side-menu.php"); ?>

            <div class="page-wrapper">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="page-breadcrumb">
                    <div class="row">
                        <div class="col-7 align-self-center">
                            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Modificar cliente <?php echo $nombre_cliente; ?></h3>
                            <div class="d-flex align-items-center">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb m-0 p-0">
                                        <li class="breadcrumb-item"><a href="./list-clients.php">Lista de clientes</a>
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="container-fluid">

                    <div class="row">

                        <div class="col-12 col-md-6">
                            <h3>Nombre del cliente *</h3>
                            <input type="text" id="nombre" class="form-control" placeholder="Nombre del cliente" value="<?php echo $nombre_cliente; ?>" required>
                        </div>

                        <div class=" col-12 col-md-6">
                            <h3>Raz&oacute;n social *</h3>
                            <input type="text" id="razon_social" class="form-control" placeholder="Raz&oacute;n social del cliente" value="<?php echo $razon_social_cliente; ?>" required>
                        </div>

                        <div class="col-12 col-md-6">
                            <h3>RFC *</h3>
                            <input type="text" id="rfc" class="form-control" placeholder="RFC del cliente" value="<?php echo $rfc_cliente; ?>" required>
                        </div>

                        <div class=" col-12 col-md-6">
                            <h3>Encargado que registró *</h3>
                            <select class="form-control" name="encargado_select" id="encargado_select" onchange="encargado_selected()" required>
                                <option value="<?php echo $encargado_cliente; ?>" selected disabled><?php echo $nombre_encargado; ?></option>
                                <?php
                                try {
                                    $empleados = $mysqli->query("SELECT * FROM administradores");
                                    if ($empleados) {
                                        // echo 'Total de Administradores: ' . mysqli_num_rows($r);
                                        while ($array = $empleados->fetch_object()) {
                                            $nombre = $array->nombre;
                                            $id = $array->id;
                                            echo "<option value='" . $id . "'>" . $nombre . "</option>";
                                        }
                                    }
                                } catch (Exception $e) {
                                    // echo 'Total de Proveedores: 0';
                                }
                                ?>
                            </select>
                        </div>

                        <div class="col-12 col-md-6">
                            <h3>Tipo raz&oacute;n social *</h3>
                            <select class="form-control" name="tipo_razon_social_select" id="tipo_razon_social_select" onchange="tipo_razon_selected()" required>
                                <option value="<?php echo $tipo_razon_social_cliente; ?>" selected disabled><?php echo $tipo_razon_social_cliente; ?></option>
                                <option value="Persona fisica">Persona física</option>
                                <option value="Personal moral">Personal moral</option>
                            </select>
                        </div>

                        <div class="col-12 col-md-6">
                            <h3>Direcci&oacute;n *</h3>
                            <input type="text" id="direccion" class="form-control" placeholder="Direcci&oacute;n del cliente" value="<?php echo $direccion_cliente; ?>" required />
                        </div>

                        <div class="col-12 col-md-6">
                            <h3>Tel&eacute;fono *</h3>
                            <input type="tel" id="telefono" min="0" class="form-control" placeholder="Tel&eacute;fono del cliente" value="<?php echo $telefono_cliente; ?>" required />
                        </div>

                        <div class="col-12 col-md-6">
                            <h3>Adjuntar PDF</h3>
                            <input type="file" id="pdf" class="form-control" required />
                        </div>

                        <div class="col-12 col-md-6">
                            <h3>Sucursal *</h3>
                            <select class="form-control" name="sucursal_select" id="sucursal_select" onchange="sucursal_selected()" required>
                                <option value="<?php echo $sucursal; ?>" selected disabled><?php echo $nombre_sucursal; ?></option>
                                <?php
                                try {
                                    $empleados = $mysqli->query("SELECT * FROM sucursales");
                                    if ($empleados) {
                                        // echo 'Total de Administradores: ' . mysqli_num_rows($r);
                                        while ($array = $empleados->fetch_object()) {
                                            $nombre = $array->nombre;
                                            $id = $array->id;
                                            echo "<option value='" . $id . "'>" . $nombre . "</option>";
                                        }
                                    }
                                } catch (Exception $e) {
                                    // echo 'Total de Proveedores: 0';
                                }
                                ?>
                            </select>
                        </div>

                    </div>

                    <input type="hidden" id="encargado" value="<?php echo $encargado_cliente; ?>">
                    <input type="hidden" id="tipo_razon_social" value="<?php echo $tipo_razon_social_cliente; ?>">
                    <input type="hidden" id="sucursal" value="<?php echo $sucursal_cliente; ?>">

                    <button class="btn btn-block btn-success mt-5 mb-5" onclick="editar_cliente('<?php echo $id_cliente; ?>')">Modificar cliente</button>

                </div>

                <?php include_once("../menu/footer.php"); ?>

            </div>
            <!-- ============================================================== -->
            <!-- End Page wrapper  -->
            <!-- ============================================================== -->
        </div>

        <?php include_once("../helpers/js.html"); ?>

        <script>
            function encargado_selected() {
                document.getElementById('encargado').value = document.getElementById('encargado_select').value;
            }
            function tipo_razon_selected() {
                document.getElementById('tipo_razon_social').value = document.getElementById('tipo_razon_social_select').value;
            }
            function sucursal_selected() {
                document.getElementById('sucursal').value = document.getElementById('sucursal_select').value;
            }
        </script>

        <script src="../js/sistem.js"></script>

    </body>

    </html>
<?php } else {
    header("Location: ./list-employes.php");
} ?>