<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
if (!empty($_GET['id'])) {
    $id = $_GET['id'];
    $redit = $mysqli->query("SELECT * FROM administradores WHERE id='$id'");
    if ($redit) {
        while ($array = $redit->fetch_object()) {
            $nombre_empleado        = $array->nombre;
            $direccion_empleado              = $array->direccion;
            $usuario_empleado                = $array->usuario;
            $password_empleado               = $array->password;
            $rol_empleado                    = $array->rol;
            $telefono_empleado               = $array->telefono;
            $correo_empleado                 = $array->correo;
            $departamento_empleado           = $array->departamento;
        }
    }
?>
    <!DOCTYPE html>
    <html dir="ltr" lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!-- Tell the browser to be responsive to screen width -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>Editar empleado - Punto de venta</title>

        <?php include_once("../helpers/css.html"); ?>
    </head>

    <body>

        <div class="preloader">
            <div class="lds-ripple">
                <div class="lds-pos"></div>
                <div class="lds-pos"></div>
            </div>
        </div>

        <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

            <?php include_once("../menu/header.php"); ?>

            <?php include_once("../menu/side-menu.php"); ?>

            <div class="page-wrapper">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="page-breadcrumb">
                    <div class="row">
                        <div class="col-7 align-self-center">
                            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Modificar empleado (<?php echo $nombre_empleado; ?>)</h3>
                            <div class="d-flex align-items-center">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb m-0 p-0">
                                        <li class="breadcrumb-item"><a href="./list-employes.php">Lista de empleados</a>
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="container-fluid">
                    <div class="row">

                        <div class="col-md-6">
                            <h5>Nombre (obligatorio)<i class="tip" data-tip-content="Nombre completo del empleado (Nombre (s), apellido paterno, apellido materno)"></i></h5>
                            <input class="form-control" type="text" value="<?php echo $nombre_empleado; ?>" placeholder="Nombre del empleado" id="nombre" />
                        </div>
                        <div class="col-md-6">
                            <h5>Direcci&oacute;n <i class="tip" data-tip-content="Direcci&oacute;n completa del empleado (calle, n&uacute;mero, colonia)"></i></h5>
                            <input class="form-control" type="text" value="<?php echo $direccion_empleado; ?>" placeholder="Direcci&oacute;n del empleado" id="direccion" />
                        </div>
                        <div class="col-md-6 mt-3">
                            <h5>Cporreo electrónico (obligatorio)<i class="tip" data-tip-content="Correo electrónico del empleado"></i></h5>
                            <input class="form-control" type="email" value="<?php echo $correo_empleado; ?>" placeholder="Correo electrónico" id="correo" />
                        </div>
                        <div class="col-md-6 mt-3">
                            <h5>Usuario (obligatorio)<i class="tip" data-tip-content="Escribe un nombre de usuario para el inicio de sesi&oacute;n del empleado, ej. empleado1"></i></h5>
                            <input class="form-control" type="text" value="<?php echo $usuario_empleado; ?>" placeholder="Nombre de usuario" id="usuario" />
                        </div>
                        <div class="col-md-6 mt-3">
                            <h5>Selecciona el rol (obligatorio)<i class="tip" data-tip-content="Rol del empleado"></i></h5>
                            <select class="form-control" id="rol_select" onchange="rol_selected()" required>
                                <option value="" disabled>Selecciona el rol del empleado</option>
                                <option value="<?php echo $rol_empleado; ?>" selected><?php echo $rol_empleado; ?></option>
                                <option value="Vendedor">Vendedor</option>
                                <option value="Administrador">Administrador</option>
                            </select>
                        </div>

                        <div class="col-md-6 mt-3">
                            <h5>Departamento (obligatorio)<i class="tip" data-tip-content="Escribe el departamento al que pertenece el usuario"></i></h5>
                            <input class="form-control" type="text" value="<?php echo $departamento_empleado; ?>" placeholder="Departamento" id="departamento" />
                        </div>

                        <div class="col-md-6 mt-3">
                            <h5>Contrase&ntilde;a (obligatorio)<i class="tip" data-tip-content="Escribe una contrase&ntilde;a para el usuario del empleado"></i></h5>
                            <input type="password" class="form-control" value="<?php echo $password_empleado; ?>" placeholder="Contrase&ntilde;a" id="contrasena">
                        </div>
                        <div class="col-md-6 mt-3">
                            <h5>Confirmar contrase&ntilde;a (obligatorio)<i class="tip" data-tip-content="Confirma la contrase&ntilde;a del usuario"></i></h5>
                            <input type="password" class="form-control" value="<?php echo $password_empleado; ?>" placeholder="Confirmar contrase&ntilde;a" id="contrasena_repeat">
                        </div>

                        <div class="col-md-6 mt-3">
                            <h5>Tel&eacute;fono (obligatorio)<i class="tip" data-tip-content="Escribe el tel&eacute;fono del empleado"></i></h5>
                            <input class="form-control" type="text" value="<?php echo $telefono_empleado; ?>" placeholder="Tel&eacute;fono del empleado" id="telefono" />
                        </div>

                        <input type="hidden" id="rol" value="<?php echo $rol_empleado; ?>" required>

                    </div>

                    <button class="btn btn-block btn-success mt-5 mb-5" onclick="editar_empleado('<?php echo $_GET['id']; ?>')">Editar empleado</button>

                </div>

                <?php include_once("../menu/footer.php"); ?>

            </div>
            <!-- ============================================================== -->
            <!-- End Page wrapper  -->
            <!-- ============================================================== -->
        </div>

        <?php include_once("../helpers/js.html"); ?>

        <script>
            function rol_selected() {
                document.getElementById('rol').value = document.getElementById('rol_select').value;
            }
        </script>

        <script src="../js/sistem.js"></script>

    </body>

    </html>
<?php } else {
    header("Location: ./list-employes.php");
} ?>