<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
if (!empty($_GET['id'])) {
    $id = $_GET['id'];
    $redit = $mysqli->query("SELECT * FROM paquetes WHERE id='$id'");
    if ($redit) {
        while ($array = $redit->fetch_object()) {
            $id_paquete         = $array->id;
            $id_producto        = $array->id_producto;
            $cantidad_paquete   = $array->cantidad;
            $precio_paquete     = $array->precio;
            $nombre_paquete     = $array->nombre;
        }
    }
?>
    <!DOCTYPE html>
    <html dir="ltr" lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!-- Tell the browser to be responsive to screen width -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>Editar paquete - Punto de venta</title>

        <?php include_once("../helpers/css.html"); ?>
    </head>

    <body>

        <div class="preloader">
            <div class="lds-ripple">
                <div class="lds-pos"></div>
                <div class="lds-pos"></div>
            </div>
        </div>

        <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

            <?php include_once("../menu/header.php"); ?>

            <?php include_once("../menu/side-menu.php"); ?>

            <div class="page-wrapper">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="page-breadcrumb">
                    <div class="row">
                        <div class="col-7 align-self-center">
                            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Modificar paquete</h3>
                            <div class="d-flex align-items-center">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb m-0 p-0">
                                        <li class="breadcrumb-item"><a href="./list-packages.php">Lista de paquetes</a>
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="container-fluid">
                    <div class="row">
                    <div class="col-12 col-md-6">
                        <p class="text-center">Nombre *</p>
                        <input type="text" class="form-control" name="nombre" id="nombre" placeholder="Nombre para identificar el paquete" value="<?php echo $nombre_paquete; ?>" required>
                    </div>

                        <div class="col-12 col-md-6">
                            <p class="text-center">Código del producto</p>
                            <input type="text" placeholder="Código del producto" id="codigo" name="codigo" class="form-control" value="<?php echo $id_producto; ?>" required list="opciones">
                            <datalist id="opciones">
                                <?php
                                $rproducts = $mysqli->query("SELECT * FROM t_productos ORDER BY nombre ASC");
                                if ($rproducts) {
                                    while ($array = $rproducts->fetch_object()) {
                                        $id             = $array->id;
                                        $codigo         = $array->codigo;
                                        $nombre         = $array->nombre;
                                        $cantidad       = $array->cantidad;
                                        $precio_venta   = $array->precio_venta;

                                        echo '<option value="' . $codigo . '">(' . $cantidad . ') ' . $nombre . ' - $' . $precio_venta . '</option>';
                                    }
                                }
                                ?>
                            </datalist>
                        </div>

                        <div class="col-12 col-md-6">
                            <p class="text-center">Cantidad *</p>
                            <input type="number" class="form-control" name="cantidad" id="cantidad" value="<?php echo $cantidad_paquete;  ?>" placeholder="Cantidad de productos en el paquete" required>
                        </div>

                        <div class="col-12 col-md-6 mt-5">
                            <p class="text-center">Precio por paquete (si el campo se deja vacío el precio será cantidad * precio de venta)</p>
                            <input type="number" class="form-control" placeholder="Omite el signo de pesos ($) - Ej. 1100" min="1" name="precio_paquete" value="<?php echo $precio_paquete; ?>" id="precio_paquete">
                        </div>

                    </div>

                    <input type="hidden" id="metodo" value="<?php echo $metodo; ?>" required>
                    <input type="hidden" id="proveedor" value="<?php echo $proveedor; ?>" required>

                    <button type="button" onclick="modificar_paquete('<?php echo $id_paquete; ?>')" class="btn btn-lg btn-block btn-primary mt-5 mb-5">Modificar paquete</button>

                </div>

                <?php include_once("../menu/footer.php"); ?>

            </div>
            <!-- ============================================================== -->
            <!-- End Page wrapper  -->
            <!-- ============================================================== -->
        </div>

        <?php include_once("../helpers/js.html"); ?>

        <script type="text/javascript">
            function change_img(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();

                    reader.onload = function(e) {
                        $('#imagen-selected').attr('src', e.target.result);
                    }
                    reader.readAsDataURL(input.files[0]);
                }
            }

            $("#imagen").change(function() {
                change_img(this);
            });
        </script>

        <script type="text/javascript">
            function metodo_selected() {
                document.getElementById('metodo').value = document.getElementById('metodo_select').value;
            }

            function proveedor_selected() {
                document.getElementById('proveedor').value = document.getElementById('proveedor_select').value;
            }
        </script>

        <script src="../js/sistem.js"></script>

    </body>

    </html>
<?php } else {
    header("Location: ./list-products.php");
} ?>