<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
if (!empty($_GET['id'])) {
    $id = $_GET['id'];
    $redit = $mysqli->query("SELECT * FROM t_productos WHERE id='$id'");
    if ($redit) {
        while ($array = $redit->fetch_object()) {
            $id_producto                = $array->id;
            $nombre_producto                = $array->nombre;
            $marca_producto                 = $array->marca;
            $codigo_producto                = $array->codigo;
            $fecha_registro                 = $array->fecha_registro;
            $cantidad_producto              = $array->cantidad;
            $metodo_producto                = $array->metodo;
            $alerta_stock_producto          = $array->alerta_stock;
            $pdf_producto                   = $array->pdf;
            $descripcion_producto           = $array->descripcion;
            $precio_compra_producto         = $array->precio_compra;
            $precio_venta_producto          = $array->precio_venta;
            $precio_mayorista_producto      = $array->precio_mayorista;
            $proveedor_producto             = $array->proveedor;
            $imagen_producto                = $array->imagen;
            $comision_venta_producto        = $array->comision_venta;
            $comision_mayorista_producto    = $array->comision_mayorista;
        }
    }
?>
    <!DOCTYPE html>
    <html dir="ltr" lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!-- Tell the browser to be responsive to screen width -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>Editar producto - Punto de venta</title>

        <?php include_once("../helpers/css.html"); ?>
    </head>

    <body>

        <div class="preloader">
            <div class="lds-ripple">
                <div class="lds-pos"></div>
                <div class="lds-pos"></div>
            </div>
        </div>

        <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

            <?php include_once("../menu/header.php"); ?>

            <?php include_once("../menu/side-menu.php"); ?>

            <div class="page-wrapper">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="page-breadcrumb">
                    <div class="row">
                        <div class="col-7 align-self-center">
                            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Modificar producto (<?php echo $nombre_producto; ?>)</h3>
                            <div class="d-flex align-items-center">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb m-0 p-0">
                                        <li class="breadcrumb-item"><a href="./list-products.php">Lista de productos</a>
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="container-fluid">
                    <div class="row">
                        <!-- DATA -->
                        <div class="col-12 col-md-8">


                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <p class="text-center">Nombre del artículo</p>
                                    <input type="text" class="form-control" name="nombre" id="nombre" placeholder="Escribe el nombre del artículo" value="<?php echo $nombre_producto; ?>" required>
                                </div>

                                <!-- <div class="col-12 col-md-6" id="divCategoria">
                                    <p class="text-center">Elige la categoría del artículo.</p>
                                    <select class="form-control" name="categoria" id="categoria_select" onchange="categoria_selected()" required>
                                        <option disabled>Selecciona una categoria</option>
                                        <option value="<? //php echo $categoria; 
                                                        ?>" selected><? //php echo $categoria; 
                                                                        ?></option>
                                        <?php
                                        // $rcategorias = $mysqli->query("SELECT * FROM categorias");
                                        // if ($rcategorias) {
                                        //     while ($array = $rcategorias->fetch_object()) {
                                        //         $nombre = $array->nombre;
                                        //         echo "<option value='" . $nombre . "'>" . $nombre . "</option>";
                                        //     }
                                        // }
                                        ?>
                                        <option value="No Aplica">No Aplica</option>
                                    </select>
                                </div> -->

                                <!-- <div class="col-12 col-md-6 mt-5">
                                    <p class="text-center">Elige la talla del artículo.</p>
                                    <select class="form-control" id="talla_select" onchange="talla_selected()" required>
                                        <option disabled>Selecciona una talla</option>
                                        <option value="<? //php echo $talla; 
                                                        ?>" selected><? //php echo $talla; 
                                                                        ?></option>
                                        <option value="CH">CH</option>
                                        <option value="MD">MD</option>
                                        <option value="GR">GR</option>
                                        <option value="EX">EX</option>
                                        <option value="No Aplica">No Aplica</option>
                                    </select>
                                </div> -->

                                <div class="col-12 col-md-6">
                                    <p class="text-center">Marca</p>
                                    <input type="text" class="form-control" name="marca" id="marca" placeholder="Escribe la marca del artículo" value="<?php echo $marca_producto; ?>" required>
                                </div>

                                <div class="col-12 col-md-6 mt-5">
                                    <p class="text-center">Precio de compra</p>
                                    <input type="number" class="form-control" placeholder="Omite el signo de pesos ($) - Ej. 1100" min="1" name="precio_compra" id="precio_compra" value="<?php echo $precio_compra_producto; ?>" required>
                                </div>


                                <div class="col-12 col-md-6 mt-5">
                                    <p class="text-center">Precio de venta</p>
                                    <input type="number" class="form-control" placeholder="Omite el signo de pesos ($) - Ej. 1100" min="1" name="precio_venta" id="precio_venta" value="<?php echo $precio_venta_producto; ?>" required>
                                </div>

                                <div class="col-12 col-md-6 mt-5">
                                    <p class="text-center">Precio de mayorista</p>
                                    <input type="number" class="form-control" placeholder="Omite el signo de pesos ($) - Ej. 1100" min="1" name="precio_mayorista" id="precio_mayorista" value="<?php echo $precio_mayorista_producto; ?>" required>
                                </div>

                                <div class="col-12 col-md-6 mt-5">
                                    <p class="text-center">Comisi&oacute;n (a precio normal de venta)</p>
                                    <input type="number" class="form-control" placeholder="Omite el signo de pesos ($) - Ej. 1100" min="1" value="<?php echo $comision_venta_producto; ?>" name="comision_venta" id="comision_venta" required>
                                </div>

                                <div class="col-12 col-md-6 mt-5">
                                    <p class="text-center">Comisi&oacute;n (a precio de mayorista)</p>
                                    <input type="number" class="form-control" placeholder="Omite el signo de pesos ($) - Ej. 1100" min="1" value="<?php echo $comision_mayorista_producto; ?>" name="comision_mayorista" id="comision_mayorista" required>
                                </div>

                                <div class="col-12 col-md-6 mt-5">
                                    <p class="text-center">Forma de vender este producto</p>
                                    <select class="form-control" name="metodo" id="metodo_select" onchange="metodo_selected()" required>
                                        <!-- <option disabled>Selecciona una forma</option> -->
                                        <option value="<?php echo $metodo_producto; ?>" selected><?php echo $metodo_producto; ?></option>
                                        <option value="Piezas">Piezas</option>
                                        <option value="Kilos">Kilos</option>
                                        <option value="Libras">Libras</option>
                                        <option value="Caja">Caja (Piezas por caja)</option>
                                    </select>
                                </div>

                                <div class="col-12 col-md-6 mt-5" id="mostrar_bolsas">
                                    <p class="text-center">Ingresa las existencias del productos</p>
                                    <input type="number" class="form-control" placeholder="Cantidad de productos" min="0" id="cantidad" value="<?php echo $cantidad_producto; ?>" name="cantidad" value="" required>
                                </div>

                                <div class="col-12 col-md-6 mt-5">
                                    <p class="text-center">Alerta stock</p>
                                    <input type="number" class="form-control" placeholder="M&iacute;nimo de producto para recibir una notificaci&oacute;n" name="alerta_stock" id="alerta_stock" value="<?php echo $alerta_stock_producto; ?>">
                                </div>

                                <div class="col-12 col-md-6 mt-5">
                                    <p class="text-center">Nombre del Proveedor</p>
                                    <select class="form-control" name="proveedor" id="proveedor_select" onchange="proveedor_selected()" required>
                                        <option value="<?php echo $proveedor_producto; ?>"><?php echo $proveedor_producto; ?></option>
                                        <?php
                                        $rprovedores = $mysqli->query("SELECT * FROM proveedores");
                                        if ($rprovedores) {
                                            while ($array = $rprovedores->fetch_object()) {
                                                $nombre_proveedor = $array->razon_social;
                                                echo "<option value='" . $nombre_proveedor . "'>" . $nombre_proveedor . "</option>";
                                            }
                                        }
                                        ?>
                                        <option value="Sin Proveedor">Sin Proveedor</option>
                                    </select>
                                </div>

                                <!-- <div class="col-12 col-md-6 mt-5" id="mostrar_bolsas"> -->
                                <!-- <p class="text-center">Promoci&oacute;n / Descuento</p> -->
                                <input type="hidden" class="form-control" placeholder="Descuento" min="0" id="descuento" value="<?php echo $descuento; ?>" name="descuento" value="" required>
                                <!-- </div> -->

                                <div class="col-12 col-md-6 mt-5">
                                    <p class="text-center">PDF</p>
                                    <input type="file" class="form-control" name="pdf" id="pdf" value="">
                                </div>

                                <div class="col-12 col-md-6 mt-5" id="mostrar_bolsas">
                                    <p class="text-center">Selecciona la imagen del producto</p>
                                    <input type="file" class="form-control" id="imagen" value="">
                                </div>

                                <div class="col-12 col-md-6">
                                    <p class="text-center">Código de barras (si existe)</p>
                                    <input type="text" class="form-control" name="codigo" id="codigo" placeholder="Introduce el código de barras si cuenta con uno." value="<?php echo $codigo_producto; ?>">
                                </div>

                                <div class="col-12 col-md-12 mt-5">
                                    <p class="text-center">Descripción del artículo</p>
                                    <textarea class="form-control" name="descripcion" id="descripcion" placeholder="Escribe la descripción de este articulo" required><?php echo $descripcion_producto; ?></textarea>
                                </div>

                            </div>

                        </div>

                        <div class="col-12 col-md-4">
                            <h3 class="text-center">Imagen del producto</h3>
                            <?php if (!empty($imagen_producto)) { ?>
                                <img src="../assets/images/products/<?php echo $imagen_producto; ?>" class="w-100" id="imagen-selected">
                            <?php } else { ?>
                                <img src="../assets/images/imagen-no-disponible.jpg" class="w-100" id="imagen-selected">
                            <?php } ?>
                        </div>

                        <!--/ DATA -->
                    </div>

                    <input type="hidden" id="metodo" value="<?php echo $metodo_producto; ?>" required>
                    <input type="hidden" id="proveedor" value="<?php echo $proveedor_producto; ?>" required>

                    <button type="button" onclick="modificar_producto('<?php echo $id_producto; ?>')" class="btn btn-lg btn-block btn-primary mt-5 mb-5">Modificar producto</button>

                </div>

                <?php include_once("../menu/footer.php"); ?>

            </div>
            <!-- ============================================================== -->
            <!-- End Page wrapper  -->
            <!-- ============================================================== -->
        </div>

        <?php include_once("../helpers/js.html"); ?>

        <script type="text/javascript">
            function change_img(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();

                    reader.onload = function(e) {
                        $('#imagen-selected').attr('src', e.target.result);
                    }
                    reader.readAsDataURL(input.files[0]);
                }
            }

            $("#imagen").change(function() {
                change_img(this);
            });
        </script>

        <script type="text/javascript">
            function metodo_selected() {
                document.getElementById('metodo').value = document.getElementById('metodo_select').value;
            }

            function proveedor_selected() {
                document.getElementById('proveedor').value = document.getElementById('proveedor_select').value;
            }
        </script>

        <script src="../js/sistem.js"></script>

    </body>

    </html>
<?php } else {
    header("Location: ./list-products.php");
} ?>