<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
if (!empty($_GET['id'])) {
    $id = $_GET['id'];
    $redit = $mysqli->query("SELECT * FROM devoluciones WHERE id='$id'");
    if ($redit) {
        while ($array = $redit->fetch_object()) {
            $id_devolucion = $array->id;
            $fecha_devolucion = $array->fecha_devolucion;
            $producto_devolucion = $array->producto;
            $cantidad_devolucion = $array->cantidad;
            $motivo_devolucion = $array->defecto;
        }
    }
?>
    <!DOCTYPE html>
    <html dir="ltr" lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!-- Tell the browser to be responsive to screen width -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>Editar devolución - Punto de venta</title>

        <?php include_once("../helpers/css.html"); ?>
    </head>

    <body>

        <div class="preloader">
            <div class="lds-ripple">
                <div class="lds-pos"></div>
                <div class="lds-pos"></div>
            </div>
        </div>

        <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

            <?php include_once("../menu/header.php"); ?>

            <?php include_once("../menu/side-menu.php"); ?>

            <div class="page-wrapper">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="page-breadcrumb">
                    <div class="row">
                        <div class="col-7 align-self-center">
                            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Modificar devolución</h3>
                            <div class="d-flex align-items-center">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb m-0 p-0">
                                        <li class="breadcrumb-item"><a href="./list-returns.php">Lista de devoluciones</a>
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12 col-md-6">
                            <p class="text-center">Artículo</p>
                            <select class="form-control" name="producto_select" id="producto_select" onchange="producto_selected()" required>
                                <?php
                                    $query = $mysqli->query("SELECT * FROM t_productos WHERE id=$producto_devolucion;");
                                    if ($query) {
                                        while ($array = $query->fetch_object()) {
                                            echo "<option value='$array->id' selected>$array->nombre ($array->metodo)</option>";
                                        }
                                    }
                                ?>
                                <?php
                                $rproductos = $mysqli->query("SELECT * FROM t_productos");
                                if ($rproductos) {
                                    while ($array = $rproductos->fetch_object()) {
                                        $id_producto = $array->id;
                                        $nombre_producto = $array->nombre;
                                        $metodo_producto = $array->metodo;
                                        echo "<option value='" . $id_producto . "'>" . $nombre_producto . " (" . $metodo_producto . ")" . "</option>";
                                    }
                                }
                                ?>
                            </select>
                        </div>

                        <div class="col-12 col-md-6">
                            <p class="text-center">Cantidad</p>
                            <input type="number" class="form-control" name="cantidad" id="cantidad" placeholder="Ingresa la cantidad devuelta" value="<?php echo $cantidad_devolucion; ?>" required>
                        </div>

                        <div class="col-12 mt-5">
                            <p class="text-center">Defecto</p>
                            <textarea class="form-control" placeholder="Describe el defecto reportado lo más específico posible." name="defecto" id="defecto" required><?php echo trim($motivo_devolucion); ?></textarea>
                        </div>

                        <!-- <div class="col-12 col-md-6 mt-5" id="mostrar_bolsas"> -->
                        <!-- <p class="text-center">Promoci&oacute;n / Descuento</p> -->
                        <input type="hidden" class="form-control" id="producto" value="<?php echo $producto_devolucion; ?>" name="producto" required>
                        <!-- </div> -->

                    </div>

                    <input type="hidden" id="metodo" value="<?php echo $metodo; ?>" required>
                    <input type="hidden" id="proveedor" value="<?php echo $proveedor; ?>" required>

                    <button type="button" onclick="modificar_devolucion('<?php echo $id_devolucion; ?>')" class="btn btn-lg btn-block btn-primary mt-5 mb-5">Modificar producto</button>

                </div>

                <?php include_once("../menu/footer.php"); ?>

            </div>
            <!-- ============================================================== -->
            <!-- End Page wrapper  -->
            <!-- ============================================================== -->
        </div>

        <?php include_once("../helpers/js.html"); ?>

        <script type="text/javascript">
            function producto_selected() {
                document.getElementById('producto').value = document.getElementById('producto_select').value;
            }
        </script>

        <script src="../js/sistem.js"></script>

    </body>

    </html>
<?php } else {
    header("Location: ./list-products.php");
} ?>