<?php 
    session_start();
    include_once("../helpers/session_check.php");
    include_once("../private/conexion.php");
    $rventas = $mysqli->query("SELECT * FROM venta ORDER BY id DESC");

    $total_caja = 0;
    $rtotalabonosdia = $mysqli->query("SELECT SUM(monto) AS total_caja FROM caja WHERE estado!='Egreso'");
    while($array = $rtotalabonosdia ->fetch_object())
    {
        $total_caja = $array->total_caja;
        // if ($total_caja==null || empty($total_caja)) {
        //     $total_caja = 0;
        // }
    }

    $utilidad_total = 0;
    $utilidad_unitaria = 0;
    $rv = $mysqli->query("SELECT * FROM `venta` ORDER BY id DESC");
    if ($rv) {
        while($array = $rv->fetch_object())
        {
            $refer = $array->refer;
            
            $rc = $mysqli->query("SELECT * FROM `car_order`WHERE identificador='$refer'");
            if ($rc) {
                while($array = $rc->fetch_object())
                {
                    $id_tproducto = $array->id_tproducto;
                    $cantidad = $array->cantidad;
                    $precio_unitario = $array->precio_unitario;
            
                    // UTILIDAD_total
                    $precio_compra = 0;
                    $rp = $mysqli->query("SELECT * FROM `t_productos` WHERE id='$id_tproducto'");
                    if ($rp) {
                        if (mysqli_num_rows($rp)>0) {
                            while($array = $rp->fetch_object())
                            {
                                $precio_compra = $array->precio_compra;
                            }
                        }else{
                            $precio_compra = 0;
                        }
                    }
                    $utilidad_unitaria+= ($precio_unitario*$cantidad) - ($precio_compra*$cantidad);
                }
            }
            $utilidad_total+= $utilidad_unitaria;
            $utilidad_unitaria = 0;
        }
    }
?>
<!DOCTYPE html>
<html dir="ltr" lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Ventas - Punto de venta</title>

    <?php include_once("../helpers/css.html"); ?>
</head>

<body>

    <div class="preloader">
        <div class="lds-ripple">
            <div class="lds-pos"></div>
            <div class="lds-pos"></div>
        </div>
    </div>

    <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full"
        data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">
        
        <?php include_once("../menu/header.php"); ?>

        <?php include_once("../menu/side-menu.php"); ?>

        <div class="page-wrapper">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="page-breadcrumb">
                <div class="row">
                    <div class="col-7 align-self-center">
                        <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Lista de ventas</h3>
                        <div class="d-flex align-items-center">
                            <nav aria-label="breadcrumb">
                                <ol class="breadcrumb m-0 p-0">
                                    <li class="breadcrumb-item"><a href="javascript:void(0)">Nueva venta</a>
                                    </li>
                                </ol>
                            </nav>
                        </div>
                        <button class="btn btn-primary mb-5" data-toggle="modal" data-target="#modalRestart">Reiniciar ventas</button>
                    </div>
                </div>
            </div>

            <div class="card-group">
              <div class="card border-right">
                <div class="card-body">
                  <div class="d-flex d-lg-flex d-md-block align-items-center">
                    <div>
                      <h2 class="text-dark mb-1 w-100 text-truncate font-weight-medium"><sup
                                class="set-doller">$</sup><?php echo number_format($total_caja,2); ?></h2>
                      <h4 class="text-primary font-weight-normal mb-0 w-100 text-truncate">Total en caja
                        </h4>
                    </div>
                    <div class="ml-auto mt-md-3 mt-lg-0">
                      <span class="opacity-7 text-muted"><i data-feather="dollar-sign"></i></span>
                    </div>
                  </div>
                </div>
              </div>

              <div class="card border-right">
                <div class="card-body">
                  <div class="d-flex d-lg-flex d-md-block align-items-center">
                    <div>
                      <h2 class="text-dark mb-1 w-100 text-truncate font-weight-medium"><sup
                                class="set-doller">$</sup><?php echo number_format($utilidad_total,2); ?></h2>
                      <h4 class="text-success font-weight-normal mb-0 w-100 text-truncate">Total de utilidad
                        </h4>
                    </div>
                    <div class="ml-auto mt-md-3 mt-lg-0">
                      <span class="opacity-7 text-muted"><i data-feather="dollar-sign"></i></span>
                    </div>
                  </div>
                </div>
              </div>

              <div class="card">
                <div class="card-body">
                  <div class="d-flex d-lg-flex d-md-block align-items-center">
                    <div>
                      <h2 class="text-dark mb-1 font-weight-medium"><?php echo mysqli_num_rows($rventas); ?></h2>
                      <h4 class="text-dark font-weight-normal mb-0 w-100 text-truncate">Total de ventas</h4>
                    </div>
                    <div class="ml-auto mt-md-3 mt-lg-0">
                      <span class="opacity-7 text-muted"><i data-feather="globe"></i></span>
                    </div>
                  </div>
                </div>
              </div>
            </div>

            <div class="container-fluid">

                <div class="card">
                    <div class="card-body">
                        <div id="check">
                        <?php if (mysqli_num_rows($rventas)>0) { ?>

                        <table class="table bg-info text-dark table-hover" id="tabla-ventas">
                          <thead class="thead-dark">
                            <tr>
                              <th scope="col" class="table-especial"># folio</th>
                              <th scope="col" class="table-especial">Total</th>
                              <th scope="col" class="table-especial">Cliente</th>
                              <th scope="col" class="table-especial">Forma de pago</th>
                              <th scope="col" class="table-especial">Estado</th>
                              <th scope="col" class="table-especial">Fecha y hora</th>
                              <th scope="col" class="table-especial">Acciones</th>
                          </thead>
                          <tbody>
                            <?php 
                                $cont = 0;
                                if ($rventas)
                                {
                                while($array = $rventas->fetch_object())
                                    {
                                        $id         = $array->id;
                                        $refer      = $array->refer;
                                        $fecha      = $array->fecha;
                                        $total      = $array->total;
                                        $cliente    = $array->cliente;
                                        $estado     = $array->estado;
                                        $forma_pago = $array->forma_pago;
                                        $cont++;
                            ?>
                                    <tr>
                                        <th scope="row"><?php echo $id; ?></th>
                                        <td>$<?php echo $total; ?></td>
                                        <td><?php echo $cliente; ?></td>
                                        <td><?php echo $forma_pago; ?></td>
                                        <td <?php if ($estado==="Pagado") { echo "class='text-success'"; }else{ echo "class='text-danger'"; } ?>><?php echo $estado; ?></td>
                                        <td><?php echo $fecha; ?></td>
                                        <td class="text-center">
                                            <button class="btn btn-info" onclick="sell_option('<?php echo $id; ?>','show')"><i class="bi bi-eye"></i></button>
                                            <button class="btn btn-outline-dark" onclick="reimprimir_ticket_venta('<?php echo $id; ?>','<?php echo $fecha; ?>','<?php echo $refer; ?>','<?php echo $total; ?>','<?php echo $cliente; ?>','<?php echo $estado; ?>','<?php echo $forma_pago; ?>')"><i class="bi bi-printer"></i></button>
                                            <!-- <button class="btn btn-danger" onclick="sell_option('<?php //echo $id; ?>','delete')"><i class="bi bi-trash"></i></button> -->
                                        </td>
                                    </tr>
                            <?php 
                                    }
                                }
                            ?>
                          </tbody>
                        </table>

                        <?php }else{ ?>
                        <h3>No hay registro de ventas</h3>
                        <?php } ?>
                        </div>
                    </div>
                </div>

            </div>

            <?php include_once("../menu/footer.php"); ?>

        </div>
        <!-- ============================================================== -->
        <!-- End Page wrapper  -->
        <!-- ============================================================== -->
    </div>

    <!-- MODALS -->
    <!-- Modal DELETE -->
    <div class="modal fade" id="modalDelete" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Eliminar venta</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            &iquest;Seguro que deseas eliminar esta venta?
            <input type="hidden" id="id_delete" readonly required/>
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cancelar</button>
              <button type="button" onclick="eliminar_venta()" class="btn btn-outline-danger">Eliminar</button>
          </div>
        </div>
      </div>
    </div>

    <!-- Modal SHOW -->
    <div class="modal fade bd-example-modal-lg" id="modalShow" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
      <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalCenterTitle">Informaci&oacute;n del producto</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            
            <div id="info" class="container"></div>

          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal REINICIAR -->
  <div class="modal fade bd-example-modal-lg" id="modalRestart" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalCenterTitle">Reiniciar ventas</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <h3>&iquest;Seguro que deseas reinicar las ventas?</h3>
          <p>Se eliminaran los registros de las ventas actuales</p>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary" data-dismiss="modal" aria-label="Close">Cerrar</button>
            <button type="button" class="btn btn-danger" onclick="reiniciar_todo('ventas')">S&iacute;, reiniciar</button>
       </div>
      </div>
    </div>
  </div>
    
    <?php include_once("../helpers/js.html"); ?>

    <script type="text/javascript">
      $(document).ready(function() {
          $('#tabla-ventas').DataTable( {
              language: {
                  search: "B&uacute;squeda:",
                  processing:    "Traitement en cours...",
                  lengthMenu:    "Filtrar _MENU_ registros",
                  info:           "_START_ - _END_ de _TOTAL_ registros",
                  infoEmpty:      "No hay resultados",
                  infoFiltered:   "(filtro de _MAX_ registros)",
                  infoPostFix:    "",
                  loadingRecords: "Chargement en cours...",
                  zeroRecords:    "No se encontr&oacute; resultado de esta b&uacute;squeda",
                  emptyTable:     "Aucune donnée disponible dans le tableau",
                  paginate: {
                      first:      "Inicio",
                      previous:   "Anterior",
                      next:       "Siguiente",
                      last:       "Final"
                  },
                  aria: {
                      sortAscending:  ": activer pour trier la colonne par ordre croissant",
                      sortDescending: ": activer pour trier la colonne par ordre décroissant"
                  }
              }
          } );
      } );
    </script>
</body>

</html>