function turn_on_cargando(){
  boton = document.getElementById("cargador");
  boton.style.display='block';
}

function turn_off_cargando(){
  boton = document.getElementById("cargador");
  boton.style.display='none';
}

function messageConfirmation(message,type){
	Swal.fire(
		'Aviso',
		message,
		type
	);
}

function message(title,type){
	Swal.fire({
	  position: 'top-center',
	  icon: type,
	  title: title,
	  showConfirmButton: false,
	  timer: 2000,
      // width: '3000px',
      // height: '1000px'
      // className: 'swal-wide'
	});
}

function setDataTables(tabla){
  $(tabla).DataTable().destroy();
  $(tabla).DataTable( {
  	  retrive: true,
  	  destroy: true,
      language: {
          search: "B&uacute;squeda:",
          processing:    "Traitement en cours...",
          lengthMenu:    "Filtrar _MENU_ registros",
          info:           "_START_ - _END_ de _TOTAL_ registros",
          infoEmpty:      "No hay resultados",
          infoFiltered:   "(filtro de _MAX_ registros)",
          infoPostFix:    "",
          loadingRecords: "Chargement en cours...",
          zeroRecords:    "No se encontr&oacute; resultado de esta b&uacute;squeda",
          emptyTable:     "Aucune donne disponible dans le tableau",
          paginate: {
              first:      "Inicio",
              previous:   "Anterior",
              next:       "Siguiente",
              last:       "Final"
          },
          aria: {
              sortAscending:  ": activer pour trier la colonne par ordre croissant",
              sortDescending: ": activer pour trier la colonne par ordre d���croissant"
          }
      }
  } );
}

function close_modal(modal){
	$('#' + modal).modal('hide');
}

function open_modal(modal){
	$('#' + modal).modal('show');
}

function toast(message,type){
	if (type === "error") {
		var color = "red"
	}else{
		var color = "green";
	}

	const Toast = Swal.mixin({
	  toast: true,
	  position: 'top',
	  showConfirmButton: false,
	  timer: 3000,
	  timerProgressBar: true,
	  background: color,
	  // customClass: {title: 'toast'},
	  // html: true,
	  didOpen: (toast) => {
	    toast.addEventListener('mouseenter', Swal.stopTimer)
	    toast.addEventListener('mouseleave', Swal.resumeTimer)
	  }
	});

	Toast.fire({
	  icon: type,
	  title: "<span style='color: white;'>" + message + "</span>"
	});
}

function imagenes_upload(work, id, imagen){
	var fd = new FormData();
	var files = $('#' + imagen)[0].files[0];
	fd.append(imagen, files);
	fd.append('id', id);
	fd.append('work', work);

	console.log(JSON.stringify(fd));
	console.log(fd.get(imagen));
	console.log(fd);

	turn_on_cargando();

	$.ajax({
		data: fd,
		url: '../process/controlador-imgs.php',
		type: 'POST',    
        contentType: false,
        processData: false,
        beforeSend: function () {

        },
        error:  function () {
        	messageConfirmation("ERROR, al conectarse al SERVIDOR DE IMAGENES...","error");
            turn_off_cargando();
        },
        success: function(data){
        	turn_off_cargando();
        	if (data === "uploaded") {
        		message("Imagen del entrenador subida", "success");
        	}else{
				message(data, "error");
        	}
        }
    });
}

function login() {
	if ($('#username').val()!="" 
		&& $('#password').val()!="") {

		var username = $('#username').val();
		var password = $('#password').val();

		turn_on_cargando();


		var data = "work=1&username="+username+"&password="+password;

		$.ajax({
	        data:  data,
	        url:   'process/controlador.php',
	        type:  'POST',
	        beforeSend: function () {

	        },
	        error:  function () {
	            messageConfirmation("ERROR, al conectarse al SERVIDOR...","error");
	            turn_off_cargando();
	        },
	        success: function(data){
	        	turn_off_cargando();
	        	// console.log("DATA: " + JSON.stringify(data));

	        	if (data === "exist") {
	        		message("Accediendo al sistema...","success");
	        		location = "./sections/";
	        	}else{
	        		message(data,"error");
	        	}

	        } 
	    });

	}else{
		toast("Completa los datos solicitados","error");
	}
}

function add_coach() {
	if ($('#nombre').val()!=""
		&& $('#apellido_paterno').val()!=""
		&& $('#apellido_materno').val()!=""
		&& $('#email').val()!=""
		&& $('#password').val()!=""
		&& $('#imagen').val()!=""
		&& $('#fecha_nacimiento').val()!=""
		&& $('#edad').val()!=""
		&& $('#facebook').val()!=""
		&& $('#instagram').val()!=""
		&& $('#pagina_web').val()!=""
		&& $('#descripcion').val()!=""){

		var nombre           = $('#nombre').val();
		var apellido_paterno = $('#apellido_paterno').val();
		var apellido_materno = $('#apellido_materno').val();
		var email            = $('#email').val();
		var password         = $('#password').val();
		var imagen           = $('#imagen').val();
		var fecha_nacimiento = $('#fecha_nacimiento').val();
		var edad             = $('#edad').val();
		var facebook         = $('#facebook').val();
		var instagram        = $('#instagram').val();
		var pagina_web       = $('#pagina_web').val();
		var descripcion      = $('#descripcion').val();

		turn_on_cargando();


		var data = "work=2&nombre=" + nombre +
					"&apellido_paterno=" + apellido_paterno +
					"&apellido_materno=" + apellido_materno +
					"&email=" + email +
					"&password=" + password +
					"&fecha_nacimiento=" + fecha_nacimiento +
					"&edad=" + edad +
					"&facebook=" + facebook +
					"&instagram=" + instagram +
					"&pagina_web=" + pagina_web +
					"&descripcion=" + descripcion;

		$.ajax({
	        data:  data,
	        url:   '../process/controlador.php',
	        type:  'POST',
	        beforeSend: function () {

	        },
	        error:  function () {
	            messageConfirmation("ERROR, al conectarse al SERVIDOR...","error");
	            turn_off_cargando();
	        },
	        success: function(data){
	        	turn_off_cargando();
	        	console.log("RESPONSE: " + JSON.stringify(data));

	        	if (JSON.parse(data)[0].response === "added") {
	        		imagenes_upload("1", JSON.parse(data)[0].id, "imagen");
					$('#nombre').val("");
					$('#apellido_paterno').val("");
					$('#apellido_materno').val("");
					$('#email').val("");
					$('#password').val("");
					$('#imagen').val("");
					$('#fecha_nacimiento').val("");
					$('#edad').val("");
					$('#facebook').val("");
					$('#instagram').val("");
					$('#pagina_web').val("");
					$('#descripcion').val("");
	        		toast("Entrenador agregado","success");
	        	}else{
	        		message(data,"error");
	        	}

	        } 
	    });

	}else{
		toast("Completa los datos del entrenador","error");
	}
}