function turn_on_cargando() {
	boton = document.getElementById("cargador");
	boton.style.display = 'block';
}

function turn_off_cargando() {
	boton = document.getElementById("cargador");
	boton.style.display = 'none';
}

function redirection(route) {
	setTimeout(() => { location = route; }, 2000);
}

function toast(message, type) {
	if (type === "error") {
		var color = "red"
	} else {
		var color = "green";
	}

	const Toast = Swal.mixin({
		toast: true,
		position: 'top',
		showConfirmButton: false,
		timer: 3000,
		timerProgressBar: true,
		background: color,
		// customClass: {title: 'toast'},
		// html: true,
		didOpen: (toast) => {
			toast.addEventListener('mouseenter', Swal.stopTimer)
			toast.addEventListener('mouseleave', Swal.resumeTimer)
		}
	});

	Toast.fire({
		icon: type,
		title: "<span style='color: white;'>" + message + "</span>"
	});
}

function imagen(id, work) {
	var fd = new FormData();
	var files = $('#imagen')[0].files[0];
	fd.append('imagen', files);
	fd.append('id', id);
	fd.append('work', work);

	console.log(JSON.stringify(fd));
	console.log(fd.get('imagen'));
	console.log(fd);

	turn_on_cargando();

	$.ajax({
		data: fd,
		url: '../process/controlador-imgs.php',
		type: 'POST',
		contentType: false,
		processData: false,
		beforeSend: function() {

		},
		error: function() {
			messageConfirmation("ERROR, al conectarse al SERVIDOR...", "error");
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();
			if (data === "done") {
				document.getElementById("imagen").value = "";
				// toast("img subida","success");
			} else {
				toast(data, "error");
			}
		}
	});
}

function pdf(id, work) {
	var fd = new FormData();
	var files = $('#pdf')[0].files[0];
	fd.append('pdf', files);
	fd.append('id', id);
	fd.append('work', work);

	console.log(JSON.stringify(fd));
	console.log(fd.get('pdf'));
	console.log(fd);

	turn_on_cargando();

	$.ajax({
		data: fd,
		url: '../process/controlador-pdfs.php',
		type: 'POST',
		contentType: false,
		processData: false,
		beforeSend: function() {

		},
		error: function() {
			messageConfirmation("ERROR, al conectarse al SERVIDOR...", "error");
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();
			if (data === "done") {
				document.getElementById("pdf").value = "";
				// toast("pdf subido","success");
			} else {
				toast(data, "error");
			}
		}
	});
}

function setDataTables(tabla) {
	$(tabla).DataTable().destroy();
	$(tabla).DataTable({
		retrive: true,
		destroy: true,
		language: {
			search: "B&uacute;squeda:",
			processing: "Traitement en cours...",
			lengthMenu: "Filtrar _MENU_ registros",
			info: "_START_ - _END_ de _TOTAL_ registros",
			infoEmpty: "No hay resultados",
			infoFiltered: "(filtro de _MAX_ registros)",
			infoPostFix: "",
			loadingRecords: "Chargement en cours...",
			zeroRecords: "No se encontr&oacute; resultado de esta b&uacute;squeda",
			emptyTable: "Aucune donne disponible dans le tableau",
			paginate: {
				first: "Inicio",
				previous: "Anterior",
				next: "Siguiente",
				last: "Final"
			},
			aria: {
				sortAscending: ": activer pour trier la colonne par ordre croissant",
				sortDescending: ": activer pour trier la colonne par ordre d���croissant"
			}
		}
	});
}

function login() {
	if ($('#usuario').val() != "" && $('#password').val() != "") {

		var usuario = $('#usuario').val();
		var password = $('#password').val();

		turn_on_cargando();

		var data1 = "tarea=1&usuario=" + usuario + "&password=" + password;
		// alert(data1);

		$.ajax({
			data: data1,
			url: 'process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();

				if (data === 'exist') {
					location.href = "sections/";
				} else {
					Swal.fire('Aviso', data, 'error');
				}
			}
		});

	} else {
		toast("Ingresa tus credenciales", "error");
	}
}

// function agregar_cliente() {
// 	if ($('#nombre').val()!="" 
// 		&& $('#telefono').val()!=""
// 		&& $('#direccion_cliente').val()!="" 
// 		&& $('#direccion_obra').val()!=""
// 		//&& $('#costo').val()!=""
// 		){

// 		var nombre            = $('#nombre').val();
// 		var telefono          = $('#telefono').val();
// 		var direccion_cliente = $('#direccion_cliente').val();
// 		var direccion_obra    = $('#direccion_obra').val();
// 		// var costo             = $('#costo').val();

// 		turn_on_cargando();

// 		var data1="tarea=2&nombre="+nombre+"&telefono="+telefono
// 			+"&direccion_cliente="+direccion_cliente+"&direccion_obra="+direccion_obra
// 			// +"&costo="+costo
// 			;

// 		$.ajax({
// 	        data:  data1,
// 	        url:   'process/process/controlador.php',
// 	        type:  'POST',
// 	        beforeSend: function () {

// 	        },
// 	        error:  function () {
// 	        	//$('#modalRegistroCliente').modal('hide');
// 	            Swal.fire(
// 					'Aviso',
// 					'ERROR, al conectarse al SERVIDOR...',
// 					'error'
// 				);
// 	            // setTimeout(() => { 
// 	            turn_off_cargando();
// 			      // $('#ftco-loader').hide();
// 			    // },10000);
// 	        },
// 	        success: function(data){
// 	        	turn_off_cargando();
// 	        	if (data==='done') {
// 	        		document.getElementById("modalRegistroCliente").click(function(){
// 	        			document.getElementById("modalNuevoEmpleado").style.display = "none";
// 	        		});

// 	        		//$("#exampleFormControlSelect1").load(location.href+" #exampleFormControlSelect1>*","");
// 	        		//$("#cliente").load(location.href+" #cliente>*","");
// 	        		//$("#cliente_escaleras").load(location.href+" #cliente_escaleras>*","");

// 					Swal.fire({
// 					  position: 'top-end',
// 					  icon: 'success',
// 					  title: 'Se registro la información de este cliente',
// 					  showConfirmButton: false,
// 					  timer: 1500
// 					});

// 					location.href = "admin.php";

// 	        	}else{
// 	        		Swal.fire(
// 						'Aviso',
// 						data,
// 						'error'
// 					);
// 	        	}
// 	        } 
// 	   });

// 	}else{
// 		Swal.fire(
// 			'Aviso',
// 			'Completa los datos del cliente',
// 			'error'
// 		);
// 	}
// }

function agregar_empleado() {
	if ($('#nombre').val() != ""
		// && $('#direccion').val()!=""
		&& $('#usuario').val() != ""
		&& $('#contrasena').val() != ""
		&& $('#contrasena_repeat').val() != ""
		&& $('#rol').val() != ""
		&& $('#telefono').val()!=""
		&& $('#email').val()!=""
	) {

		var nombre = $('#nombre').val();
		var direccion = $('#direccion').val();
		var usuario = $('#usuario').val();
		var contrasena = $('#contrasena').val();
		var contrasena_repeat = $('#contrasena_repeat').val();
		var rol = $('#rol').val();
		var telefono = $('#telefono').val();
		var correo = $('#email').val();
		var departamento = $('#departamento').val();

		if (contrasena === contrasena_repeat) {

			turn_on_cargando();

			var data1 = "tarea=3&nombre=" + nombre +
				"&direccion=" + direccion +
				"&usuario=" + usuario +
				"&contrasena=" + contrasena +
				"&rol=" + rol +
				"&telefono=" + telefono +
				"&correo=" + correo +
				"&departamento=" + departamento;

			$.ajax({
				data: data1,
				url: '../process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					turn_off_cargando();
					messageConfirmation("ERROR, al conectarse al SERVIDOR...", "error");
				},
				success: function(data) {
					turn_off_cargando();

					if (data === 'done') {
						message("Empleado agregado", "success");
						redirection("./list-employes.php");
					} else {
						messageConfirmation(data, "error");
					}
				}
			});

		} else {
			toast("Las contraseñas no coinciden", "error");
		}

	} else {
		toast("Completa todos los datos del empleado", "error");
	}
}

function agregar_sucursal() {
	if ($('#nombre').val() != ""
		&& $('#encargado').val() != ""
	) {

		var nombre = $('#nombre').val();
		var encargado = $('#encargado').val();
		var direccion = $('#direccion').val();
		var telefono = $('#telefono').val();
		

		turn_on_cargando();

			var data1 = "tarea=58&nombre=" + nombre +
				"&direccion=" + direccion +
				"&telefono=" + telefono +
				"&encargado=" + encargado;

			$.ajax({
				data: data1,
				url: '../process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					turn_off_cargando();
					messageConfirmation("ERROR, al conectarse al SERVIDOR...", "error");
				},
				success: function(data) {
					turn_off_cargando();

					if (data == 'done') {
						message("Sucursal agregada", "success");
						redirection("./list-offices.php");
					} else {
						messageConfirmation(data, "error");
					}
				}
			});

	} else {
		toast("Completa todos los datos requeridos", "error");
	}
}

function modificar_sucursal(id) {
	if ($('#nombre').val() != ""
		&& $('#encargado').val() != "") {

			var nombre          = $('#nombre').val();
			var direccion 		= $('#direccion').val();
			var telefono 		= $('#telefono').val();
			var encargado		= $('#encargado').val();

		turn_on_cargando();

		var data1 = "tarea=61&id="				+ id +				
						"&nombre=" 				+ nombre +
						"&direccion="			+ direccion +
						"&telefono="    		+ telefono +
						"&encargado="   		+ encargado;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();

				if (data === 'done') {

					Swal.fire({
						title: 'Sucursal editada',
						text: "Se modifico la información de esta sucursal",
						icon: 'success',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: 'Ir a sucursales',
						cancelButtonText: 'Cancelar',
					}).then((result) => {
						if (result.value) {
							console.log("Valor: " + result.value);
							location.href = "./list-offices.php";
						}
					});

				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		toast("Completa los datos del producto", "error");
	}
}

function agregar_producto() {

	if ($('#nombre').val() != ""
		&& $('#marca').val() != ""
		&& $('#precio_compra').val() != ""
		&& $('#precio_venta').val() != ""
		&& $('#precio_mayorista').val() != ""
		&& $('#comision_venta').val() != ""
		&& $('#comision_mayorista').val() != ""
		&& $('#metodo').val() != ""
		&& $('#cantidad').val() != ""
		&& $('#proveedor').val() != ""
		&& $('#descripcion').val() != "") {

		var nombre             = $('#nombre').val();
		var marca              = $('#marca').val();
		var precio_compra      = $('#precio_compra').val();
		var precio_venta       = $('#precio_venta').val();
		var precio_mayorista   = $('#precio_mayorista').val();
		var comision_venta     = $('#comision_venta').val();
		var comision_mayorista = $('#comision_mayorista').val();
		var metodo             = $('#metodo').val();
		var cantidad           = $('#cantidad').val();
		var alerta_stock       = $('#alerta_stock').val();
		var proveedor          = $('#proveedor').val();
		var codigo             = $('#codigo').val();
		var descripcion        = $('#descripcion').val();

		turn_on_cargando();

		var data1 = "tarea=4&nombre=" 			+ nombre +
						"&marca=" 				+ marca +
						"&precio_compra=" 		+ precio_compra +
						"&precio_venta=" 		+ precio_venta +
						"&precio_mayorista=" 	+ precio_mayorista +
						"&comision_venta=" 		+ comision_venta +
						"&comision_mayorista=" 	+ comision_mayorista +
						"&metodo=" 				+ metodo +
						"&cantidad=" 			+ cantidad +
						"&alerta_stock=" 		+ alerta_stock +
						"&proveedor=" 			+ proveedor +
						"&codigo=" 				+ codigo +
						"&descripcion=" 		+ descripcion ;
		
		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();

				var data_check = data.split(",");
				console.log(data_check[0]);
				console.log(data_check[1]);

				if (data_check[0] === 'done') {

					document.getElementById("nombre").value = "";
					document.getElementById("marca").value = "";
					document.getElementById("precio_compra").value = "";
					document.getElementById("precio_venta").value = "";
					document.getElementById("precio_mayorista").value = "";
					document.getElementById("comision_venta").value = "";
					document.getElementById("comision_mayorista").value = "";
					document.getElementById("metodo").value = "";
					document.getElementById("cantidad").value = "";
					document.getElementById("alerta_stock").value = "";
					document.getElementById("proveedor").value = "";
					document.getElementById("codigo").value = "";
					document.getElementById("descripcion").value = "";

					if ($('#imagen').val() != "") {
						console.log("entro Imagen");
						imagen(data_check[1], "1");
					}

					if ($('#pdf').val() != "") {
						console.log("entro Pdf");
						pdf(data_check[1], "1");
					}

					Swal.fire({
						title: 'Producto agregado',
						text: "Se registro la información de este producto",
						icon: 'success',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: 'Ir al stock',
						cancelButtonText: 'Agregar otro producto',
					}).then((result) => {
						if (result.value) {
							console.log("Valor: " + result.value);
							location.href = "./list-products.php";
						}
					});

				} else {
					Swal.fire(
						'Aviso',
						data_check[0],
						'error'
					);
				}
			}
		});

	} else {
		toast("Completa los datos del producto", "error");
	}
}

function agregar_paquete() {

	if ($('#codigo').val() != ""
		&& $('#cantidad').val() != ""
		&& $('#nombre').val() != "") {

		var codigo             = $('#codigo').val();
		var cantidad           = $('#cantidad').val();
		var nombre 			   = $('#nombre').val();
		var precio = -1;
		if($('#precio_paquete').val() != ""){
			var precio     = $('#precio_paquete').val();
		}

		turn_on_cargando();

		var data1 = "tarea=69&codigo=" 			+ codigo +
						"&cantidad=" 			+ cantidad +
						"&precio="		 		+ precio +
						"&nombre="      		+ nombre;
		
		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();

				var data_check = data.split(",");
				console.log(data_check[0]);
				console.log(data_check[1]);

				if (data_check[0] === 'done') {

					var codigo             = $('#codigo').val();
					var cantidad           = $('#cantidad').val();
					var precio             = $('#precio_paquete').val();

					Swal.fire({
						title: 'Producto agregado',
						text: "Se registro la información de este producto",
						icon: 'success',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: 'Ir a paquetes',
						cancelButtonText: 'Agregar otro paquete',
					}).then((result) => {
						if (result.value) {
							console.log("Valor: " + result.value);
							location.href = "./list-packages.php";
						}
					});

				} else {
					Swal.fire(
						'Aviso',
						data_check[0],
						'error'
					);
				}
			}
		});

	} else {
		toast("Completa los datos del producto", "error");
	}
}

function agregar_devolucion() {

	if ($('#producto').val() != ""
		&& $('#cantidad').val() != ""
		&& $('#defecto').val() != "") {

		var producto	 = $('#producto').val();
		var cantidad	 = $('#cantidad').val();
		var defecto		 = $('#defecto').val();

		turn_on_cargando();

		var data1 = "tarea=63&producto="	+ producto +
					"&cantidad=" 			+ cantidad +
					"&defecto=" 			+ defecto ;
		
		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();

				if (data === 'done') {

					document.getElementById("producto").value = "";
					document.getElementById("cantidad").value = "";
					document.getElementById("defecto").value = "";

					Swal.fire({
						title: 'Producto agregado',
						text: "Se registro la información de esta devolución",
						icon: 'success',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: 'Ir a devoluciones',
						cancelButtonText: 'Agregar otra devolución',
					}).then((result) => {
						if (result.value) {
							console.log("Valor: " + result.value);
							location.href = "./list-returns.php";
						}
					});

				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		toast("Completa los datos de la devolución", "error");
	}
}

function eliminar_devolucion() {
	if ($('#id_delete').val() != "") {

		var id_delete = $('#id_delete').val();

		turn_on_cargando();

		var data1 = "tarea=65&id=" + id_delete;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'deleted') {
					$('#modalDelete').modal('hide');
					$("#check").load(location.href + " #check>*", "");
					toast("Devolución eliminada", "success");
					setTimeout(() => { setDataTables("#tabla-devoluciones"); }, 2000);
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos de la devolución',
			'error'
		);
	}
}

function modificar_devolucion(id) {
	if ($('#producto').val() != ""
		&& $('#cantidad').val() != ""
		&& $('#defecto').val() != "") {

			var producto          = $('#producto').val();
			var cantidad          = $('#cantidad').val();
			var defecto		      = $('#defecto').val();

		turn_on_cargando();

		var data1 = "tarea=64&id="				+ id +				
						"&producto="			+ producto +
						"&cantidad="			+ cantidad +
						"&defecto="				+ defecto ;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();

				if (data === 'updated') {

					Swal.fire({
						title: 'Devolución modificada',
						text: "Se modifico la información de esta devolución",
						icon: 'success',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: 'Ir a la lista de devoluciones',
						cancelButtonText: 'Cancelar',
					}).then((result) => {
						if (result.value) {
							console.log("Valor: " + result.value);
							location.href = "./list-returns.php";
						}
					});

				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		toast("Completa los datos de la devolución", "error");
	}
}

function agregar_categoria() {
	if ($('#nueva_categoria').val() != "") {

		var nueva_categoria = $('#nueva_categoria').val();

		turn_on_cargando();

		var data1 = "tarea=7&nueva_categoria=" + nueva_categoria;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'done') {
					toast("Categoría agregada", "success");
					$('#modalCategoria').modal('hide');
					$("#divCategoria").load(location.href + " #divCategoria>*", "");
				} else {
					toast(data, "error");
				}
			}
		});

	} else {
		toast("Escribe el nombre de la categoría", "error");
	}
}

function renta_andamios() {
	if ($('#cliente').val() != null
		&& $('#cantidad_tablas').val() != ""
		&& $('#cantidad_plataformas').val() != ""
		&& $('#fecha_entrega').val() != ""
		&& $('#costo_renta').val() != ""
		&& $('#direccion_actual').val() != ""
		&& $('#anticipo').val() != "") {

		if ($('#radio1').is(':checked') || $('#radio2').is(':checked')) {

			if ($('#radio1').is(':checked')) {
				var flete = 'Si';
				var costo_flete = $('#precio_flete').val();
			} else if ($('#radio2').is(':checked')) {
				var flete = 'No';
				var costo_flete = 0;
			}

			var cliente = $('#cliente').val();
			var cantidad_tablas = $('#cantidad_tablas').val();
			var cantidad_plataformas = $('#cantidad_plataformas').val();
			var fecha_entrega = $('#fecha_entrega').val();
			var costo_renta = $('#costo_renta').val();
			var direccion_actual = $('#direccion_actual').val();
			var anticipo = $('#anticipo').val();
			var notas = $('#notas').val();

			turn_on_cargando();

			var data1 = "tarea=5&cliente=" + cliente + "&cantidad_tablas=" + cantidad_tablas
				+ "&cantidad_plataformas=" + cantidad_plataformas + "&fecha_entrega=" + fecha_entrega
				+ "&costo_renta=" + costo_renta + "&direccion_actual=" + direccion_actual
				+ "&anticipo=" + anticipo + "&notas=" + notas + "&flete=" + flete + "&costo_flete=" + costo_flete;

			$.ajax({
				data: data1,
				url: 'process/process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					Swal.fire(
						'Aviso',
						'ERROR, al conectarse al SERVIDOR...',
						'error'
					);
					// setTimeout(() => { 
					turn_off_cargando();
					// $('#ftco-loader').hide();
					// },10000);
				},
				success: function(data) {
					console.log(data);
					turn_off_cargando();
					var data_check = data.split(",");
					console.log(data_check[0]);
					console.log(data_check[1]);

					if (data_check[0] === 'done') {

						document.getElementById("modalRentarAndamio").click(function() {
							document.getElementById("modalRentarAndamio").style.display = "none";
						});

						Swal.fire({
							title: 'Andamio rentado, fecha de entrega: ' + fecha_entrega,
							text: "¿Deseas imprimir el ticket de renta?",
							icon: 'info',
							showCancelButton: true,
							confirmButtonColor: '#3085d6',
							cancelButtonColor: '#d33',
							confirmButtonText: 'Imprimir ticket',
							cancelButtonText: 'Cancelar',
						}).then((result) => {
							if (result.value) {
								ticket_renta_andamio(cliente, cantidad_tablas, cantidad_plataformas, fecha_entrega, costo_renta, direccion_actual, anticipo, notas, data_check[1]);
							}
						});

						//     		Swal.fire(
						//  	'Aviso',
						//  	'Andamio rentado, fecha de entrega: '+fecha_entrega,
						//  	'success'
						// );
					} else if (data == 'error') {
						Swal.fire(
							'Aviso',
							"Error al registrar la renta",
							'error'
						);
					} else {
						Swal.fire(
							'Aviso',
							data,
							'error'
						);
					}
				}
			});

		} else {
			Swal.fire(
				'Aviso',
				'Indica si la renta se lleverá por flete',
				'error'
			);
		}

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos de la renta del andamio',
			'error'
		);
	}
}

function check_price_renta_andamios() {
	if ($('#cantidad_tablas').val() != ""
		&& $('#cantidad_plataformas').val() != ""
		&& $('#fecha_entrega').val() != ""
		&& $('#costo_renta').val() != "") {

		var cantidad_tablas = $('#cantidad_tablas').val();
		var cantidad_plataformas = $('#cantidad_plataformas').val();
		var fecha_entrega = $('#fecha_entrega').val();
		var costo_renta = $('#costo_renta').val();

		turn_on_cargando();

		var data1 = "tarea=6&cantidad_tablas=" + cantidad_tablas
			+ "&cantidad_plataformas=" + cantidad_plataformas + "&fecha_entrega=" + fecha_entrega
			+ "&costo_renta=" + costo_renta;

		$.ajax({
			data: data1,
			url: 'process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				Swal.fire(data);
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos de la renta del andamio para darte un costo',
			'error'
		);
	}
}

function agregar_tabla() {
	if ($('#tabla_selecta').val() != ""
		&& $('#cantidad_tabla').val() != "") {

		var tabla_selecta = $('#tabla_selecta').val();
		var cantidad_tabla = $('#cantidad_tabla').val();

		if (cantidad_tabla > 0) {

			turn_on_cargando();

			var data1 = "tarea=8&tabla_selecta=" + tabla_selecta
				+ "&cantidad_tabla=" + cantidad_tabla;

			$.ajax({
				data: data1,
				url: 'process/process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					Swal.fire(
						'Aviso',
						'ERROR, al conectarse al SERVIDOR...',
						'error'
					);
					// setTimeout(() => { 
					turn_off_cargando();
					// $('#ftco-loader').hide();
					// },10000);
				},
				success: function(data) {
					turn_off_cargando();
					if (data === 'done') {

						document.getElementById("modalSeleccionarTablas").click(function() {
							document.getElementById("modalSeleccionarTablas").style.display = "none";
						});

						Swal.fire({
							position: 'top-end',
							icon: 'success',
							title: 'Tablas agregadas, puedes agregar otra(s)',
							showConfirmButton: false,
							timer: 1500
						});
					} else {
						Swal.fire(data);
					}
				}
			});

		} else {
			Swal.fire("Selecciona una cantidad mayor");
		}

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos solicitados',
			'error'
		);
	}
}

function agregar_tabla_2() {
	if ($('#codigo').val() != ""
		&& $('#cantidad').val() != ""
		&& $('#identificador').val() != "") {

		var codigo = $('#codigo').val();
		var cantidad = $('#cantidad').val();
		var identificador = $('#identificador').val();

		if (codigo.includes('(')) {
			var id = codigo.match(/\(([^)]+)\)/)[1];

			if (cantidad > 0) {

				turn_on_cargando();

				var data1 = "tarea=9&codigo=" + codigo
					+ "&cantidad=" + cantidad + "&identificador=" + identificador
					+ "&id=" + id;

				$.ajax({
					data: data1,
					url: 'process/process/controlador.php',
					type: 'POST',
					beforeSend: function() {

					},
					error: function() {
						Swal.fire(
							'Aviso',
							'ERROR, al conectarse al SERVIDOR...',
							'error'
						);
						// setTimeout(() => { 
						turn_off_cargando();
						// $('#ftco-loader').hide();
						// },10000);
					},
					success: function(data) {
						turn_off_cargando();
						$("#stock").load(window.location + " #stock");
						if (data === 'done') {
							Swal.fire({
								position: 'top-end',
								icon: 'success',
								title: 'Producto agregado',
								showConfirmButton: false,
								timer: 1500
							});
						} else {
							Swal.fire(data);
						}
					}
				});

			} else {
				Swal.fire("Selecciona una cantidad mayor");
			}

		} else {
			Swal.fire("No se puede agregar el producto");
		}

	} else {
		Swal.fire('Completa los datos solicitados');
	}
}

function borrar_carrito_tabla(id, cantidad, id_producto, identificador) {
	turn_on_cargando();

	var data1 = "tarea=10&id=" + id +
		"&cantidad=" + cantidad +
		"&id_producto=" + id_producto +
		"&identificador=" + identificador;
	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			datacheck = data.split(",");
			turn_off_cargando();
			$("#lista-cart").load(window.location + " #lista-cart");
			$("#modales").load(window.location + " #modales");
			console.log(datacheck);
			if (datacheck[0] === 'deleted') {
				if(datacheck[1] == 0){
					$('#sucursal_select').prop('disabled', false);
				}
				toast("Producto eliminado", "success");
			} else {
				Swal.fire(data, "error");
			}
		}
	});

}

function borrar_carrito_tabla_traspasos(id, cantidad, id_producto, identificador) {
	turn_on_cargando();

	var data1 = "tarea=66&id=" + id +
		"&cantidad=" + cantidad +
		"&id_producto=" + id_producto +
		"&identificador=" + identificador;
	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();
			$("#lista-cart").load(window.location + " #lista-cart");
			$("#modales").load(window.location + " #modales");

			datacheck = data.split(',');

			console.log(datacheck);

			if (datacheck[0] === 'deleted') {
				if(datacheck[1] == 0){
					$('#origen_select').prop('disabled', false);
					$('#destino_select').prop('disabled', false);
				}
				toast("Producto eliminado", "success");
			} else {
				Swal.fire(data, "error");
			}
		}
	});

}

function renta_done_apartado() {

	if ($('#cliente_apartado').val() != ""
		&& $('#pago_inicial_apartado').val() != ""
		&& $('#identificador_apartado').val() != ""
		&& $('#total_apartado').val() != ""
		&& $('#direccion_actual_apartado').val() != ""
		&& $('#fecha_entrega_apartado').val() != ""
		&& $('#forma_pago_apartado').val() != ""
		&& $('#estado_apartado').val() != ""
		&& $('#cartenvio').val() != "") {

		if ($('#radio3').is(':checked') || $('#radio4').is(':checked')) {

			if ($('#radio3').is(':checked')) {
				var flete = 'Si';
				var costo_flete = $('#precio_flete_fiado').val();
			} else if ($('#radio4').is(':checked')) {
				var flete = 'No';
				var costo_flete = 0;
			}

			var cliente_apartado = $('#cliente_apartado').val();
			var pago_inicial_apartado = $('#pago_inicial_apartado').val();
			var identificador_apartado = $('#identificador_apartado').val();
			var total_apartado = $('#total_apartado').val();
			var direccion_actual_apartado = $('#direccion_actual_apartado').val();
			var fecha_entrega_apartado = $('#fecha_entrega_apartado').val();
			var forma_pago_apartado = $('#forma_pago_apartado').val();
			var notas_apartado = $('#notas_apartado').val();
			var estado_apartado = $('#estado_apartado').val();
			var cartenvio = $('#cartenvio').val();

			turn_on_cargando();

			var data1 = "tarea=11&cliente=" + cliente_apartado + "&pago_inicial=" + pago_inicial_apartado
				+ "&identificador=" + identificador_apartado + "&total=" + total_apartado
				+ "&direccion_actual=" + direccion_actual_apartado + "&fecha_entrega=" + fecha_entrega_apartado
				+ "&forma_pago=" + forma_pago_apartado
				+ "&notas=" + notas_apartado
				+ "&estado=" + estado_apartado
				+ "&flete=" + flete
				+ "&costo_flete=" + costo_flete;
			$.ajax({
				data: data1,
				url: 'process/process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					Swal.fire(
						'Aviso',
						'ERROR, al conectarse al SERVIDOR...',
						'error'
					);
					// setTimeout(() => { 
					turn_off_cargando();
					// $('#ftco-loader').hide();
					// },10000);
				},
				success: function(data) {
					turn_off_cargando();
					//$("#stock").load(window.location + " #stock");
					if (data === 'done') {
						document.getElementById("modalContinuar").click(function() {
							document.getElementById("modalContinuar").style.display = "none";
						});
						document.getElementById("modalPagoApartado").click(function() {
							document.getElementById("modalPagoApartado").style.display = "none";
						});
						document.getElementById("modalPagoCompleto").click(function() {
							document.getElementById("modalPagoCompleto").style.display = "none";
						});
						//     		Swal.fire({
						//   position: 'top-end',
						//   icon: 'success',
						//   title: 'Renta completa',
						//   showConfirmButton: false,
						//   timer: 1500
						// });
						Swal.fire({
							title: 'Renta completa y registrada',
							text: "¿Deseas imprimir el ticket de venta?",
							icon: 'info',
							showCancelButton: true,
							confirmButtonColor: '#3085d6',
							cancelButtonColor: '#d33',
							confirmButtonText: 'Imprimir ticket',
							cancelButtonText: 'Cancelar',
						}).then((result) => {
							if (result.value) {

								ticket_renta_tablas_v_p_apartado(cliente_apartado,
									pago_inicial_apartado,
									identificador_apartado,
									total_apartado,
									direccion_actual_apartado,
									fecha_entrega_apartado,
									forma_pago_apartado,
									notas_apartado,
									estado_apartado,
									cartenvio);
							}
						});

					} else {
						Swal.fire(data);
					}
				}
			});

		} else {
			Swal.fire("Indica si la renta será enviada por flete");
		}
	} else {
		Swal.fire("Completa los datos solicitados para completar la renta");
	}

}

function renta_done_pagado() {

	if ($('#cliente_pagado').val() != ""
		&& $('#pago_inicial_pagado').val() != ""
		&& $('#identificador_pagado').val() != ""
		&& $('#total_apartado_pagado').val() != ""
		&& $('#direccion_actual_pagado').val() != ""
		&& $('#fecha_entrega_pagado').val() != ""
		&& $('#forma_pago_pagado').val() != ""
		&& $('#estado_pagado').val() != ""
		&& $('#cartenvio').val() != "") {

		if ($('#radio1').is(':checked') || $('#radio2').is(':checked')) {

			if ($('#radio1').is(':checked')) {
				var flete = 'Si';
				var costo_flete = $('#precio_flete').val();
			} else if ($('#radio2').is(':checked')) {
				var flete = 'No';
				var costo_flete = 0;
			}

			var cliente_pagado = $('#cliente_pagado').val();
			var pago_inicial_pagado = $('#pago_inicial_pagado').val();
			var identificador_pagado = $('#identificador_pagado').val();
			var total_pagado = $('#total_pagado').val();
			var direccion_actual_pagado = $('#direccion_actual_pagado').val();
			var fecha_entrega_pagado = $('#fecha_entrega_pagado').val();
			var forma_pago_pagado = $('#forma_pago_pagado').val();
			var notas_pagado = $('#notas_pagado').val();
			var estado_pagado = $('#estado_pagado').val();
			var cartenvio = $('#cartenvio').val();

			turn_on_cargando();

			var data1 = "tarea=11&cliente=" + cliente_pagado + "&pago_inicial=" + pago_inicial_pagado
				+ "&identificador=" + identificador_pagado + "&total=" + total_pagado
				+ "&direccion_actual=" + direccion_actual_pagado + "&fecha_entrega=" + fecha_entrega_pagado
				+ "&forma_pago=" + forma_pago_pagado
				+ "&notas=" + notas_pagado + "&estado=" + estado_pagado
				+ "&flete=" + flete + "&costo_flete=" + costo_flete;
			$.ajax({
				data: data1,
				url: 'process/process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					Swal.fire(
						'Aviso',
						'ERROR, al conectarse al SERVIDOR...',
						'error'
					);
					// setTimeout(() => { 
					turn_off_cargando();
					// $('#ftco-loader').hide();
					// },10000);
				},
				success: function(data) {
					turn_off_cargando();
					//$("#stock").load(window.location + " #stock");
					if (data === 'done') {
						document.getElementById("modalContinuar").click(function() {
							document.getElementById("modalContinuar").style.display = "none";
						});
						document.getElementById("modalPagoApartado").click(function() {
							document.getElementById("modalPagoApartado").style.display = "none";
						});
						document.getElementById("modalPagoCompleto").click(function() {
							document.getElementById("modalPagoCompleto").style.display = "none";
						});
						//     		Swal.fire({
						//   position: 'top-end',
						//   icon: 'success',
						//   title: 'Renta completa',
						//   showConfirmButton: false,
						//   timer: 1500
						// });

						Swal.fire({
							title: 'Renta completa y registrada',
							text: "¿Deseas imprimir el ticket de venta?",
							icon: 'info',
							showCancelButton: true,
							confirmButtonColor: '#3085d6',
							cancelButtonColor: '#d33',
							confirmButtonText: 'Imprimir ticket',
							cancelButtonText: 'Cancelar',
						}).then((result) => {
							if (result.value) {

								ticket_renta_tablas_v_p(cliente_pagado,
									pago_inicial_pagado,
									identificador_pagado,
									total_pagado,
									direccion_actual_pagado,
									fecha_entrega_pagado,
									forma_pago_pagado,
									notas_pagado,
									estado_pagado,
									cartenvio);
							}
						});
					} else {
						Swal.fire(data);
					}
				}
			});
		} else {
			Swal.fire("Indica si la renta será enviada por flete");
		}

	} else {
		Swal.fire("Completa los datos solicitados para completar la renta");
	}

}

function agregar_producto_para_renta() {
	if ($('#nombre').val() != ""
		&& $('#categoria').val() != ""
		&& $('#precio_compra').val() != ""
		&& $('#precio_venta').val() != ""
		&& $('#metodo').val() != ""
		&& $('#cantidad').val() != ""
		&& $('#descripcion').val() != ""
		&& $('#proveedor').val() != "") {

		var nombre = $('#nombre').val();
		var categoria = $('#categoria').val();
		var precio_compra = $('#precio_compra').val();
		var precio_venta = $('#precio_venta').val();
		var metodo = $('#metodo').val();
		var cantidad = $('#cantidad').val();
		var descripcion = $('#descripcion').val();
		var proveedor = $('#proveedor').val();

		if ($('#codigo').val() != "") {
			var codigo = $('#codigo').val();
		} else {
			var codigo = "NO";
		}


		turn_on_cargando();

		var data1 = "tarea=12&nombre=" + nombre + "&categoria=" + categoria
			+ "&precio_compra=" + precio_compra + "&precio_venta=" + precio_venta
			+ "&metodo=" + metodo + "&cantidad=" + cantidad
			+ "&descripcion=" + descripcion + "&proveedor=" + proveedor
			+ "&codigo=" + codigo;

		$.ajax({
			data: data1,
			url: '../process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'done') {

					document.getElementById("nombre").value = "";
					document.getElementById("categoria").value = "";
					document.getElementById("precio_compra").value = "";
					document.getElementById("precio_venta").value = "";
					document.getElementById("metodo").value = "";
					document.getElementById("cantidad").value = "";
					document.getElementById("descripcion").value = "";
					document.getElementById("proveedor").value = "";
					document.getElementById("codigo").value = "";

					Swal.fire({
						title: 'Producto agregado',
						text: "Se registro la información de este producto",
						icon: 'success',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: 'Ir al stock',
						cancelButtonText: 'Agregar otro producto',
					}).then((result) => {
						if (result.value) {
							console.log("Valor: " + result.value);
							location.href = "../stock.php";
						}
					});

				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos del producto',
			'error'
		);
	}
}

function eliminar_producto() {
	if ($('#id_delete').val() != "") {

		var id_delete = $('#id_delete').val();

		turn_on_cargando();

		var data1 = "tarea=13&id=" + id_delete;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'deleted') {
					$('#modalDelete').modal('hide');
					$("#check").load(location.href + " #check>*", "");
					toast("Producto eliminado", "success");
					setTimeout(() => { setDataTables("#tabla-productos"); }, 2000);
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos del producto',
			'error'
		);
	}
}

function eliminar_paquete() {
	if ($('#id_delete').val() != "") {

		var id_delete = $('#id_delete').val();

		turn_on_cargando();

		var data1 = "tarea=70&id=" + id_delete;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'deleted') {
					$('#modalDelete').modal('hide');
					$("#check").load(location.href + " #check>*", "");
					toast("Paquete eliminado", "success");
					setTimeout(() => { setDataTables("#tabla-paquetes"); }, 2000);
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos del producto',
			'error'
		);
	}
}

function eliminar_sucursal() {
	if ($('#id_delete').val() != "") {

		var id_delete = $('#id_delete').val();

		turn_on_cargando();

		var data1 = "tarea=60&id=" + id_delete;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'done') {
					$('#modalDelete').modal('hide');
					$("#check").load(location.href + " #check>*", "");
					toast("Sucursal eliminada", "success");
					setTimeout(() => { setDataTables("#tabla-sucursales"); }, 2000);
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos de la sucursal.',
			'error'
		);
	}
}

function modificar_producto(id) {
	if ($('#nombre').val() != ""
		&& $('#marca').val() != ""
		&& $('#precio_compra').val() != ""
		&& $('#precio_venta').val() != ""
		&& $('#precio_mayorista').val() != ""
		&& $('#comision_venta').val() != ""
		&& $('#comision_mayorista').val() != ""
		&& $('#metodo').val() != ""
		&& $('#cantidad').val() != ""
		&& $('#proveedor').val() != ""
		&& $('#descripcion').val() != "") {

			var nombre             = $('#nombre').val();
			var marca              = $('#marca').val();
			var precio_compra      = $('#precio_compra').val();
			var precio_venta       = $('#precio_venta').val();
			var precio_mayorista   = $('#precio_mayorista').val();
			var comision_venta     = $('#comision_venta').val();
			var comision_mayorista = $('#comision_mayorista').val();
			var metodo             = $('#metodo').val();
			var cantidad           = $('#cantidad').val();
			var alerta_stock       = $('#alerta_stock').val();
			var proveedor          = $('#proveedor').val();
			var codigo             = $('#codigo').val();
			var descripcion        = $('#descripcion').val();

		turn_on_cargando();

		var data1 = "tarea=14&id="				+ id +				
						"&nombre=" 				+ nombre +
						"&marca=" 				+ marca +
						"&precio_compra=" 		+ precio_compra +
						"&precio_venta=" 		+ precio_venta +
						"&precio_mayorista=" 	+ precio_mayorista +
						"&comision_venta=" 		+ comision_venta +
						"&comision_mayorista=" 	+ comision_mayorista +
						"&metodo=" 				+ metodo +
						"&cantidad=" 			+ cantidad +
						"&alerta_stock=" 		+ alerta_stock +
						"&proveedor=" 			+ proveedor +
						"&codigo=" 				+ codigo +
						"&descripcion=" 		+ descripcion ;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();

				if (data === 'updated') {

					if ($('#imagen').val() != "") {
						console.log("entro Imagen");
						imagen(id, "1");
					}

					if ($('#pdf').val() != "") {
						console.log("entro pdf");
						pdf(id, "1");
					}

					Swal.fire({
						title: 'Producto editado',
						text: "Se modifico la información de este producto",
						icon: 'success',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: 'Ir al stock',
						cancelButtonText: 'Cancelar',
					}).then((result) => {
						if (result.value) {
							console.log("Valor: " + result.value);
							location.href = "./list-products.php";
						}
					});

				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		toast("Completa los datos del producto", "error");
	}
}

function registrar_proveedor() {
	if ($('#nombre_proveedor').val() != ""
		&& $('#telefono_proveedor').val() != ""
		&& $('#direccion_proveedor').val() != "") {

		var nombre_proveedor = $('#nombre_proveedor').val();
		var telefono_proveedor = $('#telefono_proveedor').val();
		var direccion_proveedor = $('#direccion_proveedor').val();

		if ($('#rfc_proveedor').val() != '') {
			var rfc_proveedor = $('#rfc_proveedor').val();
		} else {
			var rfc_proveedor = 'NO';
		}

		turn_on_cargando();

		var data1 = "tarea=15&nombre_proveedor=" + nombre_proveedor
			+ "&telefono_proveedor=" + telefono_proveedor
			+ "&direccion_proveedor=" + direccion_proveedor
			+ "&rfc_proveedor=" + rfc_proveedor;

		$.ajax({
			data: data1,
			url: 'process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'done') {

					document.getElementById("modalNuevoProveedor").click(function() {
						document.getElementById("modalNuevoProveedor").style.display = "none";
					});

					$("#stock").load(window.location + " #stock");

					Swal.fire({
						position: 'top-center',
						icon: 'success',
						title: 'Proveedor agregado',
						showConfirmButton: false,
						timer: 2000
					});

				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos del proveedor',
			'error'
		);
	}
}

function editar_proveedor(id) {
	if ($('#razon_social').val() != ""
		&& $('#tipo_razon_social').val() != ""
		&& $('#rfc').val() != ""
		&& $('#encargado').val() != "") {

			var razon_social             = $('#razon_social').val();
			var tipo_razon_social        = $('#tipo_razon_social').val();
			var rfc                      = $('#rfc').val();
			var encargado                = $('#encargado').val();
			var telefono                 = $('#telefono').val();

		turn_on_cargando();

		var data1 = "tarea=57&id="			+ id +				
					"&razon_social="		+ razon_social +
					"&tipo_razon_social="	+ tipo_razon_social +
					"&rfc="					+ rfc +
					"&encargado="			+ encargado +
					"&telefono="			+ telefono;


		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();

				if (data === 'updated') {

					if ($('#pdf').val() != "") {
						console.log("entro pdf");
						pdf(id, "2");
					}

					Swal.fire({
						title: 'Proveedor editado',
						text: "Se modifico la información de este proveedor",
						icon: 'success',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: 'Ir a proveedores',
						cancelButtonText: 'Cancelar',
					}).then((result) => {
						if (result.value) {
							console.log("Valor: " + result.value);
							location.href = "./list-providers.php";
						}
					});

				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		toast("Completa los datos del producto", "error");
	}
}

function eliminar_cliente() {

	if ($('#id_delete').val() != "") {

		var id_delete = $('#id_delete').val();

		turn_on_cargando();

		var data1 = "tarea=16&id=" + id_delete;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'deleted') {
					$('#modalDelete').modal('hide');
					$("#check").load(location.href + " #check>*", "");
					toast("Cliente eliminado", "success");
					setTimeout(() => { setDataTables("#tabla-clientes"); }, 2000);
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Error intenta nuevamente.',
			'error'
		);
	}
}

function eliminar_proveedor() {

	if ($('#id_delete').val() != "") {

		var id_delete = $('#id_delete').val();

		turn_on_cargando();

		var data1 = "tarea=55&id=" + id_delete;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'deleted') {
					$('#modalDelete').modal('hide');
					$("#check").load(location.href + " #check>*", "");
					toast("Cliente eliminado", "success");
					setTimeout(() => { setDataTables("#tabla-clientes"); }, 2000);
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Error intenta nuevamente.',
			'error'
		);
	}
}

function rentar_escaleras() {

	if ($('#cliente_escaleras').val() != null
		&& $('#direccion_actual_escaleras').val() != ""
		&& $('#escalera_escaleras').val() != ""
		&& $('#cantidad_escaleras').val() != ""
		&& $('#fecha_entrega_escaleras').val() != ""
		&& $('#forma_pago_escaleras').val() != ""
		&& $('#pago_escaleras').val() != "") {

		if ($('#radio3').is(':checked') || $('#radio4').is(':checked')) {

			if ($('#radio3').is(':checked')) {
				var flete = 'Si';
				var costo_flete = $('#precio_flete_2').val();
			} else if ($('#radio4').is(':checked')) {
				var flete = 'No';
				var costo_flete = 0;
			}

			var cliente_escaleras = $('#cliente_escaleras').val();
			var direccion_actual_escaleras = $('#direccion_actual_escaleras').val();
			var escalera_escaleras = $('#escalera_escaleras').val();
			var cantidad_escaleras = $('#cantidad_escaleras').val();
			var fecha_entrega_escaleras = $('#fecha_entrega_escaleras').val();
			var forma_pago_escaleras = $('#forma_pago_escaleras').val();
			var pago_escaleras = $('#pago_escaleras').val();

			var escalera = escalera_escaleras.split("?");
			console.log(escalera[0]);
			console.log(escalera[1]);

			var escalera_nombre = escalera[0];
			var escalera_id = escalera[1];

			if ($('#notas_escaleras').val() != '') {
				var notas_escaleras = $('#notas_escaleras').val();
			} else {
				var notas_escaleras = 'NO';
			}


			turn_on_cargando();

			var data1 = "tarea=17&cliente_escaleras=" + cliente_escaleras
				+ "&direccion_actual_escaleras=" + direccion_actual_escaleras
				+ "&escalera_escaleras=" + escalera_escaleras
				+ "&cantidad_escaleras=" + cantidad_escaleras
				+ "&fecha_entrega_escaleras=" + fecha_entrega_escaleras
				+ "&forma_pago_escaleras=" + forma_pago_escaleras
				+ "&notas_escaleras=" + notas_escaleras
				+ "&pago_escaleras=" + pago_escaleras
				+ "&escalera_nombre=" + escalera_nombre
				+ "&escalera_id=" + escalera_id
				+ "&flete=" + flete
				+ "&costo_flete=" + costo_flete;

			$.ajax({
				data: data1,
				url: 'process/process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					Swal.fire(
						'Aviso',
						'ERROR, al conectarse al SERVIDOR...',
						'error'
					);
					// setTimeout(() => { 
					turn_off_cargando();
					// $('#ftco-loader').hide();
					// },10000);
				},
				success: function(data) {
					var data_check = data.split(",");
					console.log(data_check[0]);
					console.log(data_check[1]);

					turn_off_cargando();
					if (data_check[0] === 'done') {
						console.log("entro a done");
						document.getElementById("modalRentarEscaleras").click(function() {
							document.getElementById("modalRentarEscaleras").style.display = "none";
						});

						//     		Swal.fire(
						//  	'Aviso',
						//  	'Escaleras rentadas, fecha de entrega: '+fecha_entrega_escaleras,
						//  	'success'
						// );

						Swal.fire({
							title: 'Venta completa y registrada',
							text: "¿Deseas imprimir el ticket de venta?",
							icon: 'info',
							showCancelButton: true,
							confirmButtonColor: '#3085d6',
							cancelButtonColor: '#d33',
							confirmButtonText: 'Imprimir ticket',
							cancelButtonText: 'Cancelar',
						}).then((result) => {
							if (result.value) {
								ticket_renta_escaleras(cliente_escaleras,
									direccion_actual_escaleras,
									escalera_nombre,
									cantidad_escaleras,
									fecha_entrega_escaleras,
									forma_pago_escaleras,
									pago_escaleras,
									data_check[1],
									notas_escaleras
								);
							}
						});

					} else if (data_check[0] === 'error') {
						console.log("entro a error");
						Swal.fire(
							'Aviso',
							'Error al registrar la renta de las escaleras',
							'error'
						);
					} else {
						console.log("entro a X");
						Swal.fire(
							'Aviso',
							data,
							'error'
						);
					}
				}
			});

		} else {
			Swal.fire('Inidica si la renta será enviada por flete');
		}

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos de la renta de la escalera',
			'error'
		);
	}
}

function rentar_burros() {

	if ($('#cliente_burros').val() != null
		&& $('#direccion_actual_burros').val() != ""
		&& $('#burro_burros').val() != ""
		&& $('#cantidad_burros').val() != ""
		&& $('#fecha_entrega_burros').val() != ""
		&& $('#forma_pago_burros').val() != ""
		&& $('#pago_burros').val() != "") {

		if ($('#radio5').is(':checked') || $('#radio6').is(':checked')) {

			if ($('#radio5').is(':checked')) {
				var flete = 'Si';
				var costo_flete = $('#precio_flete_3').val();
			} else if ($('#radio6').is(':checked')) {
				var flete = 'No';
				var costo_flete = 0;
			}

			var cliente_burros = $('#cliente_burros').val();
			var direccion_actual_burros = $('#direccion_actual_burros').val();
			var burro_burros = $('#burro_burros').val();
			var cantidad_burros = $('#cantidad_burros').val();
			var fecha_entrega_burros = $('#fecha_entrega_burros').val();
			var forma_pago_burros = $('#forma_pago_burros').val();
			var pago_burros = $('#pago_burros').val();

			var burro = burro_burros.split("?");
			console.log(burro[0]);
			console.log(burro[1]);

			var burro_nombre = burro[0];
			var burro_id = burro[1];

			if ($('#notas_burros').val() != '') {
				var notas_burros = $('#notas_burros').val();
			} else {
				var notas_burros = 'NO';
			}


			turn_on_cargando();

			var data1 = "tarea=18&cliente_burros=" + cliente_burros
				+ "&direccion_actual_burros=" + direccion_actual_burros
				+ "&burro_burros=" + burro_burros
				+ "&cantidad_burros=" + cantidad_burros
				+ "&fecha_entrega_burros=" + fecha_entrega_burros
				+ "&forma_pago_burros=" + forma_pago_burros
				+ "&notas_burros=" + notas_burros
				+ "&pago_burros=" + pago_burros
				+ "&burro_nombre=" + burro_nombre
				+ "&burro_id=" + burro_id
				+ "&flete=" + flete
				+ "&costo_flete=" + costo_flete;

			$.ajax({
				data: data1,
				url: 'process/process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					Swal.fire(
						'Aviso',
						'ERROR, al conectarse al SERVIDOR...',
						'error'
					);
					// setTimeout(() => { 
					turn_off_cargando();
					// $('#ftco-loader').hide();
					// },10000);
				},
				success: function(data) {
					var data_check = data.split(",");
					console.log(data_check[0]);
					console.log(data_check[1]);

					turn_off_cargando();
					if (data_check[0] === 'done') {
						console.log("entro a done");

						document.getElementById("modalRentarBurros").click(function() {
							document.getElementById("modalRentarBurros").style.display = "none";
						});

						//     		Swal.fire(
						//  	'Aviso',
						//  	'Burro de fierro rentado, fecha de entrega: '+fecha_entrega_burros,
						//  	'success'
						// );

						Swal.fire({
							title: 'Burro de fierro rentado, fecha de entrega: ' + fecha_entrega_burros,
							text: "¿Deseas imprimir el ticket de venta?",
							icon: 'info',
							showCancelButton: true,
							confirmButtonColor: '#3085d6',
							cancelButtonColor: '#d33',
							confirmButtonText: 'Imprimir ticket',
							cancelButtonText: 'Cancelar',
						}).then((result) => {
							if (result.value) {
								ticket_renta_burros(cliente_burros,
									direccion_actual_burros,
									burro_nombre,
									cantidad_burros,
									fecha_entrega_burros,
									forma_pago_burros,
									notas_burros,
									pago_burros,
									data_check[1]);
							}
						});
					} else if (data_check[0] === 'error') {
						console.log("entro a error");
						Swal.fire(
							'Aviso',
							'Error al registrar la renta de los burros de fierro',
							'error'
						);
					} else {
						console.log("entro a x");
						Swal.fire(
							'Aviso',
							data,
							'error'
						);
					}
				}
			});

		} else {
			Swal.fire('Indica si la renta será enviada por flete');
		}

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos de la renta del burro de fierro',
			'error'
		);
	}
}

function agregar_cart(identificador, tipo) {
	if ($('#codigo').val() != ""
		&& $('#cantidad').val() != ""
		&& $('#sucursal_select').val() != "") {

		var codigo = '';
		var cantidad = 0;
		var sucursal = '';

		var codigo = $('#codigo').val();
		var cantidad = $('#cantidad').val();
		var sucursal = $('#sucursal_select').val();

		if (Number(cantidad) > 0) {

			turn_on_cargando();

			var data1 = "tarea=19&codigo=" + codigo +
				"&cantidad=" + cantidad +
				"&identificador=" + identificador +
				"&sucursal=" + sucursal +
				"&tipo=" + tipo;

			$.ajax({
				data: data1,
				url: '../process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					Swal.fire(
						'Aviso',
						'ERROR, al conectarse al SERVIDOR...',
						'error'
					);
					// setTimeout(() => { 
					turn_off_cargando();
					// $('#ftco-loader').hide();
					// },10000);
				},
				success: function(data) {
					// if(!("autofocus" in document.createElement("input")))
					document.getElementById("codigo").focus();
					turn_off_cargando();
					$('#sucursal_select').prop('disabled', true);
					$("#lista-cart").load(window.location + " #lista-cart");
					$("#modales").load(window.location + " #modales");
					if (data === 'done') {
						toast("Producto agregado", "success");
					} else {
						Swal.fire(data);
					}
				}
			});

		} else {
			Swal.fire("Selecciona una cantidad mayor");
		}

	} else {
		toast("Selecciona el producto y la cantidad", "error");
	}
}

function agregar_cart_paquete(identificador, tipo) {
	var codigo = '';
	var cantidad = 0;
	var sucursal = '';

	if($('#codigo_paquete').val() != ""){
		var codigo = $('#codigo_paquete').val();
	} else {
		toast("Selecciona un paquete para poder continuar", "error");
		return;
	}

	turn_on_cargando();

	var data1 = "tarea=19&codigo=" + codigo +
		"&cantidad=" + cantidad +
		"&identificador=" + identificador +
		"&sucursal=" + sucursal +
		"&tipo=" + tipo;

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);
		},
		success: function(data) {
			// if(!("autofocus" in document.createElement("input")))
			document.getElementById("codigo").focus();
			turn_off_cargando();
			$('#sucursal_select').prop('disabled', true);
			$("#lista-cart").load(window.location + " #lista-cart");
			$("#modales").load(window.location + " #modales");
			if (data === 'done') {
				toast("Producto agregado", "success");
			} else {
				Swal.fire(data);
			}
		}
	});
}

function venta_done_pagado(cliente, total, identificador, pago_inicial, estado) {

	if ($('#cartenvio').val() != ""
		&& $('#sucursal_select').val() != ""
		&& $('#comision_select').val() != "") {

		if ($('#radio1').is(':checked') || $('#radio2').is(':checked')) {

			if ($('#radio1').is(':checked')) {
				var forma_pago = 'Tarjeta crédito/débito';
			} else if ($('#radio2').is(':checked')) {
				var forma_pago = 'Pago en efectivo';
			}

			if ($('#efectivo').val() != "") {

				var efectivo = $('#efectivo').val();

				if (Number(efectivo) >= Number(total)) {

					var flete = 'No';
					var costo_flete = 0;
					var cartenvio = $('#cartenvio').val();

					console.log("CART: " + cartenvio);

					var sucursal = $('#sucursal_select').val();
					var empleado = $('#comision_select').val();

					turn_on_cargando();

					var data1 = "tarea=20&cliente=" + cliente
						+ "&pago_inicial=" + pago_inicial
						+ "&identificador=" + identificador
						+ "&total=" + total
						+ "&forma_pago=" + forma_pago
						+ "&estado=" + estado
						+ "&flete=" + flete
						+ "&costo_flete=" + costo_flete
						+ "&sucursal=" + sucursal
						+ "&empleado=" + empleado;
					$.ajax({
						data: data1,
						url: '../process/controlador.php',
						type: 'POST',
						beforeSend: function() {

						},
						error: function() {
							Swal.fire(
								'Aviso',
								'ERROR, al conectarse al SERVIDOR...',
								'error'
							);
							turn_off_cargando();
						},
						success: function(data) {
							turn_off_cargando();
							if (data === 'done') {

								message("Venta completa y registrada");
								ticket_venta(cliente, pago_inicial, identificador, total, forma_pago, estado, cartenvio, efectivo);
								setTimeout(() => { location = "./list-sells.php"; }, 2000);

							} else {
								messageConfirmation(data, "error");
							}
						}
					});

				}else{
					toast("Ingresa el efectivo correcto para el cambio","error");
				}

			}else{
				toast("Ingresa el efectivo","error");
			}

		} else {
			toast("Selecciona la forma de pago", "error");
		}
	} else {
		toast("Completa los datos solicitados para completar la venta", "error");
	}

}


function venta_done_pendiente(identificador, total, estado) {

	if ($('#cartenvio').val() != "") {
		var forma_pago = 'Pago en efectivo';

		if ($('#cliente').val() != "") {

			if ($('#pago_inicial').val() != "") {

				if($('#sucursal_select').val() != ''){

					if ($('#comision_select_2').val() != ''){
						var pago_inicial = $('#pago_inicial').val();
						var cliente      = $('#cliente').val();
						var sucursal	 = $('#sucursal_select').val();
						var empleado	 = $('#comision_select_2').val();

						var flete = 'No';
						var costo_flete = 0;
						var cartenvio = $('#cartenvio').val();

						console.log("CART: " + cartenvio);

						turn_on_cargando();

						var data1 = "tarea=20&cliente=" + cliente
							+ "&pago_inicial=" + pago_inicial
							+ "&identificador=" + identificador
							+ "&total=" + total
							+ "&forma_pago=" + forma_pago
							+ "&estado=" + estado
							+ "&flete=" + flete
							+ "&costo_flete=" + costo_flete
							+ "&sucursal=" + sucursal
							+ "&empleado=" + empleado;
						$.ajax({
							data: data1,
							url: '../process/controlador.php',
							type: 'POST',
							beforeSend: function() {

							},
							error: function() {
								Swal.fire(
									'Aviso',
									'ERROR, al conectarse al SERVIDOR...',
									'error'
								);
								turn_off_cargando();
							},
							success: function(data) {
								turn_off_cargando();
								if (data === 'done') {

									message("Venta completa y registrada");
									ticket_venta_pendiente(pago_inicial, identificador, total, forma_pago, estado, cartenvio);
									setTimeout(() => { location = "./list-sells.php"; }, 2000);

								} else {
									messageConfirmation(data, "error");
								}
							}
						});
					} else {
						toast("Selecciona al empleado", "error");
					}

				} else {
					toast("Selecciona la sucursal", "error");
				}

				

			}else{
				toast("Ingresa el pago inicial","error");
			}

		}else{
			toast("Selecciona el cliente","error");
		}

	} else {
		toast("Completa los datos solicitados para completar la venta", "error");
	}

}

function venta_done_apartado() {

	if ($('#cliente_apartado').val() != ""
		&& $('#pago_inicial_apartado').val() != ""
		&& $('#identificador_apartado').val() != ""
		&& $('#total_apartado').val() != ""
		&& $('#estado_apartado').val() != ""
		&& $('#cartenvio').val() != "") {

		var cliente_apartado = $('#cliente_apartado').val();
		var pago_inicial_apartado = $('#pago_inicial_apartado').val();
		var identificador_apartado = $('#identificador_apartado').val();
		var total_apartado = $('#total_apartado').val();
		var estado_apartado = $('#estado_apartado').val();
		var cartenvio = $('#cartenvio').val();

		if ($('#radio11').is(':checked') || $('#radio22').is(':checked')) {

			if ($('#radio11').is(':checked')) {
				var forma_pago_apartado = 'Tarjeta crédito/débito';
			} else if ($('#radio22').is(':checked')) {
				var forma_pago_apartado = 'Pago en efectivo';
			}

			var flete = 'No';
			var costo_flete = 0;

			turn_on_cargando();

			var data1 = "tarea=20&cliente=" + cliente_apartado
				+ "&pago_inicial=" + pago_inicial_apartado
				+ "&identificador=" + identificador_apartado
				+ "&total=" + total_apartado
				+ "&forma_pago=" + forma_pago_apartado
				+ "&estado=" + estado_apartado
				+ "&flete=" + flete
				+ "&costo_flete=" + costo_flete;
			$.ajax({
				data: data1,
				url: 'process/process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					Swal.fire(
						'Aviso',
						'ERROR, al conectarse al SERVIDOR...',
						'error'
					);
					// setTimeout(() => { 
					turn_off_cargando();
					// $('#ftco-loader').hide();
					// },10000);
				},
				success: function(data) {
					turn_off_cargando();
					//$("#stock").load(window.location + " #stock");
					if (data === 'done') {

						document.getElementById("modalPagoApartado").click(function() {
							document.getElementById("modalPagoApartado").style.display = "none";
						});
						document.getElementById("modalContinuar").click(function() {
							document.getElementById("modalContinuar").style.display = "none";
						});

						//     		Swal.fire({
						//   position: 'top-end',
						//   icon: 'success',
						//   title: 'Venta completa y registrada cdc',
						//   showConfirmButton: false,
						//   timer: 1500
						// });

						Swal.fire({
							title: 'Venta completa y registrada en adeudos',
							text: "¿Deseas imprimir el ticket de venta?",
							icon: 'info',
							showCancelButton: true,
							confirmButtonColor: '#3085d6',
							cancelButtonColor: '#d33',
							confirmButtonText: 'Imprimir ticket',
							cancelButtonText: 'Cancelar',
						}).then((result) => {
							if (result.value) {
								ticket_venta_apartado(cliente_apartado,
									pago_inicial_apartado,
									identificador_apartado,
									total_apartado,
									forma_pago_apartado,
									estado_apartado,
									cartenvio
								);
							}
						});
					} else {
						Swal.fire(data);
					}
				}
			});

		} else {
			Swal.fire("Selecciona la forma de pago");
		}
	} else {
		Swal.fire("Completa los datos solicitados para completar la venta");
	}

}

function modificar_cliente() {
	if ($('#nombre').val() != ""
		&& $('#telefono').val() != ""
		&& $('#direccion_cliente').val() != ""
		&& $('#direccion_obra').val() != ""
		&& $('#id').val() != "") {

		var nombre = $('#nombre').val();
		var telefono = $('#telefono').val();
		var direccion_cliente = $('#direccion_cliente').val();
		var direccion_obra = $('#direccion_obra').val();
		var id = $('#id').val();

		turn_on_cargando();

		var data1 = "tarea=21&nombre=" + nombre
			+ "&telefono=" + telefono
			+ "&direccion_cliente=" + direccion_cliente
			+ "&direccion_obra=" + direccion_obra
			+ "&id=" + id;

		$.ajax({
			data: data1,
			url: '../process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'updated') {
					Swal.fire({
						position: 'top-center',
						icon: 'success',
						title: 'Información de ' + nombre + ' actualizada',
						showConfirmButton: false,
						timer: 2000
					});

					setTimeout(() => {
						window.location = '../clientes.php';
					}, 2700);


				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos del producto',
			'error'
		);
	}
}

function ticket_venta(cliente, pago_inicial, identificador, total, estado, forma_pago, cartenvio, efectivo) {
	turn_on_cargando();

	var data1 = "tarea=22&cliente=" + cliente
		+ "&pago_inicial=" + pago_inicial
		+ "&identificador=" + identificador
		+ "&total=" + total
		+ "&forma_pago=" + forma_pago
		+ "&estado=" + estado
		+ "&cartenvio=" + cartenvio
		+ "&efectivo=" + efectivo;

	$.ajax({
		data: data1,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost:8080/punto_venta/ticket/ticket-venta.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function(error) {
			//          Swal.fire(
			// 	'Aviso',
			// 	'ERROR, al conectarse al SERVIDOR...'+error,
			// 	'error'
			// );

			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);

			// Swal.fire("Ticket impreso");
			// setTimeout(() => {
			// 	window.location = 'vendido.php';
			// }, 2500);
		},
		success: function(data) {
			turn_off_cargando();
			//$("#stock").load(window.location + " #stock");
			// if (data == 1) {
			// 	Swal.fire("Ticket impreso");
			// 	setTimeout(() => {
			// 		window.location = 'vendido.php';
			// 	}, 2000);
			// } else {
			// 	Swal.fire(data);
			// }
		}
	});

}

function ticket_venta_pendiente(pago_inicial, identificador, total, estado, forma_pago, cartenvio) {
	turn_on_cargando();

	var data1 = "tarea=22&pago_inicial=" + pago_inicial
					+ "&identificador=" + identificador
					+ "&total=" + total
					+ "&forma_pago=" + forma_pago
					+ "&estado=" + estado
					+ "&cartenvio=" + cartenvio;

	$.ajax({
		data: data1,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost:8080/punto_venta/ticket/ticket-venta-pendiente.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function(error) {
			//          Swal.fire(
			// 	'Aviso',
			// 	'ERROR, al conectarse al SERVIDOR...'+error,
			// 	'error'
			// );

			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);

			// Swal.fire("Ticket impreso");
			// setTimeout(() => {
			// 	window.location = 'vendido.php';
			// }, 2500);
		},
		success: function(data) {
			turn_off_cargando();
			//$("#stock").load(window.location + " #stock");
			// if (data == 1) {
			// 	Swal.fire("Ticket impreso");
			// 	setTimeout(() => {
			// 		window.location = 'vendido.php';
			// 	}, 2000);
			// } else {
			// 	Swal.fire(data);
			// }
		}
	});

}

function ticket_venta_apartado(cliente, pago_inicial, identificador, total, estado, forma_pago, cartenvio) {
	turn_on_cargando();

	var data1 = "tarea=22&cliente=" + cliente
		+ "&pago_inicial=" + pago_inicial
		+ "&identificador=" + identificador
		+ "&total=" + total
		+ "&estado=" + estado
		+ "&forma_pago=" + forma_pago
		+ "&cartenvio=" + cartenvio;
	$.ajax({
		data: data1,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost:8080/lapalma/ticket/ticket1_apartado.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			//          Swal.fire(
			// 	'Aviso',
			// 	'ERROR, al conectarse al SERVIDOR...',
			// 	'error'
			// );

			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);

			Swal.fire("Ticket impreso");
			setTimeout(() => {
				window.location = 'vendido.php';
			}, 2500);
		},
		success: function(data) {
			turn_off_cargando();
			//$("#stock").load(window.location + " #stock");
			if (data == 1) {
				Swal.fire("Ticket impreso");
				setTimeout(() => {
					window.location = 'vendido.php';
				}, 2000);
			} else {
				Swal.fire(data);
			}
		}
	});

}

function ticket_renta_andamio(cliente, cantidad_tablas, cantidad_plataformas, fecha_entrega, costo_renta, direccion_actual, anticipo, notas, total) {
	turn_on_cargando();

	var data1 = "cliente=" + cliente
		+ "&cantidad_tablas=" + cantidad_tablas
		+ "&cantidad_plataformas=" + cantidad_plataformas
		+ "&fecha_entrega=" + fecha_entrega
		+ "&costo_renta=" + costo_renta
		+ "&direccion_actual=" + direccion_actual
		+ "&anticipo=" + anticipo
		+ "&notas=" + notas
		+ "&total=" + total;
	$.ajax({
		data: data1,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost/pv_ferreteria/ticket/ticket_andamio_renta.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			//          Swal.fire(
			// 	'Aviso',
			// 	'ERROR, al conectarse al SERVIDOR...',
			// 	'error'
			// );

			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);

			Swal.fire("Ticket impreso");
			setTimeout(() => {
				window.location = 'vendido.php';
			}, 2500);
		},
		success: function(data) {
			turn_off_cargando();
			//$("#stock").load(window.location + " #stock");
			if (data == 1) {
				Swal.fire("Ticket impreso");
				setTimeout(() => {
					window.location = 'vendido.php';
				}, 2000);
			} else {
				Swal.fire(data);
			}
		}
	});

}

function ticket_renta_tablas_v_p(cliente_pagado, pago_inicial_pagado, identificador_pagado, total_pagado, direccion_actual_pagado, fecha_entrega_pagado, forma_pago_pagado, notas_pagado, estado_pagado, cartenvio) {
	turn_on_cargando();

	var data1 = "cliente_pagado=" + cliente_pagado
		+ "&pago_inicial_pagado=" + pago_inicial_pagado
		+ "&identificador_pagado=" + identificador_pagado
		+ "&total_pagado=" + total_pagado
		+ "&direccion_actual_pagado=" + direccion_actual_pagado
		+ "&fecha_entrega_pagado=" + fecha_entrega_pagado
		+ "&forma_pago_pagado=" + forma_pago_pagado
		+ "&notas_pagado=" + notas_pagado
		+ "&estado_pagado=" + estado_pagado
		+ "&cartenvio=" + cartenvio;
	$.ajax({
		data: data1,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost/pv_ferreteria/ticket/ticket_tablas_v_p_renta.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			//          Swal.fire(
			// 	'Aviso',
			// 	'ERROR, al conectarse al SERVIDOR...',
			// 	'error'
			// );
			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);

			Swal.fire("Ticket impreso");
			setTimeout(() => {
				window.location = 'vendido.php';
			}, 2500);
		},
		success: function(data) {
			turn_off_cargando();
			//$("#stock").load(window.location + " #stock");
			if (data == 1) {
				Swal.fire("Ticket impreso");
				setTimeout(() => {
					window.location = 'vendido.php';
				}, 2000);
			} else {
				Swal.fire(data);
			}
		}
	});

}

function ticket_renta_escaleras(cliente_escaleras, direccion_actual_escaleras, escalera_nombre, cantidad_escaleras, fecha_entrega_escaleras, forma_pago_escaleras, pago_escaleras, total, notas) {
	turn_on_cargando();

	var data1 = "cliente_escaleras=" + cliente_escaleras
		+ "&direccion_actual_escaleras=" + direccion_actual_escaleras
		+ "&escalera_nombre=" + escalera_nombre
		+ "&cantidad_escaleras=" + cantidad_escaleras
		+ "&fecha_entrega_escaleras=" + fecha_entrega_escaleras
		+ "&forma_pago_escaleras=" + forma_pago_escaleras
		+ "&pago_escaleras=" + pago_escaleras
		+ "&total=" + total
		+ "&notas=" + notas;
	$.ajax({
		data: data1,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost/pv_ferreteria/ticket/ticket_escaleras.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			//          Swal.fire(
			// 	'Aviso',
			// 	'ERROR, al conectarse al SERVIDOR...',
			// 	'error'
			// );
			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);

			Swal.fire("Ticket impreso");
			setTimeout(() => {
				window.location = 'vendido.php';
			}, 2500);
		},
		success: function(data) {
			turn_off_cargando();
			//$("#stock").load(window.location + " #stock");
			if (data == 1) {
				Swal.fire("Ticket impreso");
				setTimeout(() => {
					window.location = 'vendido.php';
				}, 2000);
			} else {
				Swal.fire(data);
			}
		}
	});

}

function ticket_renta_burros(cliente_burros, direccion_actual_burros, burro_nombre, cantidad_burros, fecha_entrega_burros, forma_pago_burros, notas_burros, pago_burros, total) {
	turn_on_cargando();

	var data1 = "cliente_burros=" + cliente_burros
		+ "&direccion_actual_burros=" + direccion_actual_burros
		+ "&burro_nombre=" + burro_nombre
		+ "&cantidad_burros=" + cantidad_burros
		+ "&fecha_entrega_burros=" + fecha_entrega_burros
		+ "&forma_pago_burros=" + forma_pago_burros
		+ "&notas_burros=" + notas_burros
		+ "&pago_burros=" + pago_burros
		+ "&total=" + total;
	$.ajax({
		data: data1,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost/pv_ferreteria/ticket/ticket_burros.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			//          Swal.fire(
			// 	'Aviso',
			// 	'ERROR, al conectarse al SERVIDOR...',
			// 	'error'
			// );
			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);

			Swal.fire("Ticket impreso");
			setTimeout(() => {
				window.location = 'vendido.php';
			}, 2500);
		},
		success: function(data) {
			turn_off_cargando();
			//$("#stock").load(window.location + " #stock");
			if (data == 1) {
				Swal.fire("Ticket impreso");
				setTimeout(() => {
					window.location = 'vendido.php';
				}, 2000);
			} else {
				Swal.fire(data);
			}
		}
	});

}

function agregar_abono_venta() {
	if ($('#abono').val() != "" && $('#id_venta').val() != "") {

		var abono = $('#abono').val();
		var id_venta = $('#id_venta').val();

		turn_on_cargando();

		var data1 = "tarea=22&abono=" + abono + "&id_venta=" + id_venta;
		// alert(data1);

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'done') {
					$('#modalAbonar').modal('hide');

					toast("Abono registrado","success");

					ticket_abono_venta(abono, id_venta);

					redirection("");
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		toast("Ingresa el monto del abono","error");
	}
}

function ticket_renta_tablas_v_p_apartado(cliente_apartado, pago_inicial_apartado, identificador_apartado, total_apartado, direccion_actual_apartado, fecha_entrega_apartado, forma_pago_apartado, notas_apartado, estado_apartado, cartenvio) {
	turn_on_cargando();
	var data1 = "cliente_pagado=" + cliente_apartado
		+ "&pago_inicial_pagado=" + pago_inicial_apartado
		+ "&identificador_pagado=" + identificador_apartado
		+ "&total_pagado=" + total_apartado
		+ "&direccion_actual_pagado=" + direccion_actual_apartado
		+ "&fecha_entrega_pagado=" + fecha_entrega_apartado
		+ "&forma_pago_pagado=" + forma_pago_apartado
		+ "&notas_pagado=" + notas_apartado
		+ "&estado_pagado=" + estado_apartado
		+ "&cartenvio=" + cartenvio;
	$.ajax({
		data: data1,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost/pv_ferreteria/ticket/ticket_tablas_v_p_renta_apartado.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			//          Swal.fire(
			// 	'Aviso',
			// 	'ERROR, al conectarse al SERVIDOR...',
			// 	'error'
			// );
			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);

			Swal.fire("Ticket impreso");
			setTimeout(() => {
				window.location = 'vendido.php';
			}, 2500);

		},
		success: function(data) {
			turn_off_cargando();
			//$("#stock").load(window.location + " #stock");
			if (data == 1) {
				Swal.fire("Ticket impreso");
				setTimeout(() => {
					window.location = 'vendido.php';
				}, 2000);
			} else {
				Swal.fire(data);
			}
		}
	});

}

function agregar_abono_renta() {
	if ($('#cantidad_abono2').val() != "" && $('#bookId2').val() != "") {

		var cantidad_abono = $('#cantidad_abono2').val();
		var id_venta = $('#bookId2').val();

		turn_on_cargando();

		var data1 = "tarea=23&cantidad_abono=" + cantidad_abono + "&id_venta=" + id_venta;
		// alert(data1);

		$.ajax({
			data: data1,
			url: 'process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'done') {
					//console.log("modalEliminar"+idpromo);
					//$('#modalEliminar'+idpromo).modal('hide');
					document.getElementById("modalAbonoRentas").click(function() {
						document.getElementById("modalAbonoRentas").style.display = "none";
					});

					Swal.fire({
						position: 'top-end',
						icon: 'success',
						title: 'Abono registrado/Renta',
						showConfirmButton: false,
						timer: 1500
					});

					//$("#tableDeudoresRentas").load(window.location + " #tableDeudoresRentas");

					setTimeout(() => {
						location.href = "deudores.php";
					}, 3000);

					ticket_abono_renta(cantidad_abono, id_venta);

				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos solicitados',
			'error'
		);
	}
}

function eliminarCuentaVentas() {
	if ($('#bookId').val() != "") {

		var id_venta = $('#bookId').val();

		turn_on_cargando();

		var data1 = "tarea=24&id_venta=" + id_venta;
		// alert(data1);

		$.ajax({
			data: data1,
			url: 'process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'done') {
					//console.log("modalEliminar"+idpromo);
					//$('#modalEliminar'+idpromo).modal('hide');
					document.getElementById("modalborrarapartadoRentas").click(function() {
						document.getElementById("modalborrarapartadoRentas").style.display = "none";
					});

					Swal.fire({
						position: 'top-end',
						icon: 'success',
						title: 'Cuenta eliminada /Renta',
						showConfirmButton: false,
						timer: 1500
					});

					location.href = "deudores.php";
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos solicitados',
			'error'
		);
	}
}

function eliminarCuentaRentas() {
	if ($('#bookId2').val() != "") {

		var id_renta = $('#bookId2').val();

		turn_on_cargando();

		var data1 = "tarea=25&id_renta=" + id_renta;
		// alert(data1);

		$.ajax({
			data: data1,
			url: 'process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'done') {
					//console.log("modalEliminar"+idpromo);
					//$('#modalEliminar'+idpromo).modal('hide');
					document.getElementById("modalborrarapartadoRentas").click(function() {
						document.getElementById("modalborrarapartadoRentas").style.display = "none";
					});

					Swal.fire({
						position: 'top-end',
						icon: 'success',
						title: 'Cuenta eliminada /Renta',
						showConfirmButton: false,
						timer: 1500
					});

					location.href = "deudores.php";
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos solicitados',
			'error'
		);
	}
}

function reiniciar_v_r(tabla) {
	console.log(tabla);
	turn_on_cargando();

	var data1 = "tarea=26&tabla=" + tabla;
	// alert(data1);

	$.ajax({
		data: data1,
		url: 'process/process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);
		},
		success: function(data) {
			turn_off_cargando();
			if (data === 'ok') {

				Swal.fire({
					position: 'top-end',
					icon: 'success',
					title: 'Cuenta eliminada /Renta',
					showConfirmButton: false,
					timer: 1500
				});

				location.href = "vendido.php";
			} else {
				Swal.fire(
					'Aviso',
					data,
					'error'
				);
			}
		}
	});
}

function reiniciar_caja() {
	turn_on_cargando();

	var data1 = "tarea=27&caja=1";
	// alert(data1);

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();

			if (data === 'ok') {
				toast("Caja reiniciada", "success");
				redirection("");
			} else {
				Swal.fire(
					'Aviso',
					data,
					'error'
				);
			}
		}
	});
}

function imprimir_ticket_2() {
	var cartenvio = $('#cartenvio').val();
	turn_on_cargando();

	var data1 = "cartenvio=" + cartenvio;

	$.ajax({
		data: data1,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost/pv_ferreteria/ticket/ticket1_2.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function(error) {
			Swal.fire("Ticket impreso");
			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);

			// Swal.fire("Ticket impreso");
			//   		setTimeout(() => { 
			//   			window.location = 'vendido.php';
			//  },2500);
		},
		success: function(data) {
			turn_off_cargando();
			//$("#stock").load(window.location + " #stock");
			if (data == 1) {
				Swal.fire("Ticket impreso");
			} else {
				Swal.fire(data);
			}
		}
	});

}

function ticket_abono_venta(cantidad, id) {
	var ok = "cantidad=" + cantidad + "&id=" + id;
	$.ajax({
		data: ok,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost/pv_ferreteria/ticket/ticket_abono_venta.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			// alert("no");

		},
		success: function(data) {
			// alert(data);

		}
	});
}

function ticket_abono_renta(cantidad, id) {
	var ok = "cantidad=" + cantidad + "&id=" + id;
	$.ajax({
		data: ok,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost/pv_ferreteria/ticket/ticket_abono_renta.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			// alert("no");

		},
		success: function(data) {
			// alert(data);

		}
	});
}

function regresar_renta_completo() {
	if ($('#id_renta_regreso_completo').val() != "") {

		var id_renta_regreso_completo = $('#id_renta_regreso_completo').val();

		turn_on_cargando();

		var data1 = "tarea=28&id_renta_regreso_completo=" + id_renta_regreso_completo;
		// alert(data1);

		$.ajax({
			data: data1,
			url: 'process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'done') {
					Swal.fire({
						position: 'top-end',
						icon: 'success',
						title: 'Se regreso al stock estos productos',
						showConfirmButton: false,
						timer: 1500
					});
					//console.log("modalEliminar"+idpromo);
					document.getElementById("modalRegresarRenta").click(function() {
						document.getElementById("modalRegresarRenta").style.display = "none";
					});

					document.getElementById("modalRegresarCompletoMaterial").click(function() {
						document.getElementById("modalRegresarCompletoMaterial").style.display = "none";
					});

					//$("#tablePromos").load(window.location + " #tablePromos");
					location.href = "vendido.php";
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa los datos solicitados',
			'error'
		);
	}
}

function regresar_andamios(cantidad, razon, id) {
	console.log(cantidad);
	if (cantidad >= 1 && cantidad != "" && cantidad != undefined && cantidad != null) {

		turn_on_cargando();

		var data1 = "tarea=29&cantidad=" + cantidad + "&razon=" + razon + "&id=" + id;
		// alert(data1);

		$.ajax({
			data: data1,
			url: 'process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'ok') {
					Swal.fire({
						position: 'top-end',
						icon: 'success',
						title: 'Se regreso al stock las ' + razon,
						showConfirmButton: false,
						timer: 1500
					});

					if (razon === 'tablas') {
						document.getElementById("modalAndamiosTablas").click(function() {
							document.getElementById("modalAndamiosTablas").style.display = "none";
						});
					} else if (razon === 'plataformas') {
						document.getElementById("modalAndamiosPlataformas").click(function() {
							document.getElementById("modalAndamiosPlataformas").style.display = "none";
						});
					}

					$("#table-andamios").load(window.location + " #table-andamios");
					//    location.href = "vendido.php";
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Completa la cantidad solicitada de ' + razon,
			'error'
		);
	}
}

function regresar_tablaspv(cantidad, id_carrito, id_producto, id) {
	console.log(cantidad);
	if (cantidad >= 1 && cantidad != "" && cantidad != undefined && cantidad != null) {

		turn_on_cargando();

		var data1 = "tarea=30&cantidad=" + cantidad + "&id_carrito=" + id_carrito + "&id_producto=" + id_producto + "&id=" + id;
		// alert(data1);

		$.ajax({
			data: data1,
			url: 'process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'ok') {
					Swal.fire({
						position: 'top-end',
						icon: 'success',
						title: 'Se regreso al stock el producto',
						showConfirmButton: false,
						timer: 1500
					});

					document.getElementById("modalCantidadDevuelta").click(function() {
						document.getElementById("modalCantidadDevuelta").style.display = "none";
					});

					$("#table-tablaspv").load(window.location + " #table-tablaspv");
					//    location.href = "vendido.php";
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Introduce la cantidad de articulos',
			'error'
		);
	}
}

function regresar_escalera(cantidad, id_renta_escalera, id_producto, id) {
	console.log(cantidad);
	if (cantidad >= 1 && cantidad != "" && cantidad != undefined && cantidad != null) {

		turn_on_cargando();

		var data1 = "tarea=31&cantidad=" + cantidad + "&id_renta_escalera=" + id_renta_escalera + "&id_producto=" + id_producto + "&id=" + id;
		// alert(data1);

		$.ajax({
			data: data1,
			url: 'process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'ok') {
					Swal.fire({
						position: 'top-end',
						icon: 'success',
						title: 'Se regreso al stock el producto',
						showConfirmButton: false,
						timer: 1500
					});

					document.getElementById("modalRegresarEscalera").click(function() {
						document.getElementById("modalRegresarEscalera").style.display = "none";
					});

					$("#table-escaleras").load(window.location + " #table-escaleras");
					//    location.href = "vendido.php";
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Introduce la cantidad de articulos',
			'error'
		);
	}
}

function regresar_burro(cantidad, id_renta_burro, id_producto, id) {
	console.log(cantidad);
	if (cantidad >= 1 && cantidad != "" && cantidad != undefined && cantidad != null) {

		turn_on_cargando();

		var data1 = "tarea=32&cantidad=" + cantidad + "&id_renta_burro=" + id_renta_burro + "&id_producto=" + id_producto + "&id=" + id;
		// alert(data1);

		$.ajax({
			data: data1,
			url: 'process/process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				if (data === 'ok') {
					Swal.fire({
						position: 'top-end',
						icon: 'success',
						title: 'Se regreso al stock el producto',
						showConfirmButton: false,
						timer: 1500
					});

					document.getElementById("modalRegresarBurros").click(function() {
						document.getElementById("modalRegresarBurros").style.display = "none";
					});

					$("#table-burros").load(window.location + " #table-burros");
					//    location.href = "vendido.php";
				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		Swal.fire(
			'Aviso',
			'Introduce la cantidad de articulos',
			'error'
		);
	}
}

function regresar_marcar_entregado_tablaspv(id) {
	turn_on_cargando();

	var data1 = "tarea=33&id=" + id;
	// alert(data1);

	$.ajax({
		data: data1,
		url: 'process/process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			// setTimeout(() => { 
			turn_off_cargando();
			// $('#ftco-loader').hide();
			// },10000);
		},
		success: function(data) {
			turn_off_cargando();
			if (data === 'ok') {
				Swal.fire({
					position: 'top-end',
					icon: 'success',
					title: 'Se marcó como entregada los artículos de esta renta',
					showConfirmButton: false,
					timer: 1500
				});

				document.getElementById("modalMarcarEntregadoTablaspv").click(function() {
					document.getElementById("modalMarcarEntregadoTablaspv").style.display = "none";
				});

				//$("#table-burros").load(window.location + " #table-burros");
				location.href = "vendido.php";
			} else {
				Swal.fire(
					'Aviso',
					data,
					'error'
				);
			}
		}
	});

}

function reimprimir_ticket_venta(id_venta,fecha,refer,total,cliente,estado,forma_pago) {

	console.log("SOLICITUD DE REIMPRIMIR");

		turn_on_cargando();

		// var data1="tarea=34&id="+id+"&refer="+refer+"&fecha="+fecha
		// 				+"&empleado="+empleado+"&total="+total
		// 				+"&sucursal="+sucursal+"&status="+status+"&cliente="+cliente
		// 				+"&pago_inicial="+pago_inicial+"&cartenvio="+cartenvio;
		//alert(refer);
		var data1 = "tarea=47&refer=" + refer + "&id=" + id_venta;

		console.log(data1);

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				console.log("ERROR SERVIDOR REIMPRIMIR");
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR 1...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				turn_off_cargando();
				console.log("DATA SOLICITADA: " + data);
				if (data == 1) {
					console.log("RESPUESTA SOLICITUD REIMPRIMIR 1");
					Swal.fire(
						'Aviso',
						'No se recuperó la información de los artículos comprados.',
						'error'
					);
				} else {
					console.log("RESPUESTA SOLICITUD REIMPRIMIR 2");
					// Swal.fire(
					// 	'Aviso',
					// 	data,
					// 	'success'
					// );
					success_print_ticket_sell(id_venta, refer, fecha, "Admin", total, "Sucursal", estado, cliente, total, forma_pago, data);
				}
			}
		});
	
}

function success_print_ticket_sell(id, refer, fecha, empleado, total, sucursal, status, cliente, pago_inicial, forma_pago, data) {
	console.log("ENTRO REIMPRIMIR TICKET");
	turn_on_cargando();

	if (status != 'Pagado') {
		status = 'Pendiente';
	}

	var data1 = "cliente=" + cliente
		+ "&pago_inicial=" + pago_inicial
		+ "&identificador=" + refer
		+ "&total=" + total
		+ "&forma_pago=" + forma_pago
		+ "&estado=" + status
		+ "&cartenvio=" + data.replace(/&quot;/g, '\"');

	data = data.replace(/&quot;/g, '\"');
	data = data.replace(/&aacute;/g, 'a');
	data = data.replace(/&eacute;/g, '\"');
	data = data.replace(/&quot;/g, '\"');
	console.log(data1);
	$.ajax({
		data: data1,
		// url:   'ticket/ticket1.php',
		url: 'http://localhost:8080/punto_venta/ticket/ticket-reimprimir-venta.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function(error) {
			console.log("ERROR AL ENCONTRAR EL SERVIDOR 2");
			console.log("DATA OBTENIDA:" + data1 + " CART: " + data.replace(/&quot;/g, '\"'));
			turn_off_cargando();
		},
		success: function(data) {
			console.log("OK DONE");
			turn_off_cargando();
			
		}
	});

}

function return_option(id, option) {

	if (option === "edit") {
		return_edit(id);
	} else if (option === "delete") {
		return_delete(id);
	}

}

function return_edit(id) {
	message("Preparando...", "info");
	setTimeout(() => { location = "./edit-return.php?id=" + id; }, 2000);
}

function return_delete(id) {
	document.getElementById("id_delete").value = id;
	$('#modalDelete').modal('show');
}

function product_option(id, option) {

	if (option === "show") {
		product_show(id);
	} else if (option === "edit") {
		product_edit(id);
	} else if (option === "delete") {
		product_delete(id);
	} else if (option === "print") {
		product_print_code(id);
	}

}

function product_delete(id) {
	document.getElementById("id_delete").value = id;
	$('#modalDelete').modal('show');
}

function product_edit(id) {
	message("Preparando...", "info");
	setTimeout(() => { location = "./edit-product.php?id=" + id; }, 2000);
}

function package_option(id, option) {

	if (option === "edit") {
		package_edit(id);
	} else if (option === "delete") {
		package_delete(id);
	}

}

function package_delete(id) {
	document.getElementById("id_delete").value = id;
	$('#modalDelete').modal('show');
}

function package_edit(id) {
	message("Preparando...", "info");
	setTimeout(() => { location = "./edit-package.php?id=" + id; }, 2000);
}

function modificar_paquete(id) {
	if ($('#codigo').val() != ""
		&& $('#cantidad').val() != ""
		&& $('#nombre').val() != "") {

			var codigo             = $('#codigo').val();
			var cantidad           = $('#cantidad').val();
			var nombre 			   = $('#nombre').val();

			var precio_paquete = -1;
			if($('#precio_paquete').val() != ""){
				var precio_paquete	   = $('#precio_paquete').val();
			}

		turn_on_cargando();

		console.log("ID: " + id);

		var data1 = "tarea=71&id="				+ id +				
						"&codigo=" 				+ codigo +
						"&cantidad=" 			+ cantidad +
						"&precio=" 				+ precio_paquete +
						"&nombre=" 				+ nombre;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();

				if (data === 'updated') {

					Swal.fire({
						title: 'Paquete editado',
						text: "Se modifico la información de este paquete",
						icon: 'success',
						showCancelButton: true,
						confirmButtonColor: '#3085d6',
						cancelButtonColor: '#d33',
						confirmButtonText: 'Ir al stock',
						cancelButtonText: 'Cancelar',
					}).then((result) => {
						if (result.value) {
							console.log("Valor: " + result.value);
							location.href = "./list-packages.php";
						}
					});

				} else {
					Swal.fire(
						'Aviso',
						data,
						'error'
					);
				}
			}
		});

	} else {
		toast("Completa los datos del producto", "error");
	}
}

function offices_option(id, option) {

	if (option === "show") {
		office_show(id);
	} else if (option === "edit") {
		office_edit(id);
	} else if (option === "delete") {
		office_delete(id);
	}

}

function office_show(id) {
	turn_on_cargando();

	var data1 = "tarea=59&id=" + id;

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();

			$('#modalShow').modal('show');
			$('#info').html(data);
		}
	});
}

function office_edit(id) {
	message("Preparando...", "info");
	setTimeout(() => { location = "./edit-office.php?id=" + id; }, 2000);
}

function office_delete(id) {
	document.getElementById("id_delete").value = id;
	$('#modalDelete').modal('show');
}

function product_print_code(code) {
	message("Preparando para imprimir...", "info");
	setTimeout(() => { window.open("../codes/code.php?codigo=" + code, "_blank"); }, 2000);
}

function product_show(id) {
	turn_on_cargando();

	var data1 = "tarea=34&id=" + id;

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();

			$('#modalShow').modal('show');
			$('#info').html(data);
		}
	});
}

function close_session() {

	message("Cerrando sesión, espere...", "info");

	setTimeout(() => {

		var data1 = "tarea=35";

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// turn_off_cargando();
			},
			success: function(data) {
				// turn_off_cargando();
				location = "../index.php";
			}
		});

	}, 2000);
}

function nueva_venta() {
	var data1 = "tarea=36";

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();
			location = "./add-sell.php?r=" + data;
		}
	});
}

function nueva_traslado() {
	var data1 = "tarea=36";

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();
			location = "./add-transfer.php?r=" + data;
		}
	});
}

function empleado_comision(identificador) {

	if ($('#comision').val() != "") {

		var comision = $('#comision').val();
		var comision_venta = $('#comision_venta').val();

		var data1 = "tarea=37&id_empleado=" + comision
						+ "&identificador=" + identificador
						+ "&comision_venta=" + comision_venta;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();
				if (data === "registered") {
					toast("Comisión registrada", "success");
				} else {
					toast(data, "error");
				}
			}
		});

	} else {
		toast("Selecciona el empleado para la comisión", "error");
	}
}

function empleado_comision_2(identificador) {

	if ($('#comision_2').val() != "") {

		var comision = $('#comision_2').val();
		var comision_venta = $('#comision_venta_2').val();

		var data1 = "tarea=37&id_empleado=" + comision
						+ "&identificador=" + identificador
						+ "&comision_venta=" + comision_venta;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();
				if (data === "registered") {
					toast("Comisión registrada", "success");
				} else {
					toast(data, "error");
				}
			}
		});

	} else {
		toast("Selecciona el empleado para la comisión", "error");
	}
}

function sell_option(id, option) {

	if (option === "show") {
		sell_show(id);
	} else if (option === "print") {
		// reimprimir_ticket_venta(id);
	} else if (option === "delete") {
		sell_delete(id);
	}

}

function sell_delete(id) {
	document.getElementById("id_delete").value = id;
	$('#modalDelete').modal('show');
}

function sell_show(id) {
	turn_on_cargando();

	var data1 = "tarea=39&id=" + id;

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();

			$('#modalShow').modal('show');
			$('#info').html(data);
		}
	});
}

function eliminar_venta() {
	if ($('#id_delete').val() != "") {

		var id_delete = $('#id_delete').val();

		turn_on_cargando();

		var data1 = "tarea=38&id=" + id_delete;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();

				if (data === "deleted") {
					$('#modalDelete').modal('hide');
					toast("Venta eliminada", "success");
					$("#check").load(window.location + " #check");
					setTimeout(() => { setDataTables("#tabla-ventas"); }, 2000);
				} else {
					messageConfirmation(data, 'error');
				}
			}
		});

	} else {
		toast("Intenta de nuevo", "error");
	}
}

function transfer_option(id, option) {

	if (option === "show") {
		transfer_show(id);
	}else if (option === "delete") {
		transfer_delete(id);
	}

}

function transfer_show(id) {
	turn_on_cargando();

	var data1 = "tarea=53&id=" + id;

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();
			$('#info').html(data);
			$('#modalShow').modal('show');
		}
	});
}

function employed_option(id, option) {
	if (option === "show") {
		employed_show(id);
	} else if (option === "edit") {
		employed_edit(id);
	} else if (option === "delete") {
		employed_delete(id);
	}
}

function employed_delete(id) {
	document.getElementById("id_delete").value = id;
	$('#modalDelete').modal('show');
}

function employed_edit(id) {
	message("Preparando...", "info");
	setTimeout(() => { location = "./edit-employed.php?id=" + id; }, 2000);
}

function employed_show(id) {
	turn_on_cargando();

	var data1 = "tarea=41&id=" + id;

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();

			$('#modalShow').modal('show');
			$('#info').html(data);
		}
	});
}

function editar_empleado(id) {
	if ($('#nombre').val() != ""
		// && $('#direccion').val()!=""
		&& $('#usuario').val() != ""
		&& $('#contrasena').val() != ""
		&& $('#contrasena_repeat').val() != ""
		&& $('#rol').val() != ""
		&& $('#telefono').val()!=""
		&& $('#correo').val()!=""
	) {

		var nombre            = $('#nombre').val();
		var direccion         = $('#direccion').val();
		var usuario           = $('#usuario').val();
		var contrasena        = $('#contrasena').val();
		var contrasena_repeat = $('#contrasena_repeat').val();
		var rol               = $('#rol').val();
		var telefono          = $('#telefono').val();
		var correo            = $('#correo').val();
		var departamento	  = $('#departamento').val();

		if (contrasena === contrasena_repeat) {

			turn_on_cargando();

			var data1 = "tarea=43&nombre=" + nombre +
							"&direccion=" + direccion +
							"&usuario=" + usuario +
							"&contrasena=" + contrasena +
							"&rol=" + rol +
							"&telefono=" + telefono +
							"&id=" + id +
							"&correo=" + correo +
							"&departamento=" + departamento +
							"&id=" + id;

			$.ajax({
				data: data1,
				url: '../process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					turn_off_cargando();
					messageConfirmation("ERROR, al conectarse al SERVIDOR...", "error");
				},
				success: function(data) {
					turn_off_cargando();

					if (data === 'updated') {
						message("Información del empleado modificada", "success");
						redirection("./list-employes.php");
					} else {
						messageConfirmation(data, "error");
					}
				}
			});

		} else {
			toast("Las contraseñas no coinciden", "error");
		}

	} else {
		toast("Completa todos los datos del empleado", "error");
	}
}

function movimiento_caja() {

	if ($('#monto').val() != ""
		&& $('#motivo').val() != ""
		&& $('#movimiento').val() != "") {

		var monto = $('#monto').val();
		var motivo = $('#motivo').val();
		var movimiento = $('#movimiento').val();

		turn_on_cargando();

		var data1 = "tarea=44&monto=" + monto +
			"&motivo=" + motivo +
			"&movimiento=" + movimiento;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				turn_off_cargando();
				messageConfirmation("ERROR, al conectarse al SERVIDOR...", "error");
			},
			success: function(data) {
				turn_off_cargando();
				$('#modalMovimiento').modal('hide');

				if (data === "done") {
					$('#monto').val("");
					$('#motivo').val("");
					$('#movimiento').val("");
					$('#modalOperaciones').modal('hide');
					setTimeout(() => { setDataTables("#tabla-movimientos"); }, 2000);
					$("#check").load(location.href + " #check>*", "");
					$("#check2").load(location.href + " #check2>*", "");
					toast("Movimiento en caja registrado", "success");
				} else {
					messageConfirmation(data, "error");
				}
			}
		});

	} else {
		toast("Ingresa todos los datos del movimiento", "error");
	}

}

function agregar_cliente() {
	if ($('#nombre').val() != ""
		&& $('#razon_social').val() != ""
		&& $('#rfc').val() != ""
		&& $('#tipo_razon_social').val() != ""
		&& $('#encargado').val() != ""
		&& $('#direccion').val() != ""
		&& $('#telefono').val() != ""
		&& $('#sucursal').val() != ""
		) {

		var nombre = $('#nombre').val();
		var razon_social = $('#razon_social').val();
		var rfc = $('#rfc').val();
		var tipo_razon_social = $('#tipo_razon_social').val();
		var encargado = $('#encargado').val();
		var direccion = $('#direccion').val();
		var telefono = $('#telefono').val();
		var sucursal = $('#sucursal').val();

		turn_on_cargando();

		var data1 = "tarea=45&nombre=" + nombre +
			"&razon_social=" + razon_social +
			"&rfc=" + rfc +
			"&tipo_razon_social=" + tipo_razon_social +
			"&encargado=" + encargado +
			"&direccion=" + direccion +
			"&telefono=" + telefono +
			"&sucursal=" + sucursal;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				turn_off_cargando();
				messageConfirmation("ERROR, al conectarse al SERVIDOR...", "error");
			},
			success: function(data) {
				turn_off_cargando();

				console.log(data);

				data_check = data.split(",");

				if (data_check[0] === "added") {

					console.log(data_check[1]);
					
					if ($('#pdf').val() != "") {
						console.log("entro Pdf");
						pdf(data_check[1], "3");
					}

					message("Cliente registrado", "success");
					redirection("./list-clients.php");
				} else {
					messageConfirmation(data, "error");
				}
			}
		});

	} else {
		toast("Completa todos los datos de este cliente.", "error");
	}
}

function agregar_proveedor() {
	if ($('#razon_social').val() != ""
		&& $('#tipo_razon_social').val() != ""
		&& $('#rfc').val() != ""
		&& $('#encargado').val() != "") {

		var razon_social = $('#razon_social').val();
		var tipo_razon_social = $('#tipo_razon_social').val();
		var rfc = $('#rfc').val();
		var telefono = $('#telefono').val();
		var direccion = $('#direccion').val();
		var encargado = $('#encargado').val();

		turn_on_cargando();

		var data1 = "tarea=54&razon_social=" + razon_social +
			"&tipo_razon_social=" + tipo_razon_social +
			"&rfc=" + rfc +
			"&telefono=" + telefono +
			"&direccion=" + direccion +
			"&encargado=" + encargado;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				turn_off_cargando();
				messageConfirmation("ERROR, al conectarse al SERVIDOR...", "error");
			},
			success: function(data) {
				turn_off_cargando();

				var data_check = data.split(",");

				if (data_check[0] == "done") {
					// $("#check").load(location.href+" #check>*","");

					if ($('#pdf').val() != "") {
						console.log("entro Pdf");
						pdf(data_check[1], "2");
					}

					message("Proveedor registrado", "success");
					redirection("./list-providers.php");
				} else {
					messageConfirmation(data, "error");
				}
			}
		});

	} else {
		toast("Completa todos los datos de este cliente.", "error");
	}
}

function client_option(id, option) {
	if (option == "show"){
		client_show(id);
	}
	if (option === "edit") {
		client_edit(id);
	} else if (option === "delete") {
		client_delete(id);
	}
}

function client_show(id) {
	turn_on_cargando();

	var data1 = "tarea=62&id=" + id;

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();

			$('#modalShow').modal('show');
			$('#info').html(data);
		}
	});
}

function provider_option(id, option) {
	if(option === "show"){
		provider_show(id);
	}
	else if (option === "edit") {
		provider_edit(id);
	} else if (option === "delete") {
		provider_delete(id);
	}
}

function client_delete(id) {
	document.getElementById("id_delete").value = id;
	$('#modalDelete').modal('show');
}

function client_edit(id) {
	message("Preparando...", "info");
	setTimeout(() => { location = "./edit-client.php?id=" + id; }, 2000);
}

function provider_show(id) {
	turn_on_cargando();

	var data1 = "tarea=56&id=" + id;

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();

			$('#modalShow').modal('show');
			$('#info').html(data);
		}
	});
}

function provider_delete(id) {
	document.getElementById("id_delete").value = id;
	$('#modalDelete').modal('show');
}

function provider_edit(id) {
	message("Preparando...", "info");
	setTimeout(() => { location = "./edit-provider.php?id=" + id; }, 2000);
}

function editar_cliente(id) {
	if ($('#nombre').val() != ""
		&& $('#razon_social').val() != ""
		&& $('#rfc').val() != ""
		&& $('#encargado').val() != ""
		&& $('#tipo_razon_social').val() != ""
		&& $('#direccion').val() != ""
		&& $('#telefono').val() != ""
		&& $('#sucursal').val() != ""
		) {

		var nombre = $('#nombre').val();
		var razon_social = $('#razon_social').val();
		var rfc = $('#rfc').val();
		var encargado = $('#encargado').val();
		var tipo_razon_social = $('#tipo_razon_social').val();
		var direccion = $('#direccion').val();
		var telefono = $('#telefono').val();
		var sucursal = $('#sucursal').val();

		turn_on_cargando();

		var data1 = "tarea=21&nombre=" + nombre +
			"&razon_social=" + razon_social +
			"&rfc=" + rfc +
			"&encargado=" + encargado +
			"&tipo_razon_social=" + tipo_razon_social +
			"&direccion=" + direccion +
			"&telefono=" + telefono +
			"&sucursal=" + sucursal +
			"&id=" + id;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				turn_off_cargando();
				messageConfirmation("ERROR, al conectarse al SERVIDOR...", "error");
			},
			success: function(data) {
				turn_off_cargando();

				if (data === "updated") {
					if ($('#pdf').val() != "") {
						console.log("entro pdf");
						pdf(id, "3");
					}
					toast("Información actualizada", "success");
					redirection("./list-clients.php");
				} else {
					messageConfirmation(data, "error");
				}
			}
		});

	} else {
		toast("Completa todos los datos de este cliente.", "error");
	}
}

function corte_caja() {

	turn_on_cargando();

	var data1 = "tarea=46";

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			turn_off_cargando();
			messageConfirmation("ERROR, al conectarse al SERVIDOR...", "error");
		},
		success: function(data) {
			turn_off_cargando();

			if (data === "done") {
				$('#modalCorteCaja').modal('hide');
				$('#modalOperaciones').modal('hide');
				toast("Corte de caja realizado", "success");
				messageConfirmation("Podrás encontrar el detalle del corte en la sección <b>Historial de cortes<b/>","info");
				redirection("./list-historial-box.php");
			} else {
				messageConfirmation(data, "error");
			}
		}
	});
}

function eliminar_empleado() {
	if ($('#id_delete').val() != "") {

		var id_delete = $('#id_delete').val();

		turn_on_cargando();

		var data1 = "tarea=48&id=" + id_delete;

		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				turn_off_cargando();
			},
			success: function(data) {
				turn_off_cargando();

				if (data === "deleted") {
					$('#modalDelete').modal('hide');
					toast("Empleado eliminado", "success");
					$("#check").load(window.location + " #check");
					setTimeout(() => { setDataTables("#tabla-empleados"); }, 2000);
				} else {
					messageConfirmation(data, 'error');
				}
			}
		});

	} else {
		toast("Intenta de nuevo", "error");
	}
}

function reiniciar_todo(tabla) {

	turn_on_cargando();

	var data1 = "tarea=50&tabla=" + tabla;

	$.ajax({
		data: data1,
		url: '../process/controlador.php',
		type: 'POST',
		beforeSend: function() {

		},
		error: function() {
			Swal.fire(
				'Aviso',
				'ERROR, al conectarse al SERVIDOR...',
				'error'
			);
			turn_off_cargando();
		},
		success: function(data) {
			turn_off_cargando();

			if (data === "restarted") {
				$('#modalRestart').modal('hide');
				toast("Reiniciando...", "success");
				// $("#check").load(window.location + " #check");
				redirection("");
			} else {
				messageConfirmation(data, 'error');
			}
		}
	});

}

function agregar_cart_tralados(identificador) {
	if ($('#codigo').val() != ""
		&& $('#cantidad').val() != "") {

		var codigo = $('#codigo').val();
		var cantidad = $('#cantidad').val();
		var sucursal = $('#origen_select').val();
		var destino = $('#destino_select').val();

		console.log("El destino es: ",destino);

		if (Number(cantidad) > 0) {

			turn_on_cargando();

			var data1 = "tarea=51&codigo=" + codigo +
				"&cantidad=" + cantidad +
				"&identificador=" + identificador +
				"&sucursal=" + sucursal +
				"&destino=" + destino;
			$.ajax({
				data: data1,
				url: '../process/controlador.php',
				type: 'POST',
				beforeSend: function() {

				},
				error: function() {
					Swal.fire(
						'Aviso',
						'ERROR, al conectarse al SERVIDOR...',
						'error'
					);
					// setTimeout(() => { 
					turn_off_cargando();
					// $('#ftco-loader').hide();
					// },10000);
				},
				success: function(data) {

					// if(!("autofocus" in document.createElement("input")))
					document.getElementById("codigo").focus();
					turn_off_cargando();
					$("#lista-cart").load(window.location + " #lista-cart");
					$("#modales").load(window.location + " #modales");
					if (data === 'done') {
						$('#origen_select').prop('disabled', true);
						$('#destino_select').prop('disabled', true);
						toast("Producto agregado", "success");
					} else {
						Swal.fire(data);
					}
				}
			});

		} else {
			Swal.fire("Selecciona una cantidad mayor");
		}

	} else {
		toast("Selecciona el producto y la cantidad", "error");
	}
}

function tralado_producto(identificador){

	if ($('#origen_select').val() != ""
		&& $('#destino_select').val() != "") {

		var lugar_origen = $('#origen_select').val();
		var lugar_envio = $('#destino_select').val();
		turn_on_cargando();

		var data1 = "tarea=52&identificador=" + identificador + "&lugar_envio=" + lugar_envio + "&lugar_origen=" + lugar_origen;
		$.ajax({
			data: data1,
			url: '../process/controlador.php',
			type: 'POST',
			beforeSend: function() {

			},
			error: function() {
				Swal.fire(
					'Aviso',
					'ERROR, al conectarse al SERVIDOR...',
					'error'
				);
				// setTimeout(() => { 
				turn_off_cargando();
				// $('#ftco-loader').hide();
				// },10000);
			},
			success: function(data) {
				// if(!("autofocus" in document.createElement("input")))
				turn_off_cargando();

				if (data === 'added') {
					toast("Traslado realizado", "success");
					redirection("./list-transfers.php");
				} else {
					Swal.fire(data);
				}
			}
		});
	}else{
		toast("Selecciona el lugar de envío","error");
	}
}