<?php
include("modelo.php");
if (!isset($_POST['tarea'])) {
	print false;
	exit;
}

$tarea = $_POST['tarea'];
switch ($tarea) {
	case '1':
		check_login();
		break;

	case '2':
		add_client();
		break;

	case '3':
		add_employed();
		break;

	case '4':
		add_product();
		break;

	case '5':
		rent_scaffold();
		break;

	case '6':
		check_price_rent_scaffold();
		break;

	case '7':
		add_category();
		break;

	case '8':
		add_table();
		break;

	case '9':
		add_table2();
		break;

	case '10':
		delete_car_table();
		break;

	case '11':
		rentar_tablas_done();
		break;

	case '12':
		add_product_for_rent();
		break;

	case '13':
		delete_product();
		break;

	case '14':
		update_product();
		break;

	case '15':
		add_proveedor();
		break;

	case '16':
		delete_client();
		break;

	case '17':
		rent_stairs();
		break;

	case '18':
		rent_burros();
		break;

	case '19':
		add_cart();
		break;

	case '20':
		add_sell();
		break;

	case '21':
		modify_client();
		break;

	case '22':
		add_abono();
		break;

	case '23':
		add_abono_rent();
		break;

	case '24':
		delete_vent_apartado();
		break;

	case '25':
		delete_rent_apartado();
		break;

	case '26':
		reiniciar_v_p();
		break;

	case '27':
		reiniciar_caja();
		break;

	case '28':
		regresar_renta_completa();
		break;

	case '29':
		regresar_renta_parcial_andamios();
		break;

	case '30':
		regresar_renta_parcial_tablaspv();
		break;

	case '31':
		regresar_renta_parcial_escaleras();
		break;

	case '32':
		regresar_renta_parcial_burros();
		break;

	case '33':
		regresar_renta_parcial_marcar_entregado_tablaspv();
		break;

	case '34':
		product_info();
		break;

	case '35':
		close_session();
		break;

	case '36':
		nueva_venta();
		break;

	case '37':
		empleado_comision();
		break;

	case '38':
		eliminar_venta();
		break;

	case '39':
		show_venta();
		break;

	case '40':
		// employed_edit();
		break;

	case '41':
		employed_show();
		break;

	case '42':
		// employed_delete();
		break;

	case '43':
		editar_empleado();
		break;

	case '44':
		movimiento_caja();
		break;

	case '45':
		agregar_cliente();
		break;

	case '46':
		corte_caja();
		break;

	case '47':
		reimprimir_ticket_venta();
		break;

	case '48':
		eliminar_empleado();
		break;

	case '49':
		// empleado_comision_2();
		break;

	case '50':
		reiniciar_todo();
		break;

	case '51':
		agregar_cart_tralados();
		break;

	case '52':
		tralado_producto();
		break;

	case '53':
		transfer_show();
		break;

	case '54':
		agregar_proveedor();
		break;

	case '55':
		delete_provider();
		break;

	case '56':
		provider_info();
		break;

	case '57':
		update_provider();
		break;

	case '58':
		agregar_sucursal();
		break;

	case '59':
		mostrar_sucursales_admin();
		break;

	case '60':
		eliminar_sucursal();
		break;

	case '61':
		modificar_sucursal();
		break;

	case '62':
		client_info();
		break;

	case '63':
		add_return();
		break;

	case '64':
		modify_return();
		break;

	case '65':
		delete_return();
		break;

	case '66':
		delete_car_table_trsfers();
		break;

	case '67':
		get_products_bodega();
		break;

	case  '68':
		get_products_offices();
		break;

	case  '69':
		add_package();
		break;

	case  '70':
		delete_package();
		break;

	case  '71':
		update_package();
		break;

	default:

		print false;
}

function get_products_bodega()
{

	$ob = new Modelo();
	$ob->getProductsBodega();
}

function get_products_offices()
{
	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->getProductsOffices($id);
}

function add_package()
{
	$codigo = $_POST['codigo'];
	$cantidad = $_POST['cantidad'];
	$precio = $_POST['precio'];
	$nombre = $_POST['nombre'];

	$ob = new Modelo();
	$ob->addPackage(
		$codigo,
		$cantidad,
		$precio,
		$nombre
	);
}

function delete_package()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->deletePackage($id);
}

function check_login()
{

	$usuario  = $_POST['usuario'];
	$password = $_POST['password'];

	$ob = new Modelo();
	$ob->checkLogin($usuario, $password);
}

function add_client()
{

	$nombre            = $_POST['nombre'];
	$telefono          = $_POST['telefono'];
	$direccion_cliente = $_POST['direccion_cliente'];
	$direccion_obra    = $_POST['direccion_obra'];
	// $costo             = $_POST['costo'];

	$ob = new Modelo();
	$ob->addClient(
		$nombre,
		$telefono,
		$direccion_cliente,
		$direccion_obra
		// ,$costo
	);
}

function add_employed()
{

	$nombre     	= $_POST['nombre'];
	$direccion  	= $_POST['direccion'];
	$usuario    	= $_POST['usuario'];
	$contrasena 	= $_POST['contrasena'];
	$rol        	= $_POST['rol'];
	$telefono   	= $_POST['telefono'];
	$correo 		= $_POST['correo'];
	$departamento	= $_POST['departamento'];

	$ob = new Modelo();
	$ob->addEmployed($nombre, $direccion, $usuario, $contrasena, $rol, $telefono, $correo, $departamento);
}

function editar_empleado()
{

	$nombre     	= $_POST['nombre'];
	$direccion  	= $_POST['direccion'];
	$usuario    	= $_POST['usuario'];
	$contrasena 	= $_POST['contrasena'];
	$rol        	= $_POST['rol'];
	$telefono   	= $_POST['telefono'];
	$id         	= $_POST['id'];
	$correo     	= $_POST['correo'];
	$departamento	= $_POST['departamento'];

	$ob = new Modelo();
	$ob->editarEmpleado($nombre, $direccion, $usuario, $contrasena, $rol, $telefono, $id, $correo, $departamento);
}

function add_product()
{

	$nombre        		= $_POST['nombre'];
	$marca     			= $_POST['marca'];
	$precio_compra 		= $_POST['precio_compra'];
	$precio_venta  		= $_POST['precio_venta'];
	$precio_mayorista   = $_POST['precio_mayorista'];
	$comision_venta     = $_POST['comision_venta'];
	$comision_mayorista = $_POST['comision_mayorista'];
	$metodo     		= $_POST['metodo'];
	$cantidad        	= $_POST['cantidad'];
	$alerta_stock 		= $_POST['alerta_stock'];
	$proveedor        	= $_POST['proveedor'];
	$codigo 			= $_POST['codigo'];
	$descripcion 		= $_POST['descripcion'];

	$ob = new Modelo();
	$ob->addProduct(
		$nombre,
		$marca,
		$precio_compra,
		$precio_venta,
		$precio_mayorista,
		$comision_venta,
		$comision_mayorista,
		$metodo,
		$cantidad,
		$alerta_stock,
		$proveedor,
		$codigo,
		$descripcion
	);
}

function add_return()
{

	$producto      		= $_POST['producto'];
	$cantidad	  		= $_POST['cantidad'];
	$defecto	  		= $_POST['defecto'];

	$ob = new Modelo();
	$ob->addReturn(
		$producto,
		$cantidad,
		$defecto
	);
}

function modify_return()
{

	$producto   = $_POST['producto'];
	$cantidad 	= $_POST['cantidad'];
	$defecto 	= $_POST['defecto'];
	$id         = $_POST['id'];

	$ob = new Modelo();
	$ob->modifyReturn(
		$producto,
		$cantidad,
		$defecto,
		$id
	);
}

function delete_return()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->deleteReturn($id);
}

function mostrar_sucursales_admin()
{
	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->officeInfo($id);
}

function rent_scaffold()
{

	$cliente              = $_POST['cliente'];
	$cantidad_tablas      = $_POST['cantidad_tablas'];
	$cantidad_plataformas = $_POST['cantidad_plataformas'];
	$fecha_entrega        = $_POST['fecha_entrega'];
	$costo_renta          = $_POST['costo_renta'];
	$direccion_actual     = $_POST['direccion_actual'];
	$anticipo             = $_POST['anticipo'];
	$notas                = $_POST['notas'];
	$flete                = $_POST['flete'];
	$costo_flete          = $_POST['costo_flete'];

	$ob = new Modelo();
	$ob->rentScaffold($cliente, $cantidad_tablas, $cantidad_plataformas, $fecha_entrega, $costo_renta, $direccion_actual, $anticipo, $notas, $flete, $costo_flete);
}

function eliminar_sucursal()
{
	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->eliminarSucursal($id);
}

function modificar_sucursal()
{
	$id = $_POST['id'];
	$nombre = $_POST['nombre'];
	$direccion = $_POST['direccion'];
	$telefono = $_POST['telefono'];
	$encargado = $_POST['encargado'];

	$ob = new Modelo();
	$ob->modificarSucursal($id, $nombre, $direccion, $telefono, $encargado);
}

function check_price_rent_scaffold()
{

	$cantidad_tablas      = $_POST['cantidad_tablas'];
	$cantidad_plataformas = $_POST['cantidad_plataformas'];
	$fecha_entrega        = $_POST['fecha_entrega'];
	$costo_renta          = $_POST['costo_renta'];

	$ob = new Modelo();
	$ob->checkPriceRentScaffold($cantidad_tablas, $cantidad_plataformas, $fecha_entrega, $costo_renta);
}

function add_category()
{

	$nueva_categoria = $_POST['nueva_categoria'];

	$ob = new Modelo();
	$ob->addCategory($nueva_categoria);
}

function add_table()
{

	$tabla_selecta  = $_POST['tabla_selecta'];
	$cantidad_tabla = $_POST['cantidad_tabla'];

	$ob = new Modelo();
	$ob->addTable($tabla_selecta, $cantidad_tabla);
}

function add_table2()
{

	$codigo  = $_POST['codigo'];
	$cantidad = $_POST['cantidad'];
	$identificador = $_POST['identificador'];
	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->addTable2($codigo, $cantidad, $identificador, $id);
}

function delete_car_table()
{

	$id          = $_POST['id'];
	$cantidad    = $_POST['cantidad'];
	$id_producto = $_POST['id_producto'];
	$identificador = $_POST['identificador'];

	$ob = new Modelo();
	$ob->deteleCarTable($id, $cantidad, $id_producto, $identificador);
}

function delete_car_table_trsfers()
{

	$id          = $_POST['id'];
	$cantidad    = $_POST['cantidad'];
	$id_producto = $_POST['id_producto'];
	$identificador = $_POST['identificador'];

	$ob = new Modelo();
	$ob->deteleCarTableTransfer($id, $cantidad, $id_producto, $identificador);
}

function rentar_tablas_done()
{

	$cliente          = $_POST['cliente'];
	$pago_inicial     = $_POST['pago_inicial'];
	$identificador    = $_POST['identificador'];
	$total            = $_POST['total'];
	$direccion_actual = $_POST['direccion_actual'];
	$fecha_entrega    = $_POST['fecha_entrega'];
	$forma_pago       = $_POST['forma_pago'];
	$notas            = $_POST['notas'];
	$estado           = $_POST['estado'];
	$flete            = $_POST['flete'];
	$costo_flete      = $_POST['costo_flete'];

	$ob = new Modelo();
	$ob->rentarTablasDone($cliente, $pago_inicial, $identificador, $total, $direccion_actual, $fecha_entrega, $forma_pago, $notas, $estado, $flete, $costo_flete);
}

function add_product_for_rent()
{

	$nombre        = $_POST['nombre'];
	$categoria     = $_POST['categoria'];
	$precio_compra = $_POST['precio_compra'];
	$precio_venta  = $_POST['precio_venta'];
	$metodo        = $_POST['metodo'];
	$cantidad      = $_POST['cantidad'];
	$descripcion   = $_POST['descripcion'];
	$proveedor     = $_POST['proveedor'];
	$codigo        = $_POST['codigo'];

	$ob = new Modelo();
	$ob->addProductForRent($nombre, $categoria, $precio_compra, $precio_venta, $metodo, $cantidad, $descripcion, $proveedor, $codigo);
}

function delete_product()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->deleteProduct($id);
}

function update_product()
{
	$id					= $_POST['id'];
	$nombre        		= $_POST['nombre'];
	$marca     			= $_POST['marca'];
	$precio_compra 		= $_POST['precio_compra'];
	$precio_venta  		= $_POST['precio_venta'];
	$precio_mayorista   = $_POST['precio_mayorista'];
	$comision_venta     = $_POST['comision_venta'];
	$comision_mayorista = $_POST['comision_mayorista'];
	$metodo     		= $_POST['metodo'];
	$cantidad        	= $_POST['cantidad'];
	$alerta_stock 		= $_POST['alerta_stock'];
	$proveedor        	= $_POST['proveedor'];
	$codigo 			= $_POST['codigo'];
	$descripcion 		= $_POST['descripcion'];

	$ob = new Modelo();
	$ob->updateProduct(
		$id,
		$nombre,
		$marca,
		$precio_compra,
		$precio_venta,
		$precio_mayorista,
		$comision_venta,
		$comision_mayorista,
		$metodo,
		$cantidad,
		$alerta_stock,
		$proveedor,
		$codigo,
		$descripcion
	);
}

function update_package()
{
	$id					= $_POST['id'];
	$codigo        		= $_POST['codigo'];
	$cantidad  			= $_POST['cantidad'];
	$precio		 		= $_POST['precio'];
	$nombre				= $_POST['nombre'];

	$ob = new Modelo();
	$ob->updatePackage(
		$id,
		$codigo,
		$cantidad,
		$precio,
		$nombre
	);
}

function add_proveedor()
{

	$nombre_proveedor    = $_POST['nombre_proveedor'];
	$telefono_proveedor  = $_POST['telefono_proveedor'];
	$direccion_proveedor = $_POST['direccion_proveedor'];
	$rfc_proveedor       = $_POST['rfc_proveedor'];

	$ob = new Modelo();
	$ob->addProveedor($nombre_proveedor, $telefono_proveedor, $direccion_proveedor, $rfc_proveedor);
}

function update_provider()
{
	$id					= $_POST['id'];
	$razon_social  		= $_POST['razon_social'];
	$tipo_razon_social 	= $_POST['tipo_razon_social'];
	$telefono 			= $_POST['telefono'];
	$direccion 			= $_POST['direccion'];
	$rfc 				= $_POST['rfc'];
	$encargado			= $_POST['encargado'];

	$ob = new Modelo();
	$ob->updateProvider(
		$id,
		$razon_social,
		$tipo_razon_social,
		$telefono,
		$direccion,
		$rfc,
		$encargado
	);
}

function delete_client()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->deleteClient($id);
}

function delete_provider()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->deleteProvider($id);
}

function provider_info()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->providerInfo($id);
}

function rent_stairs()
{

	$cliente_escaleras          = $_POST['cliente_escaleras'];
	$direccion_actual_escaleras = $_POST['direccion_actual_escaleras'];
	$escalera_escaleras         = $_POST['escalera_escaleras'];
	$cantidad_escaleras         = $_POST['cantidad_escaleras'];
	$fecha_entrega_escaleras    = $_POST['fecha_entrega_escaleras'];
	$forma_pago_escaleras       = $_POST['forma_pago_escaleras'];
	$notas_escaleras            = $_POST['notas_escaleras'];
	$pago_escaleras             = $_POST['pago_escaleras'];
	$escalera_nombre            = $_POST['escalera_nombre'];
	$escalera_id                = $_POST['escalera_id'];
	$flete                      = $_POST['flete'];
	$costo_flete                = $_POST['costo_flete'];

	$ob = new Modelo();
	$ob->rentStairs($cliente_escaleras, $direccion_actual_escaleras, $escalera_escaleras, $cantidad_escaleras, $fecha_entrega_escaleras, $forma_pago_escaleras, $notas_escaleras, $pago_escaleras, $escalera_nombre, $escalera_id, $flete, $costo_flete);
}

function rent_burros()
{

	$cliente_burros          = $_POST['cliente_burros'];
	$direccion_actual_burros = $_POST['direccion_actual_burros'];
	$burro_burros            = $_POST['burro_burros'];
	$cantidad_burros         = $_POST['cantidad_burros'];
	$fecha_entrega_burros    = $_POST['fecha_entrega_burros'];
	$forma_pago_burros       = $_POST['forma_pago_burros'];
	$notas_burros            = $_POST['notas_burros'];
	$pago_burros             = $_POST['pago_burros'];
	$burro_nombre            = $_POST['burro_nombre'];
	$burro_id                = $_POST['burro_id'];
	$flete                   = $_POST['flete'];
	$costo_flete             = $_POST['costo_flete'];

	$ob = new Modelo();
	$ob->rentBurros($cliente_burros, $direccion_actual_burros, $burro_burros, $cantidad_burros, $fecha_entrega_burros, $forma_pago_burros, $notas_burros, $pago_burros, $burro_nombre, $burro_id, $flete, $costo_flete);
}

function add_cart()
{

	$codigo        = $_POST['codigo'];
	$cantidad      = $_POST['cantidad'];
	$identificador = $_POST['identificador'];
	$sucursal      = $_POST['sucursal'];
	$tipo		   = $_POST['tipo'];

	$ob = new Modelo();
	$ob->addCart($codigo, $cantidad, $identificador, $sucursal, $tipo);
}

function agregar_cart_tralados()
{

	$codigo        = $_POST['codigo'];
	$cantidad      = $_POST['cantidad'];
	$identificador = $_POST['identificador'];
	$sucursal	  = $_POST['sucursal'];
	$destino	  = $_POST['destino'];

	$ob = new Modelo();
	$ob->agregarCartTralados($codigo, $cantidad, $identificador, $sucursal, $destino);
}

function add_sell()
{

	$cliente       = $_POST['cliente'];
	$pago_inicial  = $_POST['pago_inicial'];
	$identificador = $_POST['identificador'];
	$total         = $_POST['total'];
	$forma_pago    = $_POST['forma_pago'];
	$estado        = $_POST['estado'];
	$flete         = $_POST['flete'];
	$costo_flete   = $_POST['costo_flete'];
	$sucursal	   = $_POST['sucursal'];
	$empleado	   = $_POST['empleado'];

	$ob = new Modelo();
	$ob->addSell($cliente, $pago_inicial, $identificador, $total, $forma_pago, $estado, $flete, $costo_flete, $sucursal, $empleado);
}

function modify_client()
{

	$nombre     = $_POST['nombre'];
	$razon_social = $_POST['razon_social'];
	$rfc = $_POST['rfc'];
	$encargado = $_POST['encargado'];
	$tipo_razon_social = $_POST['tipo_razon_social'];
	$direccion = $_POST['direccion'];
	$telefono = $_POST['telefono'];
	$sucursal = $_POST['sucursal'];
	$id         = $_POST['id'];

	$ob = new Modelo();
	$ob->modifyClient(
		$nombre,
		$razon_social,
		$rfc,
		$encargado,
		$tipo_razon_social,
		$direccion,
		$telefono,
		$sucursal,
		$id
	);
}

function add_abono()
{

	$abono    = $_POST['abono'];
	$id_venta = $_POST['id_venta'];

	$ob = new Modelo();
	$ob->addAbono($abono, $id_venta);
}

function add_abono_rent()
{

	$cantidad_abono = $_POST['cantidad_abono'];
	$id_venta       = $_POST['id_venta'];

	$ob = new Modelo();
	$ob->addAbonoRent($cantidad_abono, $id_venta);
}

function delete_vent_apartado()
{

	$id_venta = $_POST['id_venta'];

	$ob = new Modelo();
	$ob->deleteVentApartado($id_venta);
}

function delete_rent_apartado()
{

	$id_renta = $_POST['id_renta'];

	$ob = new Modelo();
	$ob->deleteRentApartado($id_renta);
}

function reiniciar_v_p()
{

	$tabla = $_POST['tabla'];

	$ob = new Modelo();
	$ob->reiniciarVP($tabla);
}

function reiniciar_caja()
{

	$caja = $_POST['caja'];

	$ob = new Modelo();
	$ob->reiniciarCaja($caja);
}

function regresar_renta_completa()
{

	$id_renta_regreso_completo = $_POST['id_renta_regreso_completo'];

	$ob = new Modelo();
	$ob->regresarRentaCompleta($id_renta_regreso_completo);
}

function regresar_renta_parcial_andamios()
{

	$cantidad = $_POST['cantidad'];
	$razon    = $_POST['razon'];
	$id       = $_POST['id'];

	$ob = new Modelo();
	$ob->regresarRentaParcialAndamios($cantidad, $razon, $id);
}

function regresar_renta_parcial_tablaspv()
{

	$cantidad    = $_POST['cantidad'];
	$id_carrito  = $_POST['id_carrito'];
	$id_producto = $_POST['id_producto'];
	$id          = $_POST['id'];

	$ob = new Modelo();
	$ob->regresarRentaParcialTablaspv($cantidad, $id_carrito, $id_producto, $id);
}

function regresar_renta_parcial_escaleras()
{

	$cantidad    = $_POST['cantidad'];
	$id_renta_escalera  = $_POST['id_renta_escalera'];
	$id_producto = $_POST['id_producto'];
	$id          = $_POST['id'];

	$ob = new Modelo();
	$ob->regresarRentaParcialEscaleras($cantidad, $id_renta_escalera, $id_producto, $id);
}

function regresar_renta_parcial_burros()
{

	$cantidad    = $_POST['cantidad'];
	$id_renta_burro  = $_POST['id_renta_burro'];
	$id_producto = $_POST['id_producto'];
	$id          = $_POST['id'];

	$ob = new Modelo();
	$ob->regresarRentaParcialBurros($cantidad, $id_renta_burro, $id_producto, $id);
}

function regresar_renta_parcial_marcar_entregado_tablaspv()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->regresarRentaParcialMarcarEntregadoTablaspv($id);
}

function product_info()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->productInfo($id);
}

function client_info()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->clientInfo($id);
}

function close_session()
{

	$ob = new Modelo();
	$ob->closeSession();
}

function nueva_venta()
{

	$ob = new Modelo();
	$ob->nuevaVenta();
}

function empleado_comision()
{

	$id_empleado    = $_POST['id_empleado'];
	$identificador  = $_POST['identificador'];
	$comision_venta = $_POST['comision_venta'];

	$ob = new Modelo();
	$ob->empleadoComision($id_empleado, $identificador, $comision_venta);
}

function eliminar_venta()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->eliminarVenta($id);
}

function show_venta()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->showVenta($id);
}

function employed_show()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->employedShow($id);
}

function transfer_show()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->transferShow($id);
}

function movimiento_caja()
{

	$monto  = $_POST['monto'];
	$motivo = $_POST['motivo'];
	$movimiento = $_POST['movimiento'];

	$ob = new Modelo();
	$ob->movimientoCaja($monto, $motivo, $movimiento);
}

function agregar_cliente()
{
	$nombre     		= $_POST['nombre'];
	$razon_social 		= $_POST['razon_social'];
	$rfc         		= $_POST['rfc'];
	$tipo_razon_social 	= $_POST['tipo_razon_social'];
	$encargado 			= $_POST['encargado'];
	$direccion 			= $_POST['direccion'];
	$telefono  			= $_POST['telefono'];
	$sucursal  			= $_POST['sucursal'];

	$ob = new Modelo();
	$ob->agregarCliente(
		$nombre,
		$razon_social,
		$rfc,
		$tipo_razon_social,
		$encargado,
		$direccion,
		$telefono,
		$sucursal
	);
}

function agregar_proveedor()
{
	$razon_social     	= $_POST['razon_social'];
	$tipo_razon_social  = $_POST['tipo_razon_social'];
	$rfc  				= $_POST['rfc'];
	$telefono 			= $_POST['telefono'];
	$direccion 			= $_POST['direccion'];
	$encargado 			= $_POST['encargado'];

	$ob = new Modelo();
	$ob->agregarProveedor(
		$razon_social,
		$tipo_razon_social,
		$rfc,
		$telefono,
		$direccion,
		$encargado
	);
}

function agregar_sucursal()
{
	$nombre     	= $_POST['nombre'];
	$direccion 		= $_POST['direccion'];
	$encargado 		= $_POST['encargado'];
	$telefono 		= $_POST['telefono'];
	$correo 		= $_POST['correo'];

	$ob = new Modelo();
	$ob->agregarSucursal(
		$nombre,
		$direccion,
		$encargado,
		$telefono
	);
}

function corte_caja()
{

	$ob = new Modelo();
	$ob->corteCaja();
}

function reimprimir_ticket_venta()
{

	$refer = $_POST['refer'];
	$id    = $_POST['id'];

	$ob = new Modelo();
	$ob->reimprimirTicketVenta($refer, $id);
}

function eliminar_empleado()
{

	$id = $_POST['id'];

	$ob = new Modelo();
	$ob->eliminarEmpleado($id);
}

function reiniciar_todo()
{

	$tabla = $_POST['tabla'];

	$ob = new Modelo();
	$ob->reiniciarTodo($tabla);
}

function tralado_producto()
{

	$identificador = $_POST['identificador'];
	$lugar_envio   = $_POST['lugar_envio'];
	$lugar_origen  = $_POST['lugar_origen'];

	$ob = new Modelo();
	$ob->traladoProducto($identificador, $lugar_envio, $lugar_origen);
}
