<?php
session_start();
include_once("../helpers/session_check.php");
include_once("../private/conexion.php");
if (!empty($_GET['id'])) {
    $id = $_GET['id'];
    $redit = $mysqli->query("SELECT * FROM sucursales WHERE id='$id'");
    if ($redit) {
        while ($array = $redit->fetch_object()) {
            $id_sucursal        = $array->id;
            $nombre_sucursal    = $array->nombre;
            $direccion          = $array->direccion;
            $telefono           = $array->telefono;
            $encargado          = $array->encargado;
        }
    }
    $rencargado = $mysqli->query("SELECT * FROM administradores WHERE id=$encargado");
    if ($rencargado) {
        while ($array = $rencargado->fetch_object()) {
            $nombre_encargado   = $array->nombre;
        }
    }
?>
    <!DOCTYPE html>
    <html dir="ltr" lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!-- Tell the browser to be responsive to screen width -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <title>Editar sucursal - Punto de venta</title>

        <?php include_once("../helpers/css.html"); ?>
    </head>

    <body>

        <div class="preloader">
            <div class="lds-ripple">
                <div class="lds-pos"></div>
                <div class="lds-pos"></div>
            </div>
        </div>

        <div id="main-wrapper" data-theme="light" data-layout="vertical" data-navbarbg="skin6" data-sidebartype="full" data-sidebar-position="fixed" data-header-position="fixed" data-boxed-layout="full">

            <?php include_once("../menu/header.php"); ?>

            <?php include_once("../menu/side-menu.php"); ?>

            <div class="page-wrapper">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="page-breadcrumb">
                    <div class="row">
                        <div class="col-7 align-self-center">
                            <h3 class="page-title text-truncate text-dark font-weight-medium mb-1">Modificar sucursal (<?php echo $nombre_sucursal; ?>)</h3>
                            <div class="d-flex align-items-center">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb m-0 p-0">
                                        <li class="breadcrumb-item"><a href="./list-offices.php">Lista de sucursales</a>
                                        </li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="container-fluid">
                    <div class="row">
                        <!-- DATA -->
                        <div class="col-12 col-md-8">


                            <div class="row">

                                <div class="col-12 col-md-6">
                                    <p class="text-center">Nombre de la sucursal (obligatorio)</p>
                                    <input type="text" class="form-control" name="nombre" id="nombre" placeholder="Escribe el nombre de la sucursal" value="<?php echo $nombre_sucursal; ?>" required>
                                </div>

                                <div class="col-12 col-md-6">
                                    <p class="text-center">Dirección (si existe)</p>
                                    <input type="text" class="form-control" name="direccion" id="direccion" placeholder="Escribe la dirección de la sucursal" value="<?php echo $direccion; ?>">
                                </div>

                                <div class="col-12 col-md-6 mt-5">
                                    <p class="text-center">Teléfono (si existe)</p>
                                    <input type="tel" class="form-control" name="telefono" id="telefono" placeholder="Escribe el teléfono de la sucursal" value="<?php echo $telefono; ?>">
                                </div>

                                <div class="col-12 col-md-6 mt-5" id="divEncargado">
                                    <p class="text-center">Elige el encargado de la sucursal (obligatorio)</p>
                                    <select class="form-control" name="encargado_select" id="encargado_select" onclick="encargado_selected()" value="<?php echo $encargado; ?>" required>
                                    <option value="<?php echo $encargado ?>" selected><?php echo $nombre_encargado ?></option>
                                        <?php
                                            try {
                                                $empleados = $mysqli->query("SELECT * FROM administradores ORDER BY nombre ASC");
                                                if ($empleados) {
                                                    // echo 'Total de Administradores: ' . mysqli_num_rows($r);
                                                    while ($array = $empleados->fetch_object()) {
                                                        $nombre_encargado_option = $array->nombre;
                                                        $id = $array->id;
                                                        echo "<option value='" . $id . "'>" . $nombre_encargado_option . "</option>";
                                                    }
                                                }
                                            } catch (Exception $e) {
                                                // echo 'Total de Proveedores: 0';
                                            }
                                        ?>
                                    </select>
                                </div>

                                <input type="hidden" id="encargado" value="<?php echo $encargado; ?>">

                                <button type="button" onclick="modificar_sucursal('<?php echo $id_sucursal; ?>')" class="btn btn-lg btn-block btn-primary mt-5 mb-5">Modificar sucursal</button>

                            </div>

                        </div>

                        <!--/ DATA -->
                    </div>


                </div>

                <?php include_once("../menu/footer.php"); ?>

            </div>
            <!-- ============================================================== -->
            <!-- End Page wrapper  -->
            <!-- ============================================================== -->
        </div>

        <?php include_once("../helpers/js.html"); ?>

        <script type="text/javascript">
            function change_img(input) {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();

                    reader.onload = function(e) {
                        $('#imagen-selected').attr('src', e.target.result);
                    }
                    reader.readAsDataURL(input.files[0]);
                }
            }

            $("#imagen").change(function() {
                change_img(this);
            });
        </script>

        <script type="text/javascript">
            function encargado_selected() {
                document.getElementById('encargado').value = document.getElementById('encargado_select').value;
            }
        </script>

        <script src="../js/sistem.js"></script>

    </body>

    </html>
<?php } else {
    header("Location: ./list-offices.php");
} ?>